2013-05-10 [r5298]  ronys:

	* [367] - Linux: make Lintian happier

2013-05-10 [r5297]  ronys:

	* wx: deb build no longer assumes Releases dir exists.

2013-05-10 [r5296]  ronys:

	* Hack from dk that enable the workaround from commit 5283 to build
	  on machines running Comodo security program. Need to revert this
	  before reverting 5283 once Update 3 is GA'd. Ugh.

2013-05-10 [r5295]  ronys:

	* 3.31 ready to rock & roll

2013-05-08 [r5294]  ronys:

	* Swedish translations for 3.31, thanks to Björn

2013-05-07 [r5293]  ronys:

	* French translation 3.31 update from Francois

2013-05-07 [r5292]  ronys:

	* More fixes from Giorgio

2013-05-06 [r5291]  ronys:

	* wx: Don't assert on Edit menu with empty db

2013-05-06 [r5290]  ronys:

	* Small correction from Giorgio

2013-05-06 [r5289]  mniklas:

	* Some new translations

2013-05-06 [r5288]  mniklas:

	* Some new translations

2013-05-05 [r5287]  ronys:

	* Italian installer text, thanks to Giorgio

2013-05-05 [r5286]  pm_kan:

	* wx: Don't exit if current locale isn't UTF-8 wx: Load translation
	  for standard resources

2013-05-04 [r5285]  ronys:

	* [1098] - typos fixed in English online help (Thanks to PeterHB) +
	  credits for 1097 + + typo fix in relnotes + typo fix in
	  Makefile.Windows .phony target

2013-05-03 [r5284]  ronys:

	* Updates to German translation for 3.31, thanks to Karlo

2013-05-03 [r5283]  ronys:

	* Workaround regression in MSVS2012 Update 2 that broke XP support.
	  Revert this commit if/when Microsoft deign to fix this gross
	  incompetence. See src/ui/Windows/xpsupportvc11upd2v102/README.txt
	  for more details.

2013-05-02 [r5282]  ronys:

	* [1097] Fixed typos in formatV3.txt, thanks to PeterHB

2013-05-02 [r5281]  ronys:

	* [FR673] - improvements to password subset selection - credit
	  where credit's due.

2013-05-01 [r5280]  ronys:

	* [1096] Correct suffix appended to proposed filename when
	  exporting to XML.

2013-05-01 [r5279]  ronys:

	* Switch to new GPG signing key (about time)

2013-05-01 [r5278]  ronys:

	* Handle protected field correctly - thanks to dk for catching this

2013-04-28 [r5277]  ronys:

	* Refactor Windows Help invocation code - always fail gracefully if
	  help file unavailable upon OnHelp

2013-04-28 [r5276]  pm_kan:

	* Small rearrange in Russian .po (MFC)

2013-04-28 [r5275]  pm_kan:

	* Fix po/mo build after previous changes Updated Russian .po (wx)

2013-04-28 [r5274]  pm_kan:

	* Enable translation for some messages in wx build (wxT() doesn't
	  call wxTranslate, changed to _()) Removed \r from strings that
	  should be translated (\n should be enough in MFC and wx versions)

2013-04-28 [r5273]  pm_kan:

	* Few more fixes for GCC warnings Updates in compilation flags in
	  C::B project Updates in Russian help and .po (wx version)

2013-04-27 [r5272]  ronys:

	* Document fix to BR1095

2013-04-27 [r5271]  pm_kan:

	* Fix BR1095 (disabled accelerator prefix in password symbol set)

2013-04-27 [r5270]  pm_kan:

	* Updates in Russian .po (for MFC build) Slightly adjusted text
	  label size for warning message in password subset dialog Clear
	  password subset string if all positions were deleted from list

2013-04-22 [r5269]  ronys:

	* Fixed enum name shadowing uncovered by pm_kan with gcc 4.8

2013-04-22 [r5268]  ronys:

	* Fixed var name shadowing uncovered by pm_kan with gcc 4.8

2013-04-22 [r5267]  ronys:

	* Fixed 64 bit version bug uncovered by pm_kan with gcc 4.8

2013-04-21 [r5266]  pm_kan:

	* GCC 4.8 warnings in core

2013-04-20 [r5265]  ronys:

	* Apply DK's upgrade of copy image to button in Password Policies

2013-04-20 [r5264]  ronys:

	* Apply DK's upgrade of copy image to button in Manage Password
	  Policies

2013-04-20 [r5263]  ronys:

	* DK's upgrade of copy image to button in password subset

2013-04-19 [r5262]  ronys:

	* Compare DB results context menu items now enabled correctly in
	  Read Only (thanks to DK).

2013-04-18 [r5261]  ronys:

	* [1086] Unknown database preferences are preserved (thanks to DK).

2013-04-17 [r5260]  ronys:

	* 3.30.1 -> 3.31pre

2013-04-14 [r5259]  ronys:

	* Removed partial and obsolete support for PocketPC build

2013-04-08 [r5258]  sauravg:

	* For comparing two dbs, must set up "copy preferences" from the
	  "other db" we are comparing with.

2013-04-07 [r5257]  ronys:

	* Make VS2012 builds run under XP, thanks to DK

2013-04-04 [r5256]  mniklas:

	* Some new translations

2013-03-31 [r5255]  ronys:

	* More updates to Spanish texts from Juanjo

2013-03-24 [r5254]  pm_kan:

	* Fix tree view focus issues after D'n'D. (SelectDropTarget(NULL)
	  should be called after D'n'D, otherwise all next item selections
	  treated as DropTarget selection)

2013-03-22 [r5253]  ronys:

	* Updated user's README.txt, thanks to tylr for the heads-up.

2013-03-22 [r5252]  ronys:

	* Auto cleanups to Spanish po file.

2013-03-22 [r5251]  ronys:

	* Updates to Dutch translations, thanks to Rikus.

2013-03-22 [r5249-5250]  ronys:

	* Removed resize code from PasswordSubsetDlg - patch from dk

	* Added SelectionCriteria.* to wx11 project

2013-03-19 [r5248]  ronys:

	* Preferences that are stored in the database are colored blue
	  again (thanks to DK).

2013-03-17 [r5246-5247]  ronys:

	* Updates to Turkish texts, thanks to Yusuf.

	* Update to Spanish texts, thanks to Juan.

2013-03-15 [r5245]  ronys:

	* Replace Copy Button with graphic in Generate Password dbox

2013-03-15 [r5244]  ronys:

	* More refactoring

2013-03-14 [r5243]  ronys:

	* Final tweak to Turkish install

2013-03-14 [r5242]  ronys:

	* wx: Avoid crash when idle with no db, thanks to clayton256

2013-03-14 [r5241]  ronys:

	* More work on Turkish installer

2013-03-13 [r5240]  ronys:

	* [1091] - Linux's wcstombs has slightly different semantics.

2013-03-13 [r5239]  ronys:

	* Turkish installation support, thans to Yusuf

2013-03-12 [r5238]  ronys:

	* Fixed a couple of compilation warnings

2013-03-12 [r5237]  ronys:

	* Turkish translation added, thanks to Yusuf.

2013-03-09 [r5236]  ronys:

	* More tooltips refactoring

2013-03-09 [r5235]  ronys:

	* Refactor tooltips

2013-03-07 [r5234]  ronys:

	* Work on password subset dbox - WiP

2013-03-04 [r5233]  ronys:

	* dk's patch for FR673 - enhancements to password subset + updated
	  pos

2013-03-02 [r5231-5232]  ronys:

	* More work on refactoring - fix assert found by A.

	* macos packaging support, thanks to John

2013-02-25 [r5230]  pm_kan:

	* Use RGB mode for disabled images otherwise, we have some strange
	  artifacts Set top-right dot in gragbar/new/title* to
	  "transparent" color, to prevent image border on dragbar

2013-02-25 [r5229]  pm_kan:

	* One more update for group coloring. When checking item state we
	  need to AND with needed values because item state could contain
	  other bits.

2013-02-25 [r5228]  pm_kan:

	* - Fix color for selected tree group with changes - Use correct
	  casting in CPWTreeCtrl::OnCustomDraw() (NMLVCUSTOMDRAW and
	  NMTVCUSTOMDRAW matched only in some fields) - Use
	  CPWTreeCtrl::MakeTreeDisplayString() instead of duplicating code

2013-02-24 [r5227]  ronys:

	* wx: 'open database' folder is now same as the 'new database'
	  folder, thanks to Micha

2013-02-22 [r5225-5226]  ronys:

	* murphy

	* ItemData - 4got XTIME_INT in rewrite - thanks dk\!

2013-02-21 [r5224]  ronys:

	* ItemData read/write refactor - checkpoint 2

2013-02-21 [r5223]  ronys:

	* ItemData read/write refactor - checkpoint

2013-02-19 [r5222]  ronys:

	* Cleanup

2013-02-19 [r5221]  ronys:

	* Fix unintended conversion, prevent it from recurring

2013-02-19 [r5220]  ronys:

	* inlining

2013-02-18 [r5219]  ronys:

	* Refactor: PWSfileV3 shouldn't be so intimate with the semantics
	  of items and policies. Also removed redundant checks for
	  emptiness of containers.

2013-02-18 [r5218]  ronys:

	* cosmetics

2013-02-17 [r5217]  ronys:

	* Long overdue refactor of CItemData - more cleaning up possible,
	  but this is a good start

2013-02-16 [r5215-5216]  ronys:

	* Refactor.

	* Nit - added sanity check

2013-02-14 [r5214]  c-273:

	* Fix VS2012 build

2013-02-06 [r5213]  sauravg:

	* os.project - Need wxWidgets to build now pwsafe.project - Added
	  some missing files. This is the last pre-5.x CodeLite version

2013-01-28 [r5212]  pm_kan:

	* If current locale isn't UTF-8, mbstowcs will fail on non-English
	  data (for example when LC_CTYPE=C or POSIX) or make incorrect
	  translation (LC_CTYPE=en_US) To prevent this, exit at program
	  init when locale isn't UTF-8

2013-01-28 [r5211]  pm_kan:

	* Fix language detection if LC_ALL env. is set, but empty
	  (workaround for wx issue 15006)

2013-01-13 [r5210]  ronys:

	* [1081] Minor issues related to password policies.

2013-01-13 [r5209]  ronys:

	* Manage menu entries now enabled/disabled like rest of menus (of
	  which problem 1 in BR1081 was a special case)

2013-01-12 [r5208]  ronys:

	* [1079] Password history date is now displayed in locale's format
	  in entry's Additional tab.

2013-01-12 [r5207]  ronys:

	* [1078] Expand entry's autotype value in Run Command's $a parsing.

2013-01-09 [r5206]  ronys:

	* [698] Autotype now supports URL and email fields with \l and \m,
	  respectively.

2013-01-08 [r5205]  ronys:

	* [1077] - Don't report URL as copied to clipboard when it isn't

2013-01-08 [r5204]  ronys:

	* Handle missing help file gracefully (and avoid asserting under
	  debug build)

2013-01-08 [r5202]  ronys:

	* Update copyright notice to 2013

2013-01-04 [r5200]  sauravg:

	* When a non-group item is selected, create the new group under
	  root item

2013-01-04 [r5199]  sauravg:

	* 1. Allow deletion of empty tree items, which are basically empty
	  groups 2. Handle invalid wxTreeItemId parameters without
	  ASSERTing 3. Use wxTreeItemId::IsOk() insted of bool() operator
	  for 64-bit compat.

2013-01-04 [r5198]  sauravg:

	* Added handling of empty groups while deleting items

2012-12-27 [r5197]  ronys:

	* Document last bugfix, bump Windows version to 3.30.1.

2012-12-27 [r5196]  ronys:

	* [1068] Stop opening protected entry from producing a Window sound
	  - thanks to DK.

2012-12-24 [r5195]  pm_kan:

	* Update Russian .po for wx build

2012-12-24 [r5194]  pm_kan:

	* fix in Russian .po

2012-12-24 [r5193]  pm_kan:

	* fix in Russian .po

2012-12-24 [r5192]  pm_kan:

	* Updates in Russian help

2012-12-24 [r5191]  pm_kan:

	* Updates in Code::Blocks project and .SlackBuild script

2012-12-23 [r5190]  ronys:

	* Update German translation, thanks to Karlo.

2012-12-23 [r5189]  ronys:

	* 3.30pre -> 3.30

2012-12-23 [r5188]  ronys:

	* Update Swedish translation, thanks to Bjorne.

2012-12-22 [r5187]  sauravg:

	* Fixed 64-bit build on mac

2012-12-21 [r5186]  sauravg:

	* 1. Donot enable "Rename" if the root item is selected in tree
	  view 2. Only Groups should have the "Rename" item in their
	  context menus 3. Items in menu bar require explicit hook-ups with
	  children of main frame window

2012-12-21 [r5184-5185]  sauravg:

	* Added support for renaming groups in tree view

	* Fixed logic for enabling/disabling "Rename" menu item. It's
	  supposed to be active only for groups, but was doing the exact
	  opposite.

2012-12-21 [r5183]  sauravg:

	* Since we are not updating both views consistently for all
	  notifications, restrict to deleting items from the active view
	  only.

2012-12-21 [r5182]  sauravg:

	* Allow empty groups to be pre-selected while adding new entries

2012-12-21 [r5181]  sauravg:

	* Replaced an ASSERT with a Trace (for now).

2012-12-19 [r5180]  ronys:

	* wx: Added Shift DoubleClick Action to general properties

2012-12-18 [r5179]  sauravg:

	* Remember & restore tree/grid state when switching between the two

2012-12-16 [r5178]  sauravg:

	* Select the newly created group once it shows up

2012-12-16 [r5177]  sauravg:

	* Fixed saving/restoring of treeview state

2012-12-16 [r5176]  sauravg:

	* While adding a group, select the entire label when editing
	  begins.

2012-12-15 [r5175]  ronys:

	* wx: Make last changes to optionspropsheet compatible with
	  DialogBlocks

2012-12-15 [r5174]  sauravg:

	* Implemented "Add Group" functionality

2012-12-15 [r5173]  sauravg:

	* Added support for displaying empty groups

2012-12-15 [r5172]  sauravg:

	* Added an explicit function to check whether an item in TreeCtrl
	  is a group, instead of relying on HasChildren()

2012-12-13 [r5171]  ronys:

	* wx: Per-entry DCA seems OK now

2012-12-12 [r5170]  ronys:

	* wx: More work on DCA/SDCA + consistent naming edit/view. Still
	  have a nit to fix with entry-specific DCA/SDCA

2012-12-11 [r5169]  ronys:

	* wx: Double-click action ne checked against item's setting, if any

2012-12-10 [r5168]  mniklas:

	* Some new translations

2012-12-09 [r5167]  pm_kan:

	* Update Russian .po for MFC build (5165)

2012-12-09 [r5165]  ronys:

	* Removed unused functions

2012-12-08 [r5164]  sauravg:

	* Fixed mac builds

2012-12-08 [r5163]  ronys:

	* Release notes: 3.29.1/August -> 3.30 December

2012-12-08 [r5162]  ronys:

	* Fixed broken msi build - expected Polish help file which doesn't
	  exist

2012-12-07 [r5161]  ronys:

	* pos updated for 3.30pre, ready for translators

2012-12-07 [r5160]  ronys:

	* Bump version to 3.30pre

2012-12-07 [r5159]  ronys:

	* Update ListView immediately when an entry's field has been
	  changed+build fix for lib.c. (manually selected from kbshtct
	  patch/branch)

2012-12-07 [r5158]  ronys:

	* typo

2012-12-07 [r5150]  sauravg:

	* Made the search bar's status area a bit more informative

2012-12-07 [r5149]  sauravg:

	* Added handler for the "Clear Search" button

2012-12-07 [r5148]  sauravg:

	* Made the Advanced Options button in search toolbar behave more
	  like the Windows version

2012-12-06 [r5147]  sauravg:

	* Fixed wxWidgets build (incorrect function param name)

2012-12-05 [r5146]  pm_kan:

	* Fix temporary config file creation for *nix build. Fix some gcc
	  warnings.

2012-12-05 [r5145]  ronys:

	* wx: Bumped version to 0.9 in prep for release.

2012-12-04 [r5144]  ronys:

	* Murphy rules!

2012-12-04 [r5143]  ronys:

	* Finished os/lib.h normalization: All windows dyn lib calls go
	  through the os/lib wrappers, which add some sanity checks.
	  Non-windows support currently not needed, but should be simple to
	  implement via dlopen() et. al., if & when.

2012-12-03 [r5142]  c-273:

	* Update VS for wxWidget changes

2012-12-03 [r5141]  ronys:

	* Start normalizing os/lib.h. Functional, but WiP.

2012-12-03 [r5140]  ronys:

	* Rename pws_os::LoadLibraryPWS to pws_os::LoadLibrary, which is
	  sufficiently unambiguous.

2012-12-03 [r5139]  ronys:

	* VK dll loads correctly again. - Fix by pm_kan.

2012-12-03 [r5138]  ronys:

	* Fixed bad typedef which caused "Run-Time Check Failure #0 - The
	  value of ESP was not properly saved across a function call." when
	  tried to call CryptProtectMemory via programmatically loaded
	  library. - Fix by pm_kan.

2012-12-03 [r5137]  pm_kan:

	* forgot to add os/lib.* files

2012-12-03 [r5136]  pm_kan:

	* 1. Attempt to solve some issues with trailing dots in Group
	  names. Group with dot at the end could be created when import
	  from XML before r5018 or manually from Edit/View dialog. List
	  view show this dots, so TreeView also should show them. Also,
	  when trailing dot isn't shown, Add/Edit dialog shows incorrect
	  group name in Group combobox. Note: CPWTreeCtrl::OnEndLabelEdit()
	  silently exit when new group name have dot in the name or already
	  exists, so some renames could fail (for example, if we have
	  groups "a" and "a.." we couldn't rename "a.." to "a" or "a."). 2.
	  Fix temporary config file creation (ofstream can create only
	  files with char* names, to use non-English path we need
	  wofstream) 3. WinXP haven't
	  CryptProtectMemory/CryptUnrotectMemory in crypt32.dll so we need
	  to load them dynamically. Because we should load library by full
	  path, LoadLibarary code unified and moved to os/lib.*.

2012-12-03 [r5135]  sauravg:

	* Specified a default size so the text ctrl doesn't always start up
	  with zero height. Also laid out the buttons a little better with
	  "Finish" being the default one.

2012-12-02 [r5134]  ronys:

	* Refactor Menu/ToolBar graphics code to make adding/editing
	  commands less painful and error-prone.

2012-12-02 [r5133]  ronys:

	* rpm build process automated under toplevel 'make rpm'

2012-11-30 [r5132]  sauravg:

	* Dynamically set the sizer proportions of field list grids before
	  re-layout to ensure they don't overlap

2012-11-30 [r5131]  sauravg:

	* Fixed typo in last commit

2012-11-30 [r5130]  sauravg:

	* Separated out the implementation of SelectionCriteria from
	  AdvancedSelectionDlg to its own source file

2012-11-29 [r5129]  ronys:

	* Added Copyright and License to SelectionCriteria.h

2012-11-29 [r5128]  sauravg:

	* Separated out the SelectionCriteria structure into its own header
	  file

2012-11-25 [r5127]  ronys:

	* Consistency between Export and ExportEntry in Menu (modulo
	  bitmap).

2012-11-23 [r5125-5126]  sauravg:

	* Removed unused local variables

	* Use pointer to SelectionCriteria data, to ensure field selections
	  are preserved across searches, compares, etc.

2012-11-23 [r5124]  sauravg:

	* Brought all fields available for sync/merge/compare/search/export
	  in line with the latest Windows version

2012-11-21 [r5123]  sauravg:

	* Enable/disable the affected controls if "Restrict to a subset of
	  entries" is checked/unchecked.

2012-11-18 [r5122]  ronys:

	* Linux: Started work on rpm packaging, based on files sent by
	  ddreggors

2012-11-18 [r5121]  ronys:

	* wx: Implemented PWSRun::runcmd on Linux (via wx), hooked it up to
	  RunCmd, which now works

2012-11-18 [r5120]  ronys:

	* wx: Copy Run Command now works

2012-11-18 [r5119]  ronys:

	* wx: Fixed RunCmd enable error

2012-11-18 [r5118]  ronys:

	* [353] Easy-to-read option now respected in Generate Password
	  screen.

2012-11-17 [r5117]  ronys:

	* Bug #1069 - don't crash if the database has an alias without a
	  corresponding base entry.

2012-11-11 [r5116]  ronys:

	* Use Windows' Crypt{Protect/Unprotect}Memory() to protect session
	  key, FWIW.

2012-11-11 [r5115]  ronys:

	* Tweak session key encryption.

2012-11-11 [r5114]  ronys:

	* wxWidgets: Preference toolbar button now works, thanks to
	  ddreggors

2012-10-30 [r5113]  ronys:

	* Typo caught by p37sitdu

2012-10-29 [r5112]  ronys:

	* [FR689] It's now possible to change the r/w state of a database
	  when unlocking it. Thanks to Jeff for the suggestion.

2012-10-28 [r5111]  ronys:

	* Started work on FR689 - allow r/w state to be changed upon
	  unlock. Working, need to refactor error handling per comment in
	  PasskeyEntry.cpp:472

2012-10-28 [r5110]  ronys:

	* nit

2012-10-28 [r5109]  ronys:

	* [1066] Changed default for 'Browse to URL' to "don't copy
	  password to clipboard by default". Although convenient, this is a
	  security issue if the user isn't expecting it. Also show correct
	  screen in Security Options help.

2012-10-27 [r5106]  ronys:

	* Murpy - part of last commit slipped out...

2012-10-27 [r5105]  ronys:

	* wx: Cleanup, mainly to get logo untruncated in Windows wx, but
	  also merged in some work from yubi branch to get things to build
	  properly under changes made with DialogBlocks

2012-10-26 [r5104]  c-273:

	* Support new Visual Studio 2012 (VC11 compiler). Fix issue when
	  user quits PWS after 3 password attempts (not seen with current
	  VS2010) Remove MFC manifest as causes conflicts when building PWS
	  under VS2012 and doesn't cause problems to VS2010 if removed.
	  Remove VC11 compiler warnings for wxWidget builds under Windows.
	  Update notes and batch file for compiling wxWidgets using VC11.

2012-10-25 [r5102]  ronys:

	* wx: auto-generated po updates

2012-10-21 [r5097]  ronys:

	* If we can't lock the config file, show full filename for
	  troubleshooting.

2012-10-21 [r5096]  ronys:

	* More accurate error reporting if lock file failed in Windows.

2012-10-21 [r5095]  ronys:

	* [1065] Don't hide notes in Add/Edit dialog box when changing
	  field focus if user chose not to.

2012-10-09 [r5088]  ronys:

	* "Port mniklas's commit 5079 to the old repo"

2012-10-06 [r5079]  ronys:

	* [FR 683] Display new entry's password and other fields last
	  change dates as N/A in list view, to be consistent with Add/Edit
	  (instead of entry creation time).

2012-10-05 [r5078]  ronys:

	* [648] Tweaked date/times fields in add/edit dbox.

2012-10-05 [r5077]  ronys:

	* [1062] "Minimum password length" -> "Password Length" in
	  Manage->Password Policies.

2012-10-05 [r5076]  ronys:

	* Fixed typo.

2012-10-05 [r5075]  ronys:

	* [1063] Intermediate backups also work correctly when relative
	  path to database is specified on command line. Fix is to always
	  convert command-line file to absolute path. Thanks to Matt for
	  tracking this down.

2012-09-05 [r5056]  ronys:

	* Initial text graphic now transparent, from Brian

2012-09-04 [r5054]  ronys:

	* Linux: added support for building Linux Mint deb packages,
	  courtesy of Brian.

2012-09-04 [r5053]  ronys:

	* Got rid of compile warning for last commit

2012-09-04 [r5052]  ronys:

	* wx: Cleaned-up version of initial text graphics, thanks to Brian

2012-09-04 [r5051]  sauravg:

	* wxWidgets 2.9.x compatibility fixes

2012-09-02 [r5049]  ronys:

	* Replaced Linux application icon with version from Brian.

2012-09-01 [r5048]  pm_kan:

	* Update Russian .lng

2012-09-01 [r5047]  ronys:

	* Fix deb Makefile to work for Mint, thanks to brardinsr.

2012-08-30 [r5046]  ronys:

	* Added Czech dll to installer, plus fixed a couple of typos in
	  installer scripts

2012-08-25 [r5041]  ronys:

	* Document suthakar123's fix for 3537861 in ReleaseNotes.

2012-08-23 [r5040]  ronys:

	* [3539347] An empty diamond icon is now updated to a full one when
	  an entry is dragged into it. Thanks to nsaipraveen for the fix.

2012-08-23 [r5039]  ronys:

	* [3556730] In Add/Edit dialog, clicking Apply no longer disables
	  the OK button. An asterisk (*) is displayed in the title bar when
	  the entry's modified and Apply's not clicked upon. Thanks to
	  shivak7 for the fix.

2012-08-23 [r5038]  ronys:

	* Bump version to 3.29.1

2012-08-23 [r5037]  ronys:

	* Undo 5033, an unsuccessful attempt to fix [3534700] (inconsistent
	  behavior with easy2read and specific symbol set). 5033 gave an
	  incorrect error message when selecting easy2read.

2012-08-23 [r5036]  ronys:

	* Fixed typo in Dutch translation, thanks to Marcel

2012-08-21 [r5031]  suthakar123:

	* Expiration being set one day late bug is fixed with this
	  revision.

2012-08-20 [r5026]  ronys:

	* Removed ia32 dependency from debian 64bit deb build

2012-08-16 [r5025]  ronys:

	* Undo commits 5023-5024

2012-08-15 [r5022]  pm_kan:

	* Attempt to recover history if number of entires is less, than
	  stated

2012-08-15 [r5021]  pm_kan:

	* Move fix from 5019 to core

2012-08-14 [r5020]  pm_kan:

	* Set m_AEMD.MaxPWHistory to default value if it is zero

2012-08-14 [r5019]  pm_kan:

	* Clear pwhistlist before filling

2012-08-14 [r5018]  pm_kan:

	* Fix import from XML (entries without group)

2012-08-14 [r5017]  pm_kan:

	* Attempt to fix row height if password font bigger than list font
	  SendMessage(CCM_SETVERSION, 5, 0) doesn't fix this, so we do it
	  manually

2012-08-10 [r5015]  pm_kan:

	* Don't check M_symbols on Cancel if Named Policy used (otherwise
	  we have "changes" on View after changing Named Policy)

2012-08-10 [r5014]  pm_kan:

	* Fix enabling of Edit/List buttons for Named Policy: search by
	  policy name instead of position number (positions are changed
	  after deletion), enable LVN_KEYDOWN processing, fix
	  m_iSelectedItem calculation in VK_UP/DOWN (list is not circular).

2012-08-10 [r5013]  pm_kan:

	* Normalize policy on import (otherwise policy with
	  m_PWMakePronounceable==1 wouldn't match to existing policies)

2012-08-10 [r5012]  pm_kan:

	* Updates in Russian help

2012-08-10 [r5011]  pm_kan:

	* Fix export to XML (open tag for string preferences) Fix error
	  handling for XML import

2012-08-10 [r5010]  pm_kan:

	* Updates in Russian help and .po

2012-08-10 [r5009]  pm_kan:

	* Make some text labels longer

2012-08-09 [r5008]  pm_kan:

	* Update Russian help

2012-08-09 [r5007]  pm_kan:

	* Fix some tags in default Help and make "Note:" always bold.
	  Removed sentence about password policy labels' color.

2012-07-28 [r5006]  ronys:

	* wx: updates to po files (automatic)

2012-07-28 [r5005]  ronys:

	* Linux: Update required packages for I18N support

2012-07-27 [r5004]  ronys:

	* wx: Fixed Notes field issue on Ubuntu 12

2012-07-23 [r5002]  pm_kan:

	* Skip double clicks near items that not selected (for example,
	  clicks on hierarchy lines)

2012-07-23 [r5001]  pm_kan:

	* Fix highlighting of DB options in Options pages for theme styles
	  - added focus rectangle - use window's background for
	  checkbox/radiobutton (difference with COLOR_WINDOW visible if
	  window's background have gradient color)

2012-07-23 [r5000]  pm_kan:

	* Fix highlighting of DB options in Options pages for "Classical"
	  XP style ON_NOTIFY_REFLECT(NM_CUSTOMDRAW, ...) handler called
	  only when themes are on. Classical style doesn't use themes, so,
	  in that case (!IsThemeActive()), we need to set colors in
	  OnCtlColor as it was before r4545

2012-07-21 [r4999]  ronys:

	* wx: Special charachter logic cmpleted and fixed in
	  addeditpropsheet, thanks to Payoj for helping.

2012-07-21 [r4998]  ronys:

	* wx: clean up some warnings + a typo

2012-07-21 [r4997]  ronys:

	* wxWidget po autogenerated update

2012-07-14 [r4996]  ronys:

	* User-defined special symbols take precedence in EasyVision
	  password policy, thanks to Payoj

2012-07-12 [r4995]  ronys:

	* Partial fix for Escape Closes from Ankit - will close if Esc
	  pressed while grid widget has focus

2012-07-12 [r4994]  sauravg:

	* Yield after restoring UI, to give any visible msgboxes a chance
	  to regain focus and run their own message loops
	  https://sourceforge.net/tracker/?func=detail&aid=3537985&group_id=41019&atid=429579

2012-07-12 [r4993]  sauravg:

	* Rolling back the fix to tracker 3527112 (rev 4909), since it
	  somehow prevents messageboxes from hiding when the db is locked

2012-07-06 [r4992]  sauravg:

	* Save the password before showing as well as hiding it, and not
	  just for the latter. tracker # 3540440

2012-07-06 [r4991]  sauravg:

	* Check for LockDBOnIdleTimeout just before locking up. tracker id#
	  3537130

2012-06-24 [r4988]  pm_kan:

	* UPdate images for Russian help

2012-06-22 [r4986]  sauravg:

	* Redoing the fix for "notes field is too short" from rev 4735,
	  which was overwritten by rev 4809

2012-06-21 [r4985]  ronys:

	* 3.29pre2 -> 3.29

2012-06-17 [r4984]  ronys:

	* setup 3.29 for qa pre-release

2012-06-15 [r4981]  pm_kan:

	* Updates in Russian .po and .lng (rev. 4948)

2012-06-13 [r4979]  ronys:

	* Setup for long-term co-existence with Yubi branch, perhaps
	  possible future merge...

2012-06-13 [r4978]  ronys:

	* French translation for 3.29, thanks to Francois

2012-06-13 [r4977]  mniklas:

	* Some new translations

2012-06-12 [r4976]  ronys:

	* Swedish po file for 3.29, thanks to Bjorne

2012-06-12 [r4975]  karlo_vdg:

	* Manual German V3.29 (2 files are only for a part translated -
	  till yet)

2012-06-12 [r4974]  karlo_vdg:

	* German text V3.29 (latest changes)

2012-06-10 [r4972]  karlo_vdg:

	* Help Icons, German + English Password Policy

2012-06-10 [r4971]  ronys:

	* Fixed AddEdit edge case, thanks to Karlo

2012-06-10 [r4970]  ronys:

	* Added new image to German and Russian help directories

2012-06-10 [r4969]  karlo_vdg:

	* German text V3.29 (3)

2012-06-10 [r4967]  karlo_vdg:

	* German text V3.29 (2)

2012-06-10 [r4966]  ronys:

	* STL can work with arrays - save conversion to vector<>

2012-06-09 [r4965]  ronys:

	* updated po files per last commit

2012-06-09 [r4964]  ronys:

	* Added missing toolbar tooltip, thanks to Karlo, plus minor
	  cleanup to PWToolBar.cpp

2012-06-09 [r4963]  karlo_vdg:

	* German text V3.29

2012-06-09 [r4961-4962]  ronys:

	* murphy

	* Start 3.29 release rolling - 3.28.1 -> 3.29pre, edit release
	  notes, update po files

2012-06-05 [r4955]  ronys:

	* added maemo2pwsafe.pl, a quick conversion script from the text
	  file exported by a pwsafe clone running under Maemo to a text
	  file that pwsafe can import correctly.

2012-06-05 [r4954]  sauravg:

	* Added some clarifications and edited the big table to fit into a
	  single page

2012-06-05 [r4953]  sauravg:

	* Removed the .txt file in favor of the .rtf

2012-06-04 [r4952]  c-273:

	* Remove unused core function

2012-06-04 [r4951]  c-273:

	* As MFC version of PWS only supports Windows XP and later, remove
	  support of older MS XML parsers (V3, V4 & V5) in prior versions
	  of Windows leaving V6 - included in Windows XP SP3 or separately
	  downloadable. VC11 does not support these older versions.

2012-06-02 [r4950]  c-273:

	* Fix last VC11 compiler warnings (may not be best solution but
	  works)

2012-06-01 [r4949]  ronys:

	* Cleanup casts a bit

2012-06-01 [r4947-4948]  sauravg:

	* Set the mime-type to application/rtf

	* The RTF formatted document, thanks to c-273

2012-06-01 [r4946]  sauravg:

	* Centralized the code for locking a db, and cleared the inactivity
	  timer the first thing on the timer's arrival and while exiting

2012-06-01 [r4945]  c-273:

	* Replace CSecString by StringX in internal routines to stop VC11
	  errors

2012-06-01 [r4944]  sauravg:

	* First attempt at fleshing out the various UI and DB states and
	  their transitions

2012-06-01 [r4943]  sauravg:

	* While autotyping, be sure to get all data from the db before
	  minimizing, lest the "lock on minimize" option is set.

2012-06-01 [r4942]  ronys:

	* Make CSecString more strictly C++ compliant, for new VS compiler

2012-05-30 [r4940]  c-273:

	* Fix compiler errors in new VC 11 beta compiler.

2012-05-30 [r4939]  ronys:

	* Fixed some typos that broke compilation of Polish translation

2012-05-30 [r4938]  c-273:

	* Support Czech PO via Windows VBS script

2012-05-29 [r4937]  sauravg:

	* Fixed several issues with autolock while minimizing/closing
	  Should fix tracker# 3174817 partially

2012-05-29 [r4936]  sauravg:

	* Fixed validator for "Lock db on minimize" checkbox

2012-05-29 [r4935]  sauravg:

	* Fixed handling of Minimize command from system tray

2012-05-28 [r4933]  c-273:

	* Fix BR 3525995 Find now only highlights/select the found entry
	  (plus minor variable renames for consistency)

2012-05-24 [r4931]  c-273:

	* For StringX, emptying a string is faster by setting to an empty
	  string [_T("") (in core) or L"" (in Windows)] than using clear()
	  member function.

2012-05-23 [r4928]  ronys:

	* wx AddEdit Expiry control at last starting to look sane

2012-05-23 [r4927]  c-273:

	* Fully support import of password policies via XML and refactor
	  how preferences are imported.

2012-05-23 [r4926]  c-273:

	* Fix bug introduced in recent commit

2012-05-21 [r4925]  ronys:

	* Cosmetics:
	  PWPolicy::s/GetPWPolicyDisplayString/GetDisplayString/g

2012-05-21 [r4924]  mniklas:

	* Some new translations

2012-05-21 [r4923]  mniklas:

	* Some cleaning

2012-05-21 [r4922]  mniklas:

	* Some new translations

2012-05-20 [r4921]  c-273:

	* Properly support password policies and password policy names
	  during Compare, Merge, Sync and Copy & Sync from Compare results
	  dialog

2012-05-20 [r4920]  ronys:

	* wx: More work on entry expiration setting / handling / displaying

2012-05-20 [r4919]  c-273:

	* Fix error in previous commit

2012-05-20 [r4918]  c-273:

	* 'Slight' mod to recent default password policy changes to negate
	  saving any in core for 'other core' processing e.g. Compre,
	  Merge, Sync

2012-05-19 [r4917]  ronys:

	* wx: Start cleanup AddEdit expiry date propsheet

2012-05-19 [r4916]  ronys:

	* wx build now ok re previous commit

2012-05-19 [r4915]  ronys:

	* Removed PWPolicy default get/set, Windows version builds OK

2012-05-19 [r4914]  ronys:

	* Added PWSPrefs::{Get,Set}DefaultPolicy(), before removing
	  PWPolicy's equiv.

2012-05-19 [r4913]  ronys:

	* Nit, prior to PWSprefs/PWPolicy refactoring

2012-05-18 [r4910]  c-273:

	* Change the way we determine to show Add/Edit and Options property
	  pages in Tall or Wide versions

2012-05-18 [r4909]  sauravg:

	* Removed the defensive wsSafeYield() call to wait till the app
	  safely minimizes, since that call never seems to return on Linux
	  Mint 12 with MGSE enabled

2012-05-16 [r4908]  ronys:

	* Cleaned up redundant displays in AddEdit_DateTimes dbox.

2012-05-15 [r4907]  c-273:

	* Fix Named Policies changes - not all done yet

2012-05-14 [r4906]  ronys:

	* AddEdit Expiry logic OK at last. Still need to clean up display

2012-05-13 [r4905]  c-273:

	* Allow export to file in a disk's root directory

2012-05-12 [r4904]  c-273:

	* New FR - Allow user to abort a long running Compare, Merge or
	  Synchronise of databases.

2012-05-12 [r4903]  c-273:

	* Update wxWidgets with last commit (I think) + add new files to VS
	  wx project files, fix warnings

2012-05-11 [r4902]  c-273:

	* Fix comparisons (in Synchronise) and display (in Compare Entries)
	  of entry's password policy

2012-05-11 [r4901]  ronys:

	* More lenient error handling for malform policy string under debug
	  build.

2012-05-09 [r4900]  ronys:

	* More progress on AddEdit_DateTimes (not done yet)

2012-05-08 [r4898-4899]  c-273:

	* And SynchronizeAll

	* Ensure Synchronize of entries sets database has changed

2012-05-08 [r4897]  ronys:

	* More cleanup on AddEdit_DateTimes (not done yet)

2012-05-08 [r4896]  c-273:

	* Fix password compare code in DB Compare.

2012-05-07 [r4895]  c-273:

	* Tidy up previous new feature and add InfoDisplay to Notes field
	  in the Show Compare Entries dialog

2012-05-06 [r4894]  c-273:

	* Add a compare results dialog feature (I needed it myself now)

2012-05-06 [r4893]  ronys:

	* wx: Last commit builds under Linux

2012-05-06 [r4892]  ronys:

	* Format expiration date as date alone, plus refactor of
	  ConvertToDateTimeString

2012-05-06 [r4891]  c-273:

	* Stop excessive refreshes of GUI (and excessive CPU usage) during
	  Copy/Synchronize All from Compare results dialog

2012-05-06 [r4890]  c-273:

	* Update release notes for Rony's last BR fix

2012-05-05 [r4889]  ronys:

	* Specify expiration of password with date - time inplicitly set to
	  1 minute after midnight (still some cleaning up to do).

2012-05-05 [r4888]  ronys:

	* [3523117] - off-by-one error in expiration setting.

2012-05-03 [r4887]  c-273:

	* Update pugiXML to v1.2

2012-05-02 [r4886]  ronys:

	* wx: Builds cleanly on 64bit, thanks to mwerle

2012-05-01 [r4885]  ronys:

	* wx Entry password policy changes now persistent plus minor
	  constification in core (thought there would be more changes in
	  core, but decided not for now)

2012-05-01 [r4884]  ronys:

	* wx Entry's password policy controls display & behave correctly
	  now

2012-04-30 [r4883]  c-273:

	* Fix BR 3518734

2012-04-28 [r4882]  ronys:

	* last commit now builds cleanly under Linux too

2012-04-28 [r4881]  ronys:

	* refactor: String2Policy/Policy2String to PWPolicy c'tor and cast
	  operator, resp., per dk's hint in code

2012-04-27 [r4880]  ronys:

	* More bulletproofing of PWPolicy

2012-04-27 [r4879]  ronys:

	* Lookup default password policy correctly, don't crash in trivial
	  Generate Password scenario...

2012-04-27 [r4878]  ronys:

	* wx: More work on policy/symbols

2012-04-25 [r4877]  ronys:

	* Minor cleanup: Don't create log's deqeue if it's never used

2012-04-25 [r4876]  c-273:

	* Set Notes to be plain text (really!)

2012-04-25 [r4875]  ronys:

	* wx: more work on using pw policies in add_edit

2012-04-24 [r4874]  c-273:

	* Set Notes to be plain text

2012-04-24 [r4873]  ronys:

	* wx: started work on using pw policies in add_edit

2012-04-24 [r4872]  ronys:

	* nit

2012-04-23 [r4871]  c-273:

	* Fix BR 3518389

2012-04-22 [r4870]  ronys:

	* wx: avoid spurious locks when idletimeout == 0

2012-04-21 [r4869]  ronys:

	* wx builds again after PWPolicy refactor

2012-04-20 [r4868]  c-273:

	* Stop Linux build whinges!

2012-04-20 [r4867]  ronys:

	* Refactor policy-related data structures - wx build NOT updated
	  yet

2012-04-20 [r4866]  c-273:

	* Implement FR 3519484 - Persistent Empty Groups.

2012-04-18 [r4865]  c-273:

	* Correct ReleaseNotes text

2012-04-18 [r4864]  ronys:

	* [3518732] Custom special symbol set now handled correctly in
	  Generate Password dialog box

2012-04-17 [r4863]  ronys:

	* Minor fixes to pwpolicy - still needs work.

2012-04-14 [r4862]  ronys:

	* wx: Named policies are persistent, plus undo/redo support

2012-04-14 [r4861]  ronys:

	* wx: more progress on named password policies

2012-04-11 [r4860]  ronys:

	* wx: more cleanup re policy editing

2012-04-11 [r4859]  sauravg:

	* We don't need any particualr id for 'Reset all' button. And,
	  don't check for modifiers for new accels

2012-04-10 [r4858]  ronys:

	* wx: minor cleanup re policy editing

2012-04-10 [r4857]  sauravg:

	* Added "Reset All" button to shortcuts page

2012-04-08 [r4856]  ronys:

	* [3515692] Fixed crash with Generate Password switching to default
	  policy with > 1 named policy.

2012-04-07 [r4855]  ronys:

	* Minor refactor

2012-04-07 [r4854]  ronys:

	* wx: Default passwword policy now editable

2012-04-06 [r4853]  sauravg:

	* Implemented resetting/removing shortcuts, but shortcuts to stock
	  menuitems cannot be removed yet. They can be modified, though.

2012-04-06 [r4852]  ronys:

	* wx: Work on updating an existing policy

2012-04-04 [r4851]  c-273:

	* Fix BR 3514819 properly

2012-04-04 [r4850]  c-273:

	* Fix BR 3514819 - Add Group now works but Undo doesn't remove it
	  as it is a Tree artefact and not a database one!

2012-04-03 [r4849]  sauravg:

	* No need to create accels on heap at all

2012-04-03 [r4848]  sauravg:

	* Fixed issues with changing/deleting/adding shortcuts to existing
	  menu items

2012-04-03 [r4847]  sauravg:

	* Moved all shortcuts related command-handling to PWSMenuShortcuts

2012-04-03 [r4846]  sauravg:

	* Keep track of the shortcut's menu-id separately, since the
	  menuitem seems to get deleted from under us during shutdown.
	  Also, don't save a shortcut unless it really changes

2012-04-02 [r4845]  ronys:

	* French translation for 3.28, thanks to Francois

2012-04-01 [r4844]  c-273:

	* Tidy up and correct compare functions

2012-03-31 [r4843]  c-273:

	* Implement FR 3510481

2012-03-29 [r4842]  sauravg:

	* Don't insist on modifier keys for shortcuts

2012-03-28 [r4841]  ronys:

	* wx: Inching forward on policies

2012-03-28 [r4840]  sauravg:

	* Added new files to project

2012-03-26 [r4839]  ronys:

	* wx: Inching forward on policies

2012-03-24 [r4838]  c-273:

	* Fix BR 3510590 - bad repair of PWH during validate on open

2012-03-23 [r4837]  c-273:

	* Update release notes for fixes included in 3.28.1

2012-03-22 [r4836]  ronys:

	* wx: more work on named policy support - fleshing out Add/Edit
	  named policy

2012-03-21 [r4835]  ronys:

	* wx: inching forward on named policy support

2012-03-21 [r4834]  ronys:

	* More updates to Czech translation, thanks to buchtik.

2012-03-20 [r4833]  c-273:

	* Update docs re: bugs fixed

2012-03-20 [r4831-4832]  ronys:

	* More updates to Czech translation, thanks to buchtik.

	* Minor tweaks to Brazilian Portuguese install texts from Andreas.

2012-03-19 [r4830]  c-273:

	* Fix BR 3508891 - needs review & testing

2012-03-19 [r4829]  ronys:

	* Updates to Czech translation, thanks to buchtik.

2012-03-19 [r4828]  ronys:

	* Added Brazilian Portuguese installation texts, thanks to Andreas
	  (bumped version to 3.28.1 for this)

2012-03-18 [r4827]  ronys:

	* wx: Started work on Password Policy dbox

2012-03-17 [r4826]  ronys:

	* wx: Implemented password policy Generate & Copy to clipboard

2012-03-17 [r4825]  ronys:

	* wx: reused code from last comit - we can now show password policy
	  details

2012-03-17 [r4824]  ronys:

	* refactor password policy code to allow reuse with wx

2012-03-14 [r4823]  ronys:

	* wx: More work on CManagePasswordPolicies - Lower grid now
	  switches

2012-03-13 [r4822]  ronys:

	* wx: More work on CManagePasswordPolicies - mainly ui

2012-03-13 [r4821]  sauravg:

	* Check wxMessageDialog return for wxID_CANCEL (not wxCANCEL)
	  Tracker# 3494900

2012-03-13 [r4820]  mniklas:

	* Some new translations

2012-03-12 [r4819]  ronys:

	* wx: Added DialogBlock-generated stub for Manage PasswordPolicies
	  dialog box + refactor to new MainManage.cpp + commit updated pos

2012-03-12 [r4818]  ronys:

	* wx: Bring app & dialogBlocks pjd closer - no functional change

2012-03-11 [r4817]  ronys:

	* wx: popup menu to copy email now works

2012-03-11 [r4816]  ronys:

	* wx: Added email field to AddEdit (Send button inactivated until
	  PWSRun implemented for Linux)

2012-03-10 [r4815]  ronys:

	* [3498625] - Changes to default password policy can now be tested
	  immediately.

2012-03-10 [r4814]  ronys:

	* wx: Use PWPolicy::SetToDefaults

2012-03-10 [r4813]  ronys:

	* More refactoring: Defined a method to set a policy to default
	  preferences.

2012-03-10 [r4812]  ronys:

	* Make last commit build cleanly under wx

2012-03-10 [r4811]  ronys:

	* Refactor to enable Named Policies code sharing with wx + minor
	  cleanup

2012-03-10 [r4810]  ronys:

	* wxWidgets: More porting 3.28 features: per-entry Symbol sets
	  (WiP)

2012-03-09 [r4809]  ronys:

	* wxWidgets: Startt porting 3.28 features: ShiftDCA, named Policies
	  (WiP)

2012-03-08 [r4808]  sauravg:

	* Added support for saving/restoring shortcuts

2012-03-08 [r4807]  sauravg:

	* Updated source files

2012-03-06 [r4806]  c-273:

	* Remove custom memory routines from pugixml

2012-03-05 [r4805]  c-273:

	* Replace TinyXML by pugixml for parsing configuration files

2012-03-03 [r4802]  ronys:

	* UI tweaks based on suggestions from ThaJsta

2012-03-03 [r4801]  c-273:

	* Fix BR 3495473 but had to remove Notes right-click context menu
	  item ShowNotes as it is incompatible with dealing with handling
	  Set/Kill focus events

2012-03-03 [r4797]  ronys:

	* Update svn:ignore properties for Linux

2012-03-03 [r4796]  ronys:

	* Fixed Linux build + added copyright notice

2012-02-29 [r4795]  ronys:

	* latest.xml is now compliant xml

2012-02-28 [r4794]  mniklas:

	* Some new translations

2012-02-28 [r4793]  mniklas:

	* Polska -> Polski name of country (Polska/Poland) -> name of
	  language (Polski/Polish)

2012-02-27 [r4792]  sauravg:

	* Fixed wxWidgets build on Windows. Hopefully will fix the MFC
	  build also.

2012-02-27 [r4791]  sauravg:

	* Moved fmtspec_cvt.h to os

2012-02-27 [r4790]  sauravg:

	* tinyxml.cpp - Must use %S to write UNICODE strings when using GCC
	  core/fmtspecs_cvt.h - Macros to conveniently convert %s -> %S
	  when using GCC with UNICODE defined os/linuxtinyxml.cpp - Must
	  use %S to write UNICODE strings when using GCC
	  core/fmtspecs_cvt.h - Macros to conveniently convert %s -> %S
	  when using GCC with UNICODE defined os/linux/* - Use macros
	  defined in fmtspecs_cvt.h rather than do the conversions
	  "manually"

2012-02-26 [r4789]  c-273:

	* nit

2012-02-26 [r4788]  c-273:

	* Prevent potential menu issue

2012-02-23 [r4787]  ronys:

	* update pos after typo fixes

2012-02-23 [r4786]  ronys:

	* Fix typos

2012-02-21 [r4783]  ronys:

	* Getting 3.28 ready to rock & roll.

2012-02-21 [r4782]  pm_kan:

	* Small fixes in Russian .po

2012-02-20 [r4781]  ronys:

	* wxWidgets: Removed Validate command, as is now done by default
	  upon read. This allowed making PWScore::Validate private (already
	  tested under Windows)

2012-02-20 [r4780]  ronys:

	* Final tweaks to Czech texts, from Buchtik.

2012-02-19 [r4779]  ronys:

	* Rename ParseBasesAndAliases() to ParseDependants()

2012-02-19 [r4778]  ronys:

	* Fixed Fernando's bug: Separate alias and shortcut parsing from
	  Validate, as the latter isn't called when unlocking a database

2012-02-19 [r4777]  c-273:

	* Update the comments only

2012-02-19 [r4776]  c-273:

	* Another attempt to fix compare results dialog + remove include
	  causing unnecessary re-compilation of source

2012-02-19 [r4775]  ronys:

	* More work on Czech version from Buchtik

2012-02-19 [r4774]  ronys:

	* wxWidgets: Bump Linux version to 0.8 - deb Makefile

2012-02-19 [r4773]  ronys:

	* wxWidgets: Bump Linx version to 0.8

2012-02-19 [r4772]  ronys:

	* 4got 2 mention new Czech support...

2012-02-19 [r4771]  ronys:

	* Polish Release Notes, move last year's relnotes to ChangeLog.txt

2012-02-19 [r4770]  ronys:

	* Bump version to pre2 prior to release to testers.

2012-02-18 [r4769]  c-273:

	* Move column data into class.

2012-02-17 [r4768]  c-273:

	* Support Czech DLL production via Windows VBS script

2012-02-17 [r4767]  c-273:

	* Fix display of differences after compare and don't do meaningless
	  compare when either entry is using a named policy

2012-02-16 [r4766]  ronys:

	* Tweaks to Dutch translation for 3.28 from Bert.

2012-02-15 [r4765]  c-273:

	* Stop password policies being sorted as we already sorted it

2012-02-15 [r4764]  ronys:

	* Dutch translation for 3.28 from Bert.

2012-02-14 [r4762]  c-273:

	* Support escape key to close Wizard dialogs.

2012-02-14 [r4761]  ronys:

	* First hack at Czech translation, thanks to buchtik.

2012-02-13 [r4760]  c-273:

	* Remove redundant routine

2012-02-13 [r4759]  sauravg:

	* Added lib/vc_lib/mswud as an include path, so <wx/setup.h> can be
	  found

2012-02-13 [r4758]  ronys:

	* Constification & minor optimization re
	  PWScore::{Do,Undo}RenameGroup

2012-02-13 [r4757]  ronys:

	* Cleanup Linux build warning in PWScore::DoRenameGroup

2012-02-13 [r4756]  sauravg:

	* Added new files and fixed build on Mac

2012-02-13 [r4755]  pm_kan:

	* Make text fields longer for Russian translation

2012-02-12 [r4754]  c-273:

	* Fix BR 3486960 - Rename of a group now complete even if a filter
	  is active.

2012-02-12 [r4753]  ronys:

	* [3486959] No longer crashes trying to update access time of item
	  after restore from lock

2012-02-12 [r4751]  pm_kan:

	* Updates in Russian .po (rev. 4748)

2012-02-12 [r4750]  c-273:

	* Another CppCheck issue (minor)

2012-02-12 [r4749]  c-273:

	* Fix memory leaks/errors from CppCheck

2012-02-12 [r4748]  ronys:

	* wxWidgets: Plugged wxLocale memory leak

2012-02-10 [r4746]  sauravg:

	* Fixed yet another leak pointed out by c-273

2012-02-10 [r4745]  sauravg:

	* Added msvcrt's leak detection, which is already present in all
	  other files

2012-02-09 [r4744]  c-273:

	* Implement PWS internal values for shortcut key modifiers so that
	  MFC and wxWidgets can co-exist.

2012-02-09 [r4743]  sauravg:

	* Fixed yet another memory leak identified by c-273

2012-02-09 [r4742]  sauravg:

	* Fixed another leak pointed out by c-273

2012-02-09 [r4741]  sauravg:

	* Fixed leaks pointed out by c-273

2012-02-08 [r4740]  ronys:

	* Added svn:eol native to files that needed it but didn't have it
	  yet.

2012-02-08 [r4739]  sauravg:

	* Moved more of shortcut management code to pwsmenushortcuts.*, and
	  fixed it to deal with menus with stock labels

2012-02-08 [r4738]  karlo_vdg:

	* German text version 3.28

2012-02-08 [r4737]  sauravg:

	* Let wxWidgets provide the menuitem labels and accelerators for
	  all stock items, so long as they match with the labels we want

2012-02-07 [r4736]  c-273:

	* Fix wxWidgets under VS2010/Windows and a incorrect
	  m_core.ReadFile parameter list

2012-02-07 [r4735]  sauravg:

	* Minimum changes to let the Notes box grow. This fixes the Notes
	  textbox size issue on Ubuntu 11.10, but resizing the box doesn't
	  maintain proportions Tracker# 3475500

2012-02-05 [r4734]  ronys:

	* wxWidgets: Port new graphics

2012-02-03 [r4733]  ronys:

	* Final 3.28 Swedish texts from Bjorne

2012-02-03 [r4732]  ronys:

	* First crack at 3.28 Swedish texts from Bjorne.

2012-02-01 [r4731]  ronys:

	* DCA list in AddEdit_Additional now correct for View/Edit default
	  as well as non-English text, thanks to Fernando.

2012-01-31 [r4730]  c-273:

	* Improve information shown when comparing different types of
	  entries

2012-01-30 [r4729]  c-273:

	* Fixed Notes not showing in Add/Edit - Thanks to Fernando for
	  reporting it and to Rony for spotting the right place to fix.

2012-01-29 [r4728]  ronys:

	* murphy

2012-01-29 [r4727]  ronys:

	* Bumped release version to 3.28pre for tranalstions pre-release

2012-01-29 [r4726]  ronys:

	* Updated pos for 3.28

2012-01-29 [r4725]  ronys:

	* typo

2012-01-29 [r4724]  ronys:

	* Minor tweaks to phrasing

2012-01-29 [r4723]  c-273:

	* Make Edit menu/context menu shorter if possible (don't display
	  Undo/Redo if neither available), don't display rename entry in
	  List view

2012-01-29 [r4722]  c-273:

	* Implement "half-way house" solution to entry compare using native
	  support in List view and special selection dialog and command
	  line flag for Tree view

2012-01-29 [r4721]  c-273:

	* Typos in last commit

2012-01-29 [r4719-4720]  c-273:

	* Update help

	* Fix issues in actions via the CompareResults dialog (eg. invalid
	  password displayed, invalid results comparing aliases/shortcuts,
	  invalid completions message, include PolicyName in display if
	  compared Support multiple-selection on CompareResults dialog

2012-01-29 [r4718]  c-273:

	* New base images

2012-01-27 [r4717]  c-273:

	* Missed one earlier

2012-01-27 [r4716]  c-273:

	* Add strings before Text/GUI cut-off

2012-01-25 [r4715]  c-273:

	* Fix some niggles with CompareWith

2012-01-25 [r4714]  sauravg:

	* Moved all shortcut management code to its own class

2012-01-24 [r4713]  c-273:

	* Use password font for passwords in Compare Entries

2012-01-23 [r4712]  ronys:

	* Revert to pre-Yubi psafetxt.bmp graphic + align controls on
	  opening window

2012-01-23 [r4711]  c-273:

	* Change command line flag to stop validate on open to
	  "--novalidate"

2012-01-23 [r4710]  c-273:

	* Implement "Compare Entries" via command line flag

2012-01-21 [r4709]  ronys:

	* wxWidgets - compile after mergs with dk-validate - still need to
	  change s.t. Validate is done by default and explicit command
	  removed

2012-01-21 [r4708]  ronys:

	* Removed Manage->Validate menu entry, as is now redundant

2012-01-21 [r4707]  ronys:

	* Rephrased text displayed upon validation failure.

2012-01-21 [r4706]  ronys:

	* Merge dk-validate branch into trunk

2012-01-21 [r4705]  c-273:

	* Another tweak re: number of images

2012-01-21 [r4703]  c-273:

	* Fix bad display of new bitmaps

2012-01-19 [r4702]  c-273:

	* Fix background colour of Notes (new CRhichEditCtrl) and the
	  setting of changed flag just by clicking on it

2012-01-19 [r4700-4701]  ronys:

	* Tweak last merge

	* merge in of yubico2_2 graphics - untested

2012-01-19 [r4699]  sauravg:

	* Allow user to edit shortcuts by keying them directly, as well as
	  typing the entire accelerator + keycode

2012-01-17 [r4698]  ronys:

	* Finished cleaunp AddEdit_Additional

2012-01-17 [r4697]  c-273:

	* Better release notes for font and zoom change + add shortcuts on
	  Notes menu

2012-01-17 [r4696]  sauravg:

	* Minor tweak to build with i686-apple-darwin10-gcc-4.2.1

2012-01-16 [r4695]  c-273:

	* Ensure change to preferences are also reflected in processing
	  mini-dumps (default backup changes)

2012-01-16 [r4694]  c-273:

	* FR 3468289 (password font in PWH and List view) + zoom in/out
	  Notes field. Major change to fonts - centralising them and
	  removing from DboxMain

2012-01-16 [r4693]  ronys:

	* Cleaunp AddEdit_Additional - WiP.

2012-01-16 [r4692]  c-273:

	* Implement FR 3455436 and add control over changes to protected
	  entries + fix issue if special filter in place during Undo/Redo

2012-01-14 [r4690]  ronys:

	* Changed default backup policy - we now save 3 copies back by
	  default.

2012-01-14 [r4689]  ronys:

	* Undid last commit, after discussion with dk

2012-01-13 [r4688]  c-273:

	* Change all == operators so that != operator is correct.

2012-01-11 [r4687]  sauravg:

	* Show all the shortcuts in use by iterating over all the menus in
	  menubar

2012-01-11 [r4686]  sauravg:

	* Set the frame window as top window explicitly, to make sure we
	  always get the frame window back and not some dialog window via
	  wxGetApp::GetTopWindow

2012-01-10 [r4685]  ronys:

	* Put Dutch back into nsis build - not sure why it was removed

2012-01-10 [r4683-4684]  ronys:

	* oops - continue of last cleanup commit.

	* Minor cleanup.

2012-01-10 [r4682]  c-273:

	* Change open logic when opening a database if none currently open.
	  See ReleaseNotes.txt

2012-01-09 [r4681]  c-273:

	* Prevent zero UUID when copying entry to current DB during compare

2012-01-09 [r4680]  c-273:

	* Move version info gathering to reduce excess compiles after every
	  commit

2012-01-09 [r4679]  mniklas:

	* Some new translations

2012-01-08 [r4677]  ronys:

	* Handle edge-case that was causing random crash when password
	  length was small, pronounceable and digits and/or symbols was
	  selected

2012-01-06 [r4673]  c-273:

	* Missed copyright

2012-01-06 [r4672]  c-273:

	* Fix inability to copy entries to the original database in the
	  Compare database results dialog. Remove redundant code as
	  comparison DB has been changed to R-O in a previous release

2012-01-05 [r4671]  ronys:

	* Updated copyright notice to 2012, plus added a few missing
	  notices

2012-01-05 [r4670]  ronys:

	* interim update of Windows po files

2012-01-05 [r4669]  ronys:

	* shut up a couple of warnings on Linux build

2012-01-04 [r4668]  c-273:

	* Remove redundant code following Merge of dk-npp (the merge should
	  have deleted it!)

2012-01-04 [r4667]  c-273:

	* Remove redundant code left after moving from uuid_array_t to
	  CUUID in rev. 4166 & 4169 Plus fix 2 nits

2012-01-03 [r4666]  c-273:

	* Fix BR 3468853

2012-01-03 [r4665]  ronys:

	* Minor phrasing tweaks.

2012-01-02 [r4664]  ronys:

	* Merge of dk-npp into trunk - untested

2011-12-31 [r4653]  ronys:

	* BR3462520 (entry expiration mess) ok now, but should be cleaned
	  up further, per comment in AddEdit_DateTimes.cpp (later).

2011-12-30 [r4652]  c-273:

	* Update ReleaseNotes html for R's previous commit

2011-12-30 [r4651]  c-273:

	* Let's be consistent with the word 'AutoType"

2011-12-29 [r4650]  ronys:

	* Updated Linux build instructions, thanks to comments from
	  etienne.

2011-12-29 [r4649]  ronys:

	* Fixed typos in online help, thanks to Jon F. for pointing them
	  out.

2011-12-20 [r4647]  ronys:

	* [3462520] A password entry's expiry time in days now correctly
	  reflects the expiration date for non-recurring expiration.

2011-12-19 [r4643]  ronys:

	* BR3462520 - Specifying Password Expiry in days doesn't work -
	  WiP.

2011-12-17 [r4641]  ronys:

	* removed unneeded check in PWSLog::Add, added explanations why.

2011-12-17 [r4640]  ronys:

	* Murphy on Linux debug build + minor cleanup on log functionality
	  + maintaining precondition on pop_front

2011-12-16 [r4638]  ronys:

	* Merge of branches/dk-logit into trunk

2011-12-16 [r4636]  sauravg:

	* SingleInstanceChecker should have been static, but was not, so
	  single-instance check was valid only while the
	  SafeCombinationEntry dialog was on Tracker# 3457472

2011-12-12 [r4624]  c-273:

	* Potentially (and hopefully) fix long running BR 3377061

2011-12-06 [r4613]  c-273:

	* Minor bugette noticed doing work in another branch

2011-12-06 [r4612]  sauravg:

	* Use XSendKeys because the XTest method doesn't yet handle
	  modifiers other than Shift

2011-12-06 [r4611]  sauravg:

	* Fixed an assert and error check

2011-12-05 [r4610]  sauravg:

	* Removed unnecessary XOpenDisplay calls, and matched those
	  remaining with XCloseDisplay

2011-12-05 [r4609]  sauravg:

	* pws_os::towc is not available on Windows, so ignore the error
	  string from exception during autotyping on Windows (which Windows
	  autotype code doesn't throw anyway)

2011-11-30 [r4603]  c-273:

	* Implement FR 3445820 and fix other checks on the Ctrl key

2011-11-25 [r4593-4595]  sauravg:

	* Added new files unicode2keysym.{h,cpp}

	* Added C++ source code for generating .cpp

	* Maintain a map of UNICODE wchar_t values and X Keysyms that
	  cannot be obtained algorithmically

2011-11-25 [r4592]  sauravg:

	* Script to generate a map of UNICODE wchar_t values and X keysyms

2011-11-25 [r4591]  sauravg:

	* We only need to track keysyms for wchar_t values less than 0x20

2011-11-24 [r4589]  sauravg:

	* Don't hardcode Shift as the only possible modifier. Look for all
	  possible modifiers in X keymap.

2011-11-24 [r4588]  sauravg:

	* Throw an exception if there's an error autotyping, and display
	  the error message

2011-11-20 [r4585]  c-273:

	* Fix BR: 3435869

2011-11-18 [r4581]  sauravg:

	* Do not rely on any instrinsic order in pw hisotry list storage.
	  Always sort the list explicitly

2011-11-16 [r4579]  ronys:

	* Corrected formatV3.txt - removed reference to incorrect format
	  version, fixed reference to current format version.

2011-11-14 [r4575-4576]  ronys:

	* [3437560] - Added Installed-size for deb builds.

	* Linux: Added I18N target for toplevel make

2011-11-13 [r4574]  ronys:

	* [3435869] '-g config_file' option now accepts a non-existing
	  file, creating it after notfying the user.

2011-11-12 [r4572]  ronys:

	* Added our icon to control panel entry in regular installation

2011-11-11 [r4571]  sauravg:

	* i386 targets don't have separate xcconfig files. They use the
	  same configs as "pwsafe" target.

2011-11-11 [r4570]  sauravg:

	* Removed "Run script only for deployment" checkbox for generating
	  version.h

2011-11-10 [r4569]  c-273:

	* Use the 'empty()' function rather than checking if 'size()' is
	  equal or not equal to zero + a few nits

2011-11-10 [r4568]  c-273:

	* Prevent double-click on SystemTray icon when passphrase prompt
	  active displaying empty database dialog

2011-11-07 [r4567]  sauravg:

	* Use reverse_iterator to add items to the grid to display in
	  reverse chronological order, and also to migrate items from old
	  to new PWHistory list to retain the newest entries

2011-11-07 [r4566]  sauravg:

	* Reconstruct the PWHistory string from settings in the dialog and
	  compare it with the item being edited to see if the user changed
	  any of PWHistory settings

2011-11-07 [r4565]  sauravg:

	* Prevent PW history from being erased by simply pressing OK in the
	  dialog

2011-11-07 [r4564]  sauravg:

	* Added handler for "Clear History" button

2011-11-05 [r4563]  c-273:

	* Nits - remove unnecessary includes, rename IDC_RANDOM to
	  IDC_GENERATEPASSWORD, use language files for "N/A" rather than
	  hard code them, ensure item not blue in Manage->Generate
	  Password.

2011-11-05 [r4562]  ronys:

	* Fixed silly typo

2011-11-01 [r4559-4561]  ronys:

	* wx: Bump version to 0.7.1 to mark start of I18N support

	* Linux: Connect language files to pwsafe startup for L10N

	* Linux: Added compiled language files (mo) to deb build

2011-11-01 [r4558]  ronys:

	* Linux: Minor fugbix to Makefile, pos regenerated due to src code
	  change.

2011-11-01 [r4557]  ronys:

	* Linux: Try harder and fail more gracefully if we can't load the
	  environment-specified locale

2011-11-01 [r4556]  ronys:

	* wx: Linux .mo files build OK. Note that mos directory structure
	  mirrors standard locale structure for testing.

2011-11-01 [r4555]  ronys:

	* Yet more transalation typos caught by Linux msg tools

2011-11-01 [r4554]  ronys:

	* Another transalation typo caught by Linux msg tools

2011-11-01 [r4553]  ronys:

	* wx: Successfull run of msgmerge on Windows .po files and
	  wxWidgets .pot

2011-11-01 [r4552]  ronys:

	* Merged last commit (typo fixes to Windows/I18N/pos) to
	  wxWidgets/I18N/pos

2011-11-01 [r4551]  ronys:

	* Translation errors found by msgmerge on Linux

2011-11-01 [r4550]  ronys:

	* Added Windows po files as a starting point for wx I18N

2011-10-31 [r4549]  ronys:

	* Moving towards I18N support on Linux

2011-10-31 [r4548]  c-273:

	* Remove commented out code forgotten in recent commit

2011-10-31 [r4546]  c-273:

	* Remove support for PWS's own XML date/time format (use standard
	  W3C format) - See Help file for details.

2011-10-31 [r4545]  c-273:

	* Fix BR 3430196 - Buttons in the Options property pages now retain
	  the user's Windows theme.

2011-10-31 [r4544]  c-273:

	* Bump to 3.27.1

2011-10-30 [r4543]  ronys:

	* [3430369] Debian package now states dependency on correct version
	  of libxerces (3.1). Note that leaving 2.8 means that lenny will
	  no longer be supported, as 3.1 was not backported. Sic transit
	  gloria mundis. Thanks to Graeme for reporting this.

2011-10-30 [r4538]  ronys:

	* wx: Cleanup for xgettext

2011-10-30 [r4535]  ronys:

	* More release automation for Linux builds.

2011-10-29 [r4532]  ronys:

	* Tweaks for build on new PC

2011-10-29 [r4531]  ronys:

	* Updated PAD file

2011-10-29 [r4530]  ronys:

	* Silly line-end inconsistency (again)

2011-10-27 [r4526]  sauravg:

	* MultiCheckboxValidator: consider validation to be successful if
	  all checkboxes are disabled

2011-10-26 [r4525]  ronys:

	* wx: Don't close AddEdit dbox if Validate() fails

2011-10-25 [r4524]  ronys:

	* wx: Set non-default password policy in entry to be intially with
	  default values, same as Windows/MFC version

2011-10-25 [r4523]  ronys:

	* wx: Saner validation of policy for new entries

2011-10-25 [r4522]  ronys:

	* wx: Use default value of 300x400 for main window size if not
	  defined in pref (1st run). Taking up the whole screen is
	  unpolite, and almost unusable under Unity.

2011-10-25 [r4521]  ronys:

	* Linux: Applied Mark's patches as submitted in bug report 3413001.
	  Needed for compilation under Ubuntu 11.10.

2011-10-25 [r4520]  ronys:

	* Lose the pre suffix in prep for 3.27 formal release

2011-10-24 [r4516-4517]  mniklas:

	* One misspelling repaired

	* Some new translations

2011-10-15 [r4515]  c-273:

	* Tidy up commit 4504

2011-10-13 [r4505]  ronys:

	* Francois' French translation for 3.27pre

2011-10-13 [r4504]  c-273:

	* Make Options buttons look the same

2011-10-13 [r4503]  ronys:

	* wxWidgets: Added sanity checks on pwPolicy in AddEdit to avoid
	  crash/assert

2011-10-08 [r4500]  sauravg:

	* Ensure there are enough rows in the grid before populating the
	  password history into it

2011-10-05 [r4499]  ronys:

	* Bjorne's translations for 3.27pre.

2011-10-05 [r4498]  karlo_vdg:

	* German help file V3.27

2011-10-02 [r4497]  pm_kan:

	* updates in Russian help

2011-10-02 [r4496]  pm_kan:

	* updated tree_view.jpg in Russian help

2011-10-02 [r4495]  pm_kan:

	* Updates in Russian .po (rev. 4494)

2011-09-27 [r4494]  ronys:

	* Typo caught by Karlo

2011-09-27 [r4493]  karlo_vdg:

	* German 3.27

2011-09-26 [r4492]  ronys:

	* Bump wx release to 0.7.0Beta

2011-09-26 [r4491]  ronys:

	* Update po files for 3.267pre

2011-09-26 [r4489-4490]  ronys:

	* Kickoff 3.27pre

	* Add text urging off-line backups and key-escrow consideration

2011-09-21 [r4488]  ronys:

	* [3411210] No longer crashes when unlocking with Subset Password
	  dialog box opened.

2011-09-21 [r4487]  ronys:

	* [3367590] Tooltip for System tray (displaying database file path)
	  is now limited to 40 characters (replacing text in the middle
	  with '...' if needed).

2011-09-20 [r4486]  sauravg:

	* Refresh updated items in comparison results after sync'ing

2011-09-20 [r4485]  sauravg:

	* Collapse all grids before re-comparing

2011-09-19 [r4483-4484]  sauravg:

	* Use wxScopedPtr where possible, and in preference to
	  std::auto_ptr

	* Keep track of selected items separately from selected rows, to
	  avoid mixing up in different grids

2011-09-18 [r4482]  ronys:

	* Update relnotes w.r.t. [3395549] PasswordSafe now displays forms
	  correctly on Netbooks.

2011-09-17 [r4481]  sauravg:

	* Added new/missing files to respective projects

2011-09-17 [r4480]  sauravg:

	* Implemented Synchronize menu item handlers

2011-09-17 [r4479]  sauravg:

	* Renamed & enhanced MenuEventModifier so that it can be used with
	  all types of events

2011-09-06 [r4474]  ronys:

	* Replaced image in Welcome page with a narrower one that gives a
	  better page layout.

2011-09-06 [r4473]  ronys:

	* Adapt to new devenv

2011-09-06 [r4472]  ronys:

	* Nit

2011-09-06 [r4471]  ronys:

	* Makefile syntax error (spaces != tab)

2011-09-05 [r4470]  c-273:

	* Fix bug in MS TreeCtrl and CreateDragImage. During Drag, it
	  doesn't show the entry's text as well as the drag image if the
	  font is not MS Sans Serif !!!!

2011-09-04 [r4469]  sauravg:

	* Added fieldselection{panel,dlg}.{h,cpp} to project and app bundle
	  targets

2011-09-04 [r4468]  sauravg:

	* Integrated with the project, although it doesn't do the
	  Synchonization from Comparison results dialog yet

2011-09-04 [r4467]  sauravg:

	* Fixed auto-selection of groups while editing entries, when a
	  sub-group (i.e. not right under the root) was selected for adding
	  an entry to.

2011-09-04 [r4466]  sauravg:

	* Force the "group" field to have the specified group, even if it
	  is not present in the Core Tracker# 3403831

2011-09-02 [r4464]  sauravg:

	* Added some event handlers

2011-08-31 [r4459]  sauravg:

	* Saving some WIP files. Not in use anywhere yet.

2011-08-28 [r4457]  sauravg:

	* Removed the bit about builds being smaller using llvm. They are
	  actually bigger (using llvm 1.7)

2011-08-28 [r4456]  sauravg:

	* Must define wxDEBUG_LEVEL=0 in 64-bit release to match wxWidgets
	  9.2's definition of --disable-debug, to actually remove all
	  asserts etc from Release builds

2011-08-28 [r4455]  sauravg:

	* Removed file "untitiled"

2011-08-27 [r4454]  sauravg:

	* Fixed 64-bit compilation issue on Mac

2011-08-27 [r4453]  sauravg:

	* Fixed pwsafe64 (Mac) target, although it should have been an
	  issue on 32-bit also

2011-08-27 [r4452]  sauravg:

	* Avoid a warning in 64-bit builds

2011-08-27 [r4451]  sauravg:

	* Donot copy xcconfig files in Copy Bundle Resources build phase in
	  pwsafe64-Release

2011-08-27 [r4450]  sauravg:

	* Donot specify any symbol or inline visibility options

2011-08-27 [r4449]  sauravg:

	* Added information about base SDK used in build

2011-08-27 [r4448]  sauravg:

	* Removed "Symbols hidden by default" & "Inline methods hidden",
	  like in static libraries, to avoid a ton of warnings from stl
	  headers

2011-08-27 [r4447]  sauravg:

	* Donot copy xcconfig files in Copy Resources build phase

2011-08-27 [r4445-4446]  sauravg:

	* Use the default SDK in llvm builds

	* Removed invalid architectures from core-llvm and os-llvm

2011-08-27 [r4444]  sauravg:

	* Fixed the compiler settings for llvm Release targets

2011-08-27 [r4443]  sauravg:

	* Added prototype for "sync entries" handler

2011-08-27 [r4442]  sauravg:

	* Simplified event handling code, and implemented updating the
	  comparison grids after editing entries

2011-08-27 [r4441]  sauravg:

	* Update the item if the field is CItemData::START. Also, just
	  invalidating an item's text in UI doesn't change it. We must
	  update the item's text ourselves

2011-08-27 [r4440]  sauravg:

	* Changed "Merge" to "Synchronize" in Compare dialog

2011-08-24 [r4439]  sauravg:

	* Updated deployment target platform information

2011-08-23 [r4438]  sauravg:

	* Make sure both rows belonging to an item in conflicts grid are
	  (de)selected simultaneously

2011-08-23 [r4436-4437]  sauravg:

	* Updated build instructions to cover all targets

	* To support multiple targets, work on one wx-config at a time, and
	  write to stdout instead of having hard-coded output filenames

2011-08-21 [r4435]  pm_kan:

	* Fix displaying of VK_OEM_X shortcuts (it's name depend on current
	  keyboard layout): - MapKeyNameID removed, now shortcut names
	  constructed with CHotKeyCtrl::GetKeyName - always update main
	  menu items' shortcuts, because keyboard layout could be changed

2011-08-21 [r4434]  sauravg:

	* CXXFLAGS is the right variable for compiler flags (CPPFLAGS is
	  for the preprocessor)

2011-08-20 [r4433]  sauravg:

	* CXXFLAGS should really have been CPPFLAGS for passing visibility
	  flags to the compiler, and CFLAGS should be set as well

2011-08-20 [r4432]  sauravg:

	* Missed the core64 and os64 targets when reverting from llvm to
	  gcc 4.2 in last commit

2011-08-20 [r4431]  sauravg:

	* Build both 64-bit configurations with gcc 4.2 (the default)

2011-08-20 [r4430]  sauravg:

	* Normalized the target names and their associated plist file names

2011-08-20 [r4429]  sauravg:

	* Removed some obsolete elements

2011-08-20 [r4427]  sauravg:

	* Fixed handling of copy/edit/delete handlers in comparison grids

2011-08-19 [r4426]  pm_kan:

	* Move LoadAccelerators into ThisMfcApp::SetupMenu() for reloading
	  accelerators on language change

2011-08-19 [r4425]  pm_kan:

	* Fixed crash in COptionsShortcuts::OnResetAll if language dll
	  contains invalid shortcuts

2011-08-19 [r4424]  sauravg:

	* Added the ability to update an item or just a field in the UI
	  without having to remove & then re-add the entire item

2011-08-16 [r4423]  c-273:

	* Support IE from DragBar AutoType without the kludge work-around.
	  Thanks to Larry for extensive testing.

2011-08-15 [r4422]  c-273:

	* Fix message when compared databases are identical. Ensure all LF
	  are CRLF in reports viewed or saved to disk.

2011-08-14 [r4421]  sauravg:

	* Fixed a leak pointed out by MSVC

2011-08-14 [r4420]  sauravg:

	* Enabled msvcrt's support for leak detection in Windows builds

2011-08-13 [r4418-4419]  ronys:

	* Fix dir perms for dpkg build - Thanks to Lars

	* Fix misplaced assert for Linux - Thanks to Lars

2011-08-13 [r4417]  c-273:

	* Implement FR 3367590

2011-08-13 [r4416]  sauravg:

	* Added recent files to project, and fixed some MSVC warnings about
	  unreferenced function parameters

2011-08-13 [r4415]  sauravg:

	* Implemented some more of the context menu handlers wxutils.h -
	  Added a way to inject context information from the time a menu is
	  created, into events arising from it

2011-08-11 [r4414]  sauravg:

	* Fixed handling of editing/viewing entries in the comparison
	  result grids

2011-08-11 [r4413]  sauravg:

	* Set the dialog caption appropriately, depending on whether its
	  invoked for adding, editing or viewing an entry

2011-08-09 [r4405-4406]  sauravg:

	* Don't let items to be saved without a title and a password

	* Delay Expand/Collapse of panels until all of them are in place

2011-08-06 [r4404]  sauravg:

	* Improved validation in Password Policy pages

2011-08-05 [r4403]  sauravg:

	* Added validation for Password Policy page in options dialog Fixes
	  1 & 2 of Tracker# 3174825

2011-08-05 [r4402]  sauravg:

	* Pass the UI interface to AddEdit propsheet while editing also, to
	  ensure an entry is updated after editing

2011-08-02 [r4401]  sauravg:

	* Avoid a spurious assert by checking if the grid has anything to
	  save before querying it for db entries.

2011-08-02 [r4400]  sauravg:

	* Call the containing sizer's Layout() method to correctly position
	  the spinboxes before/after showing/hiding them

2011-08-02 [r4399]  sauravg:

	* Hide/Show top-level windows recursively when locking/unlocking
	  the UI Tracker # 3376886

2011-07-31 [r4397]  c-273:

	* Property Sheet window handle not available in c'tor (only in
	  OnInitDialog) which is too late for telling Property Pages. Move
	  check for tall/short to DboxMain and pass to the Property Sheet

2011-07-31 [r4395]  c-273:

	* Fix some Shift+DCA missing changes (thanks to Andrey)

2011-07-31 [r4394]  c-273:

	* Update release notes

2011-07-30 [r4392]  pm_kan:

	* Don't include debug info in release build Changed CXXFLAGS+= with
	  internal variable CPPFLAGS, otherwise we have unexpected flags if
	  CXXFLAGS is exported in shell/script

2011-07-30 [r4391]  pm_kan:

	* Update SlackBuild package Update Code::Blocks project

2011-07-30 [r4387]  sauravg:

	* We need to sort wxTreeCtrl recursively ourselves Tracker #
	  3366032

2011-07-29 [r4386]  c-273:

	* Fix BR 3380714

2011-07-29 [r4385]  c-273:

	* Fix BR 3380424

2011-07-27 [r4382-4383]  c-273:

	* Stop warning Password Policy values changed during
	  Manage->Options cancel when they haven't.

	* Warn user that DB preferences will not be saved if changed and
	  the DB is R-O

2011-07-26 [r4378]  c-273:

	* Correctly show database has been modified (to allow saving) if
	  database preferences have been changed.

2011-07-26 [r4377]  c-273:

	* Toolbar now updated to reflect R/W or R-O mode when user
	  dynamically changes mode

2011-07-25 [r4375]  ronys:

	* Minor refactor for wide/tall resource logic: move ?: choice of
	  resid to base classes.

2011-07-23 [r4374]  c-273:

	* Missed update for ShiftDCA

2011-07-20 [r4372]  c-273:

	* Make text field longer for Russian translation

2011-07-20 [r4371]  c-273:

	* Implement Andrey's fix for multi-monitors and short/wide PPages

2011-07-20 [r4370]  c-273:

	* Implement Andrey's OnCtlColor fix (seems XP behaves differently
	  to Windows 7)

2011-07-20 [r4368]  c-273:

	* Move Long/Wide PPage check to PSheet

2011-07-20 [r4366]  c-273:

	* Correct duplicate control IDs

2011-07-16 [r4365]  pm_kan:

	* Fix some CppCheck errors and warnings

2011-07-16 [r4364]  ronys:

	* Update PAD file when uploading a new version

2011-07-14 [r4363]  ronys:

	* Finished support for dynamic switch to "short" Options* prop
	  pages, modulo user feedback.

2011-07-14 [r4362]  ronys:

	* Support for dynamic switch to "short" Options* prop pages when
	  displayed on screen with < 600 pixels (e.g., netbook). Refactored
	  add-edit prop pages code to common base class. Still need to redo
	  some Options PropPages.

2011-07-14 [r4361]  ronys:

	* Tweak wide version of Password Policy add/edit propsheet based on
	  user feedback

2011-07-13 [r4360]  sauravg:

	* Enabled context menus in comparison grids and some of their
	  handlers

2011-07-13 [r4359]  sauravg:

	* Specify the UIInterFace callback pointer explicitly

2011-07-13 [r4358]  sauravg:

	* Missed in last commit. Specify NDEBUG for release builds

2011-07-13 [r4357]  sauravg:

	* Specify DEBUG, _DEBUG & NDEBUG appropriately for each
	  configuration Without NDEBUG, assert() is not suppressed in
	  Release builds Tracker# 3357926

2011-07-12 [r4356]  ronys:

	* Finished 1st hack at support for dynamic switch to "short"
	  AddEdit prop pages when displayed on screen with < 600 pixels
	  (e.g., netbook). If works, need to apply to Options as well
	  (minor refactoring).

2011-07-11 [r4355]  ronys:

	* Start support for dynamic switch to "short" AddEdit prop pages
	  when displayed on screen with < 600 pixels (e.g., netbook).

2011-07-11 [r4353-4354]  sauravg:

	* Select entire row by clicking on a cell

	* Fixed WX build by removing dependency on "StringX
	  Get<FieldName>()" functions of CItemData

2011-07-11 [r4352]  c-273:

	* Implement fix to StstusBar tooltips in Windows XP (only) due to
	  MS bug. Thanks to Andrey for fix. Could have determined OS
	  version in c'tor and then only did this check if under XP but not
	  worth the cycles

2011-07-10 [r4351]  ronys:

	* Applied pm_kan's patch cleaning up duplicate installs in .nsis
	  deliverable

2011-07-10 [r4350]  ronys:

	* Applied pm_kan's patch for missing help files in bin zip
	  deliverable

2011-07-10 [r4348]  c-273:

	* Implement Shift+DCA

2011-07-10 [r4347]  c-273:

	* Fix status bar tooltips when using some fonts

2011-07-10 [r4346]  pm_kan:

	* +{TAB} -> \s in KeePass v2 stylesheet

2011-07-09 [r4345]  c-273:

	* Make DB preferences a different colour, provide static link to
	  appropriate help entry Fix issue when selecting hex password
	  policy (unrelated to the above change)

2011-07-04 [r4344]  c-273:

	* Add more user streams to minidumps and add program to analyse
	  them and create corresponding config file and import xml file (to
	  a new DB).

2011-07-04 [r4343]  mniklas:

	* One misspelling repaired

2011-07-03 [r4342]  ronys:

	* Automate Linux release process

2011-07-03 [r4341]  c-273:

	* Slight tweak to previous commit - which also fixed filters being
	  active when user opens a new database.

2011-07-03 [r4340]  c-273:

	* Implement feature request 3349458

2011-07-03 [r4338-4339]  c-273:

	* [3348954] The passphrase is now required to change from read-only
	  to read/write.

	* Fix 'Filter1' in Status Bar

2011-07-03 [r4337]  ronys:

	* Added missing i18n dlls to .msi build, fixed typo for all lang
	  dlls in bin.zip

2011-07-03 [r4336]  ronys:

	* Setup version 3.26.1, if/when we need to release an interim

2011-07-01 [r4335]  c-273:

	* Add new 3.26 config value into schema

2011-06-30 [r4333]  ronys:

	* post-last-minute patch for 3.26

2011-06-30 [r4331]  c-273:

	* Prevent user from making a R-O DB R/W if the file itself is R-O

2011-06-30 [r4330]  ronys:

	* tweak relnotes for 3.26 release + update pad_file.xml

2011-06-29 [r4329]  c-273:

	* Fix non-saving of preferences & using embedded error message
	  (thanks to Andrey for detecting both)

2011-06-29 [r4328]  ronys:

	* Linux: Update supported platform version numbers

2011-06-28 [r4327]  ronys:

	* One step closer to 3.26-Windows 0.6-Linux

2011-06-26 [r4326]  karlo_vdg:

	* German help file for Version 3.26 (3) synchron to English version
	  (99%)

2011-06-26 [r4324-4325]  karlo_vdg:

	* German help file for Version 3.26 (3) synchron to English version
	  (99%)

	* German help file for Version 3.26 (3) synchron to English version
	  (99%)

2011-06-26 [r4322]  c-273:

	* Fix crash (thanks to Andrey for pinpointing the problem) Ensure
	  RUE menu for shortcuts is populated based on its base entry's
	  fields.

2011-06-26 [r4320-4321]  c-273:

	* Update release notes for last commit and put table borders in
	  HTML version so that it is easier to relate text to BR, FR r SR

	* Fix 3306357 and a related

2011-06-25 [r4319]  c-273:

	* Fix user pressing Close in View entry when DB is R-O

2011-06-25 [r4318]  ronys:

	* Add some bulletproofing to GetBaseEntry calls in systray actions

2011-06-24 [r4317]  pm_Kan:

	* Trailing spaces in Russian .po

2011-06-24 [r4316]  pm_kan:

	* Recompiled html's for r4309

2011-06-24 [r4315]  ronys:

	* Reduce the scope of change of rev 4312 while keeping semantics

2011-06-24 [r4313-4314]  sauravg:

	* Disabled context menus in Compare dialog for now

	* Ignore vertical tabs in autotype strings on mac and linux

2011-06-23 [r4312]  c-273:

	* Enhance fix to 3325116 by disabling the 'Select Entry' menu item
	  in the REL if the GUI has not been repopulated. This can happen
	  if the DB is minimized and is not dependent on whether it was
	  locked.

2011-06-23 [r4311]  ronys:

	* Fixed 3325116 by silently doing nothing when user Selects an
	  entry from the systray's rue list after unlock, when the disp
	  items haven't been set up yet.

2011-06-23 [r4310]  ronys:

	* A couple of sanity checks added to track down crash reported in
	  3325116

2011-06-23 [r4309]  pm_kan:

	* Small fixes in Russian Help

2011-06-23 [r4308]  pm_kan:

	* Updated images for Russian Help

2011-06-22 [r4307]  pm_kan:

	* Use Microsoft's translation for AFX_* resources (afxres.rc)

2011-06-22 [r4305-4306]  c-273:

	* Ignore performance analysis files

	* Make native language names Title case

2011-06-22 [r4304]  pm_kan:

	* fix some typos in Russian Help

2011-06-22 [r4303]  pm_kan:

	* Updates in Russian Help (till rev.4302, text only)

2011-06-22 [r4302]  ronys:

	* Updates to Swedish 3.26 texts from Bjorne

2011-06-21 [r4301]  c-273:

	* Update help images + Autotype \s

2011-06-21 [r4300]  ronys:

	* Update Swedish po file thanks to Bjorne

2011-06-21 [r4297-4299]  sauravg:

	* Commented out debugging trace

	* Create context menus based on which grid is clicked upon. Also
	  fixed some row selection issues with default wxGrid behavior

	* Minor change to fix build on Linux/Mac

2011-06-20 [r4296]  c-273:

	* Disable View Reports menu if no database open (needs path of
	  current open DB to find reports) Centre OK button in DB
	  Properties dialog

2011-06-20 [r4295]  c-273:

	* Update ReleaseNotes re: KeePass V2

2011-06-20 [r4294]  ronys:

	* Changed default help menu to English, thanks to Bert.

2011-06-20 [r4293]  ronys:

	* Fixed typo

2011-06-20 [r4292]  ronys:

	* Proofread latest help file and release notes texts (html relnotes
	  not updated yet)

2011-06-19 [r4291]  pm_kan:

	* Updates and fixes in Russian .po (rev. 4289)

2011-06-19 [r4290]  sauravg:

	* Added skeleton code for context menus

2011-06-19 [r4289]  c-273:

	* Fix issue introduced at rev. 4110 - allowing saving invalid
	  entries (no title or no password) No refactoring this time -
	  maybe post 3.26

2011-06-18 [r4288]  c-273:

	* Update default Help for Dragbar changes

2011-06-18 [r4287]  c-273:

	* New image on start-up dialog in 24-bit colour - courtesy of user
	  Prinz_Eugen.

2011-06-18 [r4286]  c-273:

	* Fix Dragbar AutoType into IE and implement AutoType "Shift+Tab"
	  (thanks to Larry for testing) Fix compiler error in
	  WZPropertySheet.cpp (nothing to do with the other change)

2011-06-18 [r4285]  sauravg:

	* Keep all backgrounds white and draw the grid line between
	  comparison & current db with white pen. Looks much better

2011-06-18 [r4284]  sauravg:

	* Fixed resizing issues and made some usability improvements

2011-06-16 [r4283]  ronys:

	* cleanup include dependencies so work on AddEdit*.h won't
	  recompile too much stuff.

2011-06-15 [r4282]  c-273:

	* Update V2 xslt comments

2011-06-14 [r4281]  c-273:

	* Nit in table column width

2011-06-14 [r4280]  ronys:

	* Added KPV2_to_PWS.xslt to deliverables

2011-06-14 [r4279]  sauravg:

	* plist files for build 32-bit and 64-bit pwsafe with 10.6 sdk

2011-06-14 [r4278]  sauravg:

	* Added new files

2011-06-14 [r4277]  ronys:

	* Fix Linux build under Debian Squeeze, plus some instructions for
	  Linux Debian builders. Thanks to Lars.

2011-06-14 [r4276]  sauravg:

	* WIP checkin - Split ComparisonGridTable into two different
	  classes that do very different things core/ItemData.h - Added
	  Is<Field>Set functions to check if the field is explicitly set in
	  the database

2011-06-14 [r4275]  ronys:

	* Implemented OnGoButtonClick(), thanks to rader.

2011-06-14 [r4274]  c-273:

	* Hopefully last update re: KP import

2011-06-14 [r4273]  karlo_vdg:

	* German help file for Version 3.26 (2)

2011-06-14 [r4272]  ronys:

	* French .po from Francois.

2011-06-14 [r4271]  sauravg:

	* VerifyFormat.cpp - Minior changes to build with gcc.
	  passwordsafeframe.cpp - Integrated with latest KeePass import
	  functions

2011-06-13 [r4270]  c-273:

	* Update KeePass Import help and fix a nit in the V2 xslt file
	  Update ReleaseNotes re: Bug previously squashed

2011-06-12 [r4269]  ronys:

	* 3.26 translations in Dutch and Spanish, from Bert and Jose, resp.

2011-06-12 [r4268]  c-273:

	* Add XSLT file for KeePass V2 XML to PWS (thanks to Andrey) Update
	  the V1 XSLT Minor help file changes. Help file import.html still
	  to be completed

2011-06-12 [r4267]  ronys:

	* Typos and minor rephrasing for English online help

2011-06-12 [r4266]  c-273:

	* Minor update to default help

2011-06-09 [r4265]  karlo_vdg:

	* German language file for Version 3.26 (update 2)

2011-06-09 [r4263-4264]  c-273:

	* Update English Help. Translators please see email to the
	  PasswordSafe-i18N mailing list

	* Increase size of text field in Security Options property page

2011-06-09 [r4262]  karlo_vdg:

	* German help file for Version 3.26 (1)

2011-06-09 [r4261]  karlo_vdg:

	* German language file for Version 3.26 (update)

2011-06-09 [r4260]  karlo_vdg:

	* German language file for Version 3.26

2011-06-09 [r4259]  sauravg:

	* Must pre-cast wxSearchCtrl to wxControl before attempting to
	  dyna-cast to wxTextCtrl

2011-06-08 [r4258]  mniklas:

	* Some new translations

2011-06-07 [r4257]  c-273:

	* Update release notes for 3.26

2011-06-07 [r4256]  mniklas:

	* Some new translations

2011-06-07 [r4255]  sauravg:

	* Use wxSearchCtrl instead of a wxTextCtrl in the search bar for a
	  native look & feel

2011-06-06 [r4254]  ronys:

	* Update pos to reflect last commit - tweaks to texts

2011-06-06 [r4253]  ronys:

	* Tweak texts

2011-06-06 [r4252]  c-273:

	* Fix XML import of password history when using W3C datetime

2011-06-06 [r4251]  ronys:

	* Cleanup texts + fix a typo or two, updated pos

2011-06-06 [r4250]  ronys:

	* Generated POs for 3.26

2011-06-05 [r4249]  ronys:

	* Start 3.26 ball rolling

2011-06-05 [r4248]  ronys:

	* Added KPV1_to_PWS.xslt to deliverables

2011-06-05 [r4246]  c-273:

	* Fix XML import of 'x' times. Reverse message changes and add CRLF
	  instead to when they are used

2011-06-04 [r4245]  c-273:

	* Missed changing the date/time change field in the XML Password
	  History to W3C format. Fix more error messages

2011-06-04 [r4244]  c-273:

	* Fix importing non-Latin text via KeePass V1 CSV files (thanks to
	  Audrey)

2011-06-04 [r4243]  c-273:

	* Fix more issues with import KeePass V1 files (thanks to Andrey)
	  and better error messages

2011-06-03 [r4242]  c-273:

	* Fix more issues with Importing KP files (thanks to Andrey) Still
	  issue with importing non-Latin characters

2011-06-03 [r4241]  c-273:

	* Fix one issue importing KeePass CSV files with reduced columns

2011-06-03 [r4240]  c-273:

	* Update previous help

2011-06-02 [r4239]  c-273:

	* Support importing KeePass V1 XML by supplying a XSLT file to
	  transform it to PWS V3.26 (or later) format. Suggest method of
	  importing KeePass V2 database by saving as a KeePass V1 database
	  and then importing a V1 TXT, CSV or XML file

2011-06-01 [r4238]  sauravg:

	* WIP checkin: Fixed crash and improved layout

2011-06-01 [r4236]  c-273:

	* Support KeePass V1 CSV file import and significantly improve
	  import of the KeePass V1 TXT files

2011-06-01 [r4235]  ronys:

	* Refactor: wrapper for std::mktime.

2011-05-31 [r4234]  ronys:

	* Use stl functionals instead of special-purpose functor: equal_id
	  is no more

2011-05-31 [r4233]  c-273:

	* Support W3C datetime format for export to/import from XML. Next
	  release (3.27) will only support this format. This will make it
	  much easier to convert from other Password Manager XML formats to
	  PWS's and reduce the complexity of processing XML on import.

2011-05-31 [r4232]  ronys:

	* Use stl functionals instead of special-purpose functor

2011-05-31 [r4231]  c-273:

	* Fix exception if undoing import into an empty database

2011-05-31 [r4230]  ronys:

	* Minor refactoring: supply default implementation of
	  Command::Redo()

2011-05-30 [r4229]  sauravg:

	* Removed all references to the 8x8 icon

2011-05-30 [r4228]  sauravg:

	* Don't use 8x8 icon. Causes weird crashes on Mac, and probably
	  elsewhere too

2011-05-30 [r4227]  sauravg:

	* WIP commit: added the grids to dialog

2011-05-30 [r4226]  sauravg:

	* Fixed conditional setting of variables

2011-05-29 [r4225]  ronys:

	* Remove unused file

2011-05-29 [r4224]  sauravg:

	* WIP commint: added a GridTable to manage display for comparison
	  grids

2011-05-28 [r4223]  c-273:

	* Support more keywords during Keepass V1 import

2011-05-28 [r4222]  c-273:

	* Fix exception when importing text file that has password that
	  looks like a dependant but isn't And some nits

2011-05-27 [r4221]  c-273:

	* Completely rework ImportKeePassTextFile so that it should compile
	  with gcc under Linux Does significantly more than old version but
	  more could be done

2011-05-27 [r4220]  c-273:

	* Finish off support of non-Latin characters in file names/paths
	  for Import & Export and Reports

2011-05-25 [r4219]  c-273:

	* Nits

2011-05-25 [r4218]  c-273:

	* Fix stack overflow when deleting dependants

2011-05-25 [r4217]  c-273:

	* Fix export to text

2011-05-25 [r4216]  sauravg:

	* WIP checkin: added code to insert the comparison grid

2011-05-24 [r4215]  c-273:

	* Enforce mutual exclusivity of internal filters (display unsaved
	  changes/expired entries) and user defined filters Allow user to
	  double click filter indicator in status bar to clear the filter

2011-05-24 [r4214]  ronys:

	* Used dk's version of NullUUID in Linux & Mac platforms as well -
	  more efficient, less code.

2011-05-24 [r4213]  ronys:

	* Portability: rev 4211 should compile under Linux too.

2011-05-24 [r4212]  sauravg:

	* Fixed the usage of SelectionCriteria struct

2011-05-23 [r4211]  c-273:

	* Stop CUUID::NullUUID being overwritten by default c'tor after
	  being set up (Windows). Remove use of sscanf. Replace number in
	  new PWSfilev3::SanityCheck by derived values. Support non-Latin
	  characters in Report file paths. Trivial variable name changes.

2011-05-23 [r4210]  ronys:

	* Delete the right registry subtree when asked to, thanks to pm_kan

2011-05-23 [r4209]  sauravg:

	* Always use StringX objects to hold safe combinations in memory

2011-05-23 [r4208]  sauravg:

	* Always specify the parent window to msgbox to make it show up in
	  front of ourselves and not in some obscure corner of the screen

2011-05-23 [r4207]  sauravg:

	* Always add pending events to the event handler object associated
	  with a window, not to the window directly

2011-05-22 [r4206]  c-273:

	* Stop overwriting 'm_core' values during checking password during
	  Merge, Compare, Synchronise

2011-05-22 [r4205]  c-273:

	* Refactor Options Property Pages a la Add/Edit PPs

2011-05-22 [r4204]  ronys:

	* Refactor CProperties - cleanup

2011-05-22 [r4203]  sauravg:

	* Fixed argument list to ImportXMLFile for non-MFC non-XML builds

2011-05-22 [r4202]  c-273:

	* Fix 64-bit warnings (thanks to Saurav) but RUEList is still
	  broken.

2011-05-22 [r4201]  ronys:

	* 1. Fail gracefully if config file specified via command line is
	  not found. 2. Rearranged initialization order s.t. language dll
	  is loaded after command line parsed, as language may now be
	  specified in pref file, which may be specified in command line.

2011-05-22 [r4200]  sauravg:

	* Fixed "unreferenced parameter" warning

2011-05-22 [r4199]  sauravg:

	* Removed wxCollapsiblePane forward declarations to fix compilation
	  errors building with wxWidgets 2.8.11.

2011-05-21 [r4198]  c-273:

	* Fix exception due to incorrect call (new Toolbar only) (found by
	  Andrey)

2011-05-21 [r4197]  c-273:

	* Fix exception when switching R/W and R-O for a new empty file
	  (found by Andrey)

2011-05-21 [r4196]  c-273:

	* Fix XML import assert (uncovered by Andrey). Remove unused
	  variables.

2011-05-21 [r4195]  c-273:

	* Handle non-Latin characters in file names & paths during export
	  (text, XML & filters). On export, create any missing directories
	  to user specified output file. No longer export database or entry
	  unknown fields.

2011-05-21 [r4194]  c-273:

	* Remove unused code (wizard is not used for Synchronise from
	  within Compare results dialog)

2011-05-21 [r4193]  ronys:

	* Beefed up sanity checks and error handling to detect and report
	  corrupt/truncated databases

2011-05-20 [r4192]  c-273:

	* Stop VS2010 compiler warnings of wxWidget build + update project
	  files

2011-05-20 [r4191]  sauravg:

	* Refactored the code to read a db into a PWScore object to a
	  global function

2011-05-19 [r4190]  c-273:

	* Update release notes for last commit

2011-05-19 [r4189]  c-273:

	* Fix compare database issues

2011-05-19 [r4188]  c-273:

	* Reverse rev. 4165

2011-05-19 [r4185-4187]  sauravg:

	* Skeleton files for db comparison window

	* Shift keyboard focus to the combination field if nothing was
	  entered. Also fixed a typo

	* Added CoreOtherDB.cpp to sources

2011-05-19 [r4184]  mniklas:

	* Changed file header

2011-05-19 [r4183]  mniklas:

	* Use of svn properties

2011-05-18 [r4182]  c-273:

	* Remove unnecessary XML ifdefs now that Expat parser no longer
	  supported

2011-05-18 [r4181]  c-273:

	* Fix BR 3303018 - Filters with quotes in their name are now
	  correctly exported, imported and displayed in the Manage Filters
	  Remove re-sizeable feature of Manage Filters dialog

2011-05-18 [r4180]  c-273:

	* Update missed copyright dates in PWS DLLs

2011-05-18 [r4179]  mniklas:

	* added accelerators

2011-05-18 [r4178]  mniklas:

	* Some new translations

2011-05-16 [r4177]  ronys:

	* Bert and Fred finished Dutch translation, ready for proofing

2011-05-13 [r4176]  sauravg:

	* Updated with new files

2011-05-13 [r4175]  sauravg:

	* Must write the starting lines in the report ourselves

2011-05-13 [r4174]  sauravg:

	* Removed the Merge code in favor of refactored code in core

2011-05-13 [r4173]  sauravg:

	* Changed the initialization order of member variables to fix some
	  compiler warnings

2011-05-12 [r4172]  sauravg:

	* Updated Mac build with new files and also added a target built
	  with LLVM

2011-05-11 [r4171]  c-273:

	* Update release notes for previous commit

2011-05-11 [r4170]  c-273:

	* Allow user to control copying password to clipboard when
	  performing Browse to URL

2011-05-11 [r4169]  c-273:

	* Replace remnants of uuid_array_t by CUUID. Now only used when
	  reading/writing files.

2011-05-11 [r4168]  c-273:

	* Ensure user is prompted if OK to overwrite existing Export file
	  Remove unused strings

2011-05-10 [r4167]  ronys:

	* CUUID::GetUUID() -> CUUID::GetARep() now builds under Linux

2011-05-09 [r4166]  ronys:

	* CUUID::GetUUID() -> CUUID::GetARep() - Linux build not fixed yet

2011-05-08 [r4165]  c-273:

	* Implement Larry's suggestions re: default delay and pre-tab wait

2011-05-08 [r4164]  ronys:

	* Cleanup uuid stuff in file header

2011-05-08 [r4163]  c-273:

	* Nit in un-used code but still a nit!

2011-05-05 [r4161]  c-273:

	* Fix showing Synchronise warning message in Wizard

2011-05-03 [r4160]  c-273:

	* Remove my local change to the paths in this project file

2011-05-03 [r4159]  ronys:

	* Minor refactor

2011-05-02 [r4156]  ronys:

	* Be a bit more lenient in font selection for virtual keyboard

2011-05-02 [r4155]  ronys:

	* Cleanup now compiles under Linux

2011-05-01 [r4154]  ronys:

	* more uuid cleanup

2011-05-01 [r4153]  ronys:

	* random tweaks and cleanups

2011-05-01 [r4152]  ronys:

	* Linux builds clean again after CUUID refactoring

2011-05-01 [r4151]  ronys:

	* nit.

2011-05-01 [r4150]  ronys:

	* Work on Linux update CUUIDGen -> pws_os::CUUID - work-in-progress

2011-05-01 [r4149]  ronys:

	* Moved core/UIDGen to os/UUID - builds under Windows, Linux
	  changes in progress. Also fix Windows build under VS2010 SP1.

2011-04-30 [r4148]  c-273:

	* Fix memory leak in Attachment PoC. Assume incorrect here in main
	  trunk too.

2011-04-29 [r4145]  sauravg:

	* Removed redundant rules for 'clean' target to prevent infinite
	  looping

2011-04-23 [r4144]  c-273:

	* Implement Autotype on the DragBar (FR 3288341) plus nit renaming

2011-04-23 [r4143]  c-273:

	* Fix StatusBar tooltips (uninitialised variable) and move defines
	  where they are used.

2011-04-23 [r4142]  c-273:

	* Properly fix access exception in SystemTray in VS2010 SP1 when
	  ending PWS (plus nit rename etc.)

2011-04-22 [r4141]  c-273:

	* Missed a message in last commit

2011-04-22 [r4140]  c-273:

	* More on mode change, delay StatusBar tooltips display and fix
	  access exception in SystemTray in VS2010 SP1.

2011-04-22 [r4139]  ronys:

	* Updates to Swedish texts from Bjorne.

2011-04-22 [r4138]  ronys:

	* Linux uuid cleanup

2011-04-22 [r4137]  ronys:

	* uuid cleanup continued (Windows part, Linux to follow shortly)

2011-04-21 [r4136]  c-273:

	* Do more checks to ensure mode change to R/W doesn't lose changes
	  made by another user after current user opened DB

2011-04-21 [r4135]  ronys:

	* UUID cleanup - Linux done.

2011-04-21 [r4134]  ronys:

	* UUID cleanup - Windows part (Linux coming up)

2011-04-20 [r4133]  c-273:

	* Move InfoDispay window closer to cursor and make it smart
	  'position aware' when close to edge of visible screen
	  (single/multiple monitors). Used to display Notes as tooltips and
	  tooltips on StatusBar

2011-04-20 [r4132]  ronys:

	* More UUID-related cleanups

2011-04-20 [r4131]  ronys:

	* Minor cleanups

2011-04-20 [r4129]  sauravg:

	* Removed hard-coded field names, and fixed a bug in advanced field
	  selection panel's validation

2011-04-19 [r4128]  ronys:

	* More tweaks to r-o / r/w error messages.

2011-04-18 [r4127]  c-273:

	* Put 'Change mode' back on menu for those who want (must) use the
	  keyboard because they don't want to (can't) use the mouse.

2011-04-18 [r4126]  ronys:

	* Removed Mode change from File menu (for now), removed some
	  confirmation dialog boxes, tweaked texts

2011-04-18 [r4125]  ronys:

	* Fix typos & phrasing of r-o / r/w texts

2011-04-18 [r4124]  mniklas:

	* New translations

2011-04-17 [r4123]  c-273:

	* FR3286721 - User can now toggle the database between read-only
	  and read-write Tooltips for Status Bar - note Text of tips not
	  finalised

2011-04-15 [r4120]  mniklas:

	* Some new translations, and more checks for .po files

2011-04-14 [r4119]  c-273:

	* Update expiry date display when user changes the date or number
	  of days

2011-04-14 [r4118]  ronys:

	* Updated default password generation policy: 12 characters,
	  including symbols

2011-04-14 [r4117]  ronys:

	* Put Michal Niklas's checks into Makefile

2011-04-14 [r4116]  mniklas:

	* Some new translations. Checking of .po files shows problem on
	  each reported line.

2011-04-13 [r4115]  mniklas:

	* Some new translations, and more check for .po files

2011-04-11 [r4114]  c-273:

	* Nits in Add/Edit DateTime PP

2011-04-11 [r4113]  mniklas:

	* Some new translations

2011-04-10 [r4111]  c-273:

	* Update PO files for last commit

2011-04-10 [r4110]  c-273:

	* Fix Edit PP when entry is protected. Remove Set/Clear buttons in
	  Edit PP for expiry date. Tidy up Autotype default display (Edit
	  Additional PP as per Rony). Slightly alter how languages are
	  displayed in the Change Language menu (as per Rony)

2011-04-10 [r4109]  ronys:

	* Update to Dutch translation from Bert

2011-04-09 [r4108]  c-273:

	* Remove unused code (Protect status of an entry was only briefly
	  implemented during development of the feature but was pulled due
	  to the complications it added to the Add/Edit functions) As
	  released, can only be changed via menu before Edit.

2011-04-09 [r4107]  ronys:

	* Support build of I18N tools under VS10

2011-04-08 [r4106]  mniklas:

	* Added accelerators if "accelerated" letter is available in
	  translation

2011-04-08 [r4105]  mniklas:

	* New check for .po files and corrected Polish translation

2011-04-08 [r4104]  mniklas:

	* Some new translations

2011-04-07 [r4103]  c-273:

	* Nit - make calls to ON_NOTIFY message handlers use same argument
	  names and format

2011-04-07 [r4102]  sauravg:

	* Save/Restore GUI Info across lock/restore DB

2011-04-07 [r4101]  mniklas:

	* Some new translations

2011-04-07 [r4100]  sauravg:

	* Edit a temporary copy of the item to avoid touching objects
	  invalidated by idle timeout. Tracker# 3277596

2011-04-07 [r4098-4099]  mniklas:

	* Added .po file statistics (enties, empty entries)

	* Some new translations

2011-04-07 [r4097]  mniklas:

	* Some new translations

2011-04-06 [r4095-4096]  c-273:

	* Update POs to rev. 4094

	* Update Language DLL project

2011-04-06 [r4094]  c-273:

	* Remove non-translatable strings from resource files

2011-04-06 [r4093]  mniklas:

	* Ensure translation in .po files follows the original (leading
	  blanks, quotes etc.)

2011-04-06 [r4091-4092]  mniklas:

	* added svn:keywords so in source authors can use $Id$, $Author$
	  etc

	* Ensure Polish translation follows the original (leading blanks,
	  quotes etc.)

2011-04-06 [r4090]  ronys:

	* The name of the Korean lang. dll should end with KO, not KR.
	  Thanks to Seunggyun for pointing this out.

2011-04-06 [r4089]  ronys:

	* Moved Michal's lng_prepare.py script to misc, which is more
	  appropriate

2011-04-05 [r4088]  c-273:

	* Implement FR 3065111

2011-04-05 [r4087]  mniklas:

	* Change untranslated "TRANSLATION" into "en:English text", added
	  svn properties

2011-04-04 [r4086]  c-273:

	* Ensure Polish translation follows the original (leading blanks,
	  quotes etc.)

2011-04-04 [r4085]  mniklas:

	* Translated some texts into Polish

2011-04-04 [r4084]  c-273:

	* Ensure leading blanks are maintained in translations

2011-04-04 [r4083]  c-273:

	* Francois's new PO and remove Canadian French

2011-04-03 [r4082]  sauravg:

	* Use a fresh event object for each key event, and specify the
	  virtual keycode for special keys like Tab etc, to make autotype
	  work with firefox

2011-03-29 [r4081]  c-273:

	* Update PO and language DLL scripts and the French POs

2011-03-29 [r4080]  c-273:

	* Fix EOL differences (Windows/Linux/Mac) in Autotype - fix by
	  Saurav

2011-03-29 [r4079]  c-273:

	* Use enum to ensure that we save password policy values in the
	  correct places

2011-03-28 [r4078]  c-273:

	* Change way "Change Language" works as per Andrey's suggestion.

2011-03-28 [r4077]  c-273:

	* Make ResPWSL use static libraries

2011-03-28 [r4076]  sauravg:

	* free() strings returned by _tcsdup instead of delete

2011-03-27 [r4075]  c-273:

	* Change Francois's PO from French (France) to French (Canada)
	  [Leave French (France) there for the moment]

2011-03-26 [r4074]  karlo_vdg:

	* German menu for 'change language'

2011-03-26 [r4073]  sauravg:

	* Defined wcsdup for mac, and prevented a linux header from getting
	  included in mac builds

2011-03-26 [r4072]  c-273:

	* Update French PO files as per Francois

2011-03-26 [r4071]  c-273:

	* Updates for symbols from Andrey

2011-03-26 [r4070]  c-273:

	* Add version information to ResText

2011-03-26 [r4069]  pm_kan:

	* Updates and fixes in Russian .po (rev. 4068)

2011-03-25 [r4068]  c-273:

	* Update POs for 3.25.1 rev. 4065 Add VBS script to update POs
	  (similar to creating RO DLLs)

2011-03-25 [r4067]  ronys:

	* Final (?) tweaks to Polish install text from Michal.

2011-03-25 [r4066]  sauravg:

	* Update the GUI and DB Prefs via a command, and propagate it using
	  wxEvents Tracker# 3174848

2011-03-25 [r4064-4065]  c-273:

	* Fix symbol issues in Add/Edit and ensure paste of symbols only
	  accepts non-duplicate symbols

	* Fix memory leak

2011-03-24 [r4062]  ronys:

	* Clean up linux release process

2011-03-24 [r4061]  ronys:

	* Linux build fixed, plus flagged possible memory leak

2011-03-24 [r4060]  ronys:

	* Polish install texts, take 2 (CP1250 encoding)

2011-03-23 [r4059]  c-273:

	* Update pad file

2011-03-23 [r4058]  ronys:

	* Polish installation texts added thanks to Michal Niklas.

2011-03-23 [r4057]  c-273:

	* Update release notes for last commit

2011-03-23 [r4056]  c-273:

	* Fix BR 3234204 (-s command flag not working)

2011-03-23 [r4055]  c-273:

	* Implement FR - 2964804; User can define their own database/entry
	  password policy symbols (not applicable to EasyVision or
	  Pronounceable password generation). Also add extra string Filter
	  rules for contains Any or All characters.

2011-03-23 [r4054]  c-273:

	* Support on-the-fly language change. Note: Resource only DLLs must
	  be created with this version of ResPWSL to be recognised

2011-03-21 [r4053]  karlo_vdg:

	* Text in Dutch (menu, partly rest)

2011-03-20 [r4052]  c-273:

	* Make Group, Title, Username and Password fields wider during
	  Add/Edit.

2011-03-19 [r4051]  ronys:

	* Update pad_file for 3.25

2011-03-18 [r4048-4049]  c-273:

	* Very minor Nit

	* Remove duplicate copies of beginning comments from PO files

2011-03-18 [r4047]  c-273:

	* Tweak script

2011-03-18 [r4046]  sauravg:

	* Must do the single instance check after fork to get the child's
	  pid in lockfile instead of the parent's. Tracker# 3174856

2011-03-18 [r4045]  karlo_vdg:

	* Trad, Simpl for Chinese

2011-03-18 [r4044]  ronys:

	* Upload nit

2011-03-16 [r4042]  c-273:

	* Typos

2011-03-16 [r4041]  ronys:

	* Final preps for 3.25.

2011-03-16 [r4040]  c-273:

	* Silly typo

2011-03-16 [r4039]  ronys:

	* Updates to Korean texts, thanks to Seunggyun Hong

2011-03-16 [r4038]  sauravg:

	* Remember settings across lock/store operations Tracker# 3174848

2011-03-15 [r4037]  c-273:

	* I'm not keen on Makefiles!

2011-03-14 [r4036]  ronys:

	* Load 3.25 in the barrel

2011-03-14 [r4035]  sauravg:

	* Fixed a crash at shutdown if the grid was never shown

2011-03-14 [r4034]  sauravg:

	* Remember Grid column selections and other settings

2011-03-10 [r4033]  c-273:

	* Complete previous commit and 2 nits

2011-03-10 [r4032]  ronys:

	* More Swedish fixes from Bjorne

2011-03-10 [r4031]  sauravg:

	* Removed hard-coded column names in favor of CItemData::FieldName

2011-03-09 [r4030]  c-273:

	* Fix issue with in Advanced Wizard

2011-03-08 [r4029]  ronys:

	* Tweaks to Swedish texts from Bjorne (sent yesterday)

2011-03-07 [r4028]  c-273:

	* Correct icon on message boxes used in import/export filters.
	  Rename internal function used by PWTreeCtrl. Update Compare
	  function for comparing Protected status

2011-03-07 [r4027]  ronys:

	* Tweaks to Swedish install texts from Bjorne.

2011-03-07 [r4026]  pm_kan:

	* updates in Russian help

2011-03-07 [r4025]  pm_kan:

	* Updates in Russian Help (images)

2011-03-06 [r4024]  pm_Kan:

	* Updates in Russian .po (rev. 4023)

2011-03-06 [r4023]  ronys:

	* Tweaks to Swedish text + common NSIS bug + resize delete
	  confirmation dbox, all feedback from Bjorne

2011-03-06 [r4022]  sauravg:

	* Fixed another bug where context-menu commands were interpreted as
	  RUE commands and wrong entries were getting processed

2011-03-06 [r4021]  ronys:

	* Update Spanish texts for 3.25, thanks to Jose

2011-03-05 [r4020]  ronys:

	* Murphy - commited correct version of pwsafe_sv.lng

2011-03-05 [r4019]  ronys:

	* Added Bjorne's Swedish translations for 3.25

2011-03-05 [r4018]  sauravg:

	* PushEventHandler doesn't work uniformly on all platforms. Use
	  Connect() if possible

2011-03-03 [r4017]  ronys:

	* Update to simplified Chinese texts from freedoctor

2011-03-03 [r4016]  karlo_vdg:

	* German help file: added "entry icons"

2011-03-03 [r4015]  sauravg:

	* Fixed problems handling systray commands for the first entry in
	  Recently-Used-Entries

2011-03-02 [r4014]  ronys:

	* Constification is (supposedly) good for the code optimizer.

2011-03-02 [r4013]  c-273:

	* More asserts in command processing

2011-03-02 [r4012]  c-273:

	* Fix 3194472 + stop error when 'DuplicateGroup' menu present when
	  an entry is selected. Populate group combo box in Add/Edit from
	  UI list of groups (including empty ones) rather than core list
	  generated only from existing entries. Update release notes for
	  3.25

2011-03-02 [r4011]  c-273:

	* Some defensive programming

2011-03-02 [r4010]  ronys:

	* Tweak last English help file changes, plus some typos

2011-03-01 [r4009]  sauravg:

	* Pre-select the group when adding an entry in treeview Tracker#
	  3194789

2011-03-01 [r4008]  karlo_vdg:

	* help file (English) for version 3.25, latest changes for German
	  translations "(geschützt)"

2011-03-01 [r4007]  ronys:

	* Updates to Simpl. Chinese from Freedoctor, French texts from
	  Francois

2011-02-28 [r4006]  c-273:

	* Update Import and Export help entries

2011-02-28 [r4005]  ronys:

	* [3194474] Add drag-n-drop description to export online help.

2011-02-28 [r4004]  ronys:

	* Simplified Chinese updates from 3.25, thanks to freedoctor

2011-02-28 [r4003]  ronys:

	* Widen IDC_STATIC_PROTECTED field for German xlation

2011-02-28 [r4002]  sauravg:

	* Don't lock the DB unless it has a name Tracker id: 3194690

2011-02-27 [r4001]  karlo_vdg:

	* help file (German) for version 3.25

2011-02-27 [r4000]  ronys:

	* First hack at Dutch dll from Bert, Fred and Kees + integrate
	  Dutch and Korean dll in build/release process

2011-02-27 [r3999]  karlo_vdg:

	* Translations for 3.25 (German)

2011-02-27 [r3998]  c-273:

	* Add new help entry to contents

2011-02-26 [r3997]  c-273:

	* Formatting nits

2011-02-26 [r3996]  ronys:

	* Get the ball rolling for 3.25

2011-02-23 [r3995]  c-273:

	* Ensure changes to database preferences saved on lock.

2011-02-23 [r3994]  ronys:

	* Cleanup following from last commit, per dk's insight

2011-02-23 [r3993]  ronys:

	* [3131945] Double-clicking on the system tray icon when
	  PasswordSafe is not minimized now brings it to front, instead of
	  minimizing.

2011-02-23 [r3992]  ronys:

	* Nit - plugged potential memory leak.

2011-02-22 [r3991]  c-273:

	* Tidy up expired checking code (use less storage)

2011-02-20 [r3990]  c-273:

	* Tweak to last commit

2011-02-20 [r3989]  c-273:

	* Fix new wizards issues raised by Andrey

2011-02-20 [r3988]  pm_kan:

	* Updates in Russian .po (rev. 3987)

2011-02-19 [r3987]  c-273:

	* Implement FR 3131935 and fix Rename shortcut processing.

2011-02-19 [r3986]  ronys:

	* [3148701] Windows installer will now refuse to install on Win2K,
	  referring user to last supported version on that OS (3.18).

2011-02-19 [r3985]  ronys:

	* Tweak Password Generation Polcy page, as suggested by Bjorne.

2011-02-17 [r3984]  c-273:

	* Update html version of ReleaseNotes file reflecting recent change
	  to the text version

2011-02-17 [r3983]  ronys:

	* Added src/core/ExpiredList.cpp to Linux Makefile

2011-02-17 [r3982]  ronys:

	* Tweaks to exp. list + bump to version 3.24.3

2011-02-17 [r3981]  c-273:

	* Give Wizard its own strings rather than reuse Report strings -
	  for Andrey

2011-02-17 [r3980]  c-273:

	* Move expired passwords into core.lib and improve the 24hr check

2011-02-16 [r3979]  c-273:

	* Clear filters on DB close. Fix filter on DCA when entry has
	  database default.

2011-02-16 [r3978]  c-273:

	* Fix assert during Export

2011-02-16 [r3977]  ronys:

	* Commit of Andrey's patch, widening some fields to support Russian
	  texts

2011-02-16 [r3976]  ronys:

	* Removed long-abandoned dialog box resource

2011-02-16 [r3975]  ronys:

	* Second and last part of Russian help update acceptance

2011-02-16 [r3974]  ronys:

	* First part of switch to new Russian Help - svn doesn't support
	  doing this atomically

2011-02-16 [r3973]  ronys:

	* nit

2011-02-16 [r3972]  pm_kan:

	* Fixes in Russian help and .po

2011-02-16 [r3971]  pm_kan:

	* One more fix in Russian help

2011-02-16 [r3970]  pm_kan:

	* Russian help: fix HHW files

2011-02-16 [r3969]  pm_kan:

	* Small fixes in Russian .po

2011-02-16 [r3968]  pm_kan:

	* Russian help: updates and review (d-w)

2011-02-15 [r3967]  sauravg:

	* Use wxString::Printf for in-place formatting

2011-02-15 [r3966]  sauravg:

	* Fixed the weak password warning dialog (message <--> title)

2011-02-13 [r3965]  pm_kan:

	* Attempt to fix br#3151515

2011-02-13 [r3964]  pm_kan:

	* Updates in C::B project Fix gcc warnings

2011-02-12 [r3963]  c-273:

	* Tweak last commit file.

2011-02-12 [r3962]  c-273:

	* Add Help files for entry images/bitmaps.

2011-02-11 [r3961]  sauravg:

	* Prevent multiple instances, if the user so chooses Tracker Id#
	  3174856

2011-02-10 [r3960]  ronys:

	* cli import text works, minor sanity checks added. XML import
	  appears broken under Linux.

2011-02-10 [r3959]  ronys:

	* More work on cli import text/xml - ready for unit test.

2011-02-10 [r3958]  sauravg:

	* Added an option (under Options -> System tab) to use the X
	  Primary Selection for clipboard Tracker id# 3141284

2011-02-09 [r3957]  ronys:

	* Started implementing cli import text/xml, work-in-progress

2011-02-09 [r3956]  pm_kan:

	* Russian help. Updates and final review (a-c)

2011-02-09 [r3955]  sauravg:

	* Disable the taskbar icon event handler while processing menu
	  commands tracker id # 3174850

2011-02-08 [r3954]  c-273:

	* Nits during Compare DB report

2011-02-08 [r3953]  ronys:

	* Bump Linux version to 0.4

2011-02-08 [r3952]  pm_kan:

	* Updates in Russian screenshots for help

2011-02-08 [r3951]  pm_kan:

	* Russian .po and .lng files for 3.24.2 (rev. 3948) - updates and
	  fixes - double-angle quotes - е->ё

2011-02-08 [r3950]  ronys:

	* Tweak debian dependencies - checked against Debian 6.0 (squeeze)

2011-02-08 [r3949]  sauravg:

	* Fixed an old assert failure during saving tree ctrl's gui info

2011-02-06 [r3948]  sauravg:

	* Fixed build for wxWidgets 2.8

2011-02-06 [r3946-3947]  sauravg:

	* Added x86_64 target, for wxOSX_COCOA build

	* Another 2.9.1 compatibility change

2011-02-06 [r3945]  sauravg:

	* wxWidgets 2.9.1 compatibility changes (that don't affect building
	  with 2.8)

2011-02-05 [r3944]  ronys:

	* More work on cli mode: Export to xml or text

2011-02-05 [r3943]  c-273:

	* Update ReleaseNotes html file for last commit

2011-02-05 [r3941-3942]  ronys:

	* Document last commit in relnotes

	* [FR3171962} Passwords on the last opened database will be checked
	  for expiration daily as long as pwsafe is running, as well as
	  upon database open. The solution is not fully robust against
	  adding/deleting/editing entires, but should cover the most common
	  scenarios fine.

2011-02-05 [r3940]  sauravg:

	* Made all customizations local to targets and removed them from
	  project level

2011-02-05 [r3939]  sauravg:

	* Added an i386-only build target for 'pwsafe' to avoid
	  compiling/linking everything twice during development

2011-02-04 [r3938]  c-273:

	* Add Wizard and Advanced help + fix return of Compare db results

2011-02-04 [r3936-3937]  sauravg:

	* Ported Backup/Restore code

	* Fixed case of #include'd filename

2011-02-03 [r3935]  c-273:

	* More wizardry plus move 'other DB' functions into core.lib
	  (Compare, Merge & Synchronize)

2011-02-02 [r3934]  sauravg:

	* Missed in last commit

2011-02-02 [r3933]  sauravg:

	* Ported validation code from MFC build

2011-02-01 [r3932]  c-273:

	* Ensure Duplicate Group display refreshed after Undo/Redo. Update
	  comments UIInterface routines to explain usage.

2011-02-01 [r3931]  ronys:

	* Start work on command line parsing of cli version, to support
	  imp/exp xml/text, for starts. WiP

2011-02-01 [r3930]  ronys:

	* Duplicate Group works correctly (again), no longer crashes. Added
	  a general purpose tree iterator that can probably be used
	  elsewhere.

2011-02-01 [r3929]  ronys:

	* Update Traditional Chinese installation texts to latest template,
	  thanks to poserpro

2011-02-01 [r3928]  sauravg:

	* * Removed the warning text from first page, and added brief help
	  within a collapsible pane * Added header text to every page *
	  Fixed a bug showing status message when the db has duplicates

2011-01-31 [r3927]  c-273:

	* Initialise Protected variable during Add Entry

2011-01-31 [r3926]  c-273:

	* Fix issues in Wizard code

2011-01-31 [r3925]  ronys:

	* Update installation translation templates

2011-01-31 [r3924]  ronys:

	* Correct Korean dll name.

2011-01-30 [r3923]  ronys:

	* Fixed Linux build after last commit

2011-01-30 [r3922]  ronys:

	* First hack at Dutch translation - WiP - from Bert

2011-01-30 [r3921]  c-273:

	* Use Wizards for Compare, Merge, Synchronize, Export to Text and
	  XML (thanks to Saurav for prompting this work in the MFC build)

2011-01-30 [r3920]  ronys:

	* First version of Korean texts, thanks to Seunggyun

2011-01-30 [r3919]  ronys:

	* First version if Traditional Chinese installation, thanks to
	  poserpro

2011-01-30 [r3918]  ronys:

	* Cleanup nsis file a bit (not finished yet)

2011-01-29 [r3917]  ronys:

	* Tweak Dutch installation texts

2011-01-29 [r3916]  c-273:

	* Fix BR 3115760 - Window view is now saved and restored if the
	  user uses the Windows "Show Desktop" feature.

2011-01-28 [r3915]  c-273:

	* Ensure Undo/Redo honour the changes to the display of the
	  original change. Nits in ReleaseNotes.html.

2011-01-27 [r3914]  ronys:

	* Dutch version on installation instructions, thanks to Kees.

2011-01-27 [r3913]  c-273:

	* Protect Export to XML from invalid entries with no password
	  (title & password are mandatory fields)

2011-01-26 [r3912]  c-273:

	* Fix compiler warnings in 64-bit build re: conversion from
	  'size_t' to 'int', possible loss of data

2011-01-26 [r3911]  ronys:

	* [3165889] No longer crashes if search starts with Shift-Enter
	  (search backwards).

2011-01-26 [r3910]  sauravg:

	* Must let app activation events propagate as far as it can go

2011-01-26 [r3909]  sauravg:

	* Added new files to project

2011-01-26 [r3908]  sauravg:

	* Added a way to switch keyboard focus on mac, which doesn't happen
	  just by minimizing or hiding the app

2011-01-26 [r3907]  sauravg:

	* Added missing preprocessor guard

2011-01-26 [r3906]  sauravg:

	* Delay creation of the frame window as much as possible, to work
	  around a crash under OS X due to multiple deletions of an
	  internal top level window used by wxTaskBarIcon

2011-01-23 [r3905]  ronys:

	* Implemented sauravg's suggestion for generic FieldName function +
	  related cleanups

2011-01-22 [r3904]  sauravg:

	* Fixed OS X build. setenv takes three arguments here

2011-01-20 [r3903]  c-273:

	* Update Save button on Toolbar after (un)protect.

2011-01-16 [r3900]  c-273:

	* Tweak previous commit (preprocessor variable + compiler defined
	  variable) + fix another 64-bit cast

2011-01-16 [r3899]  ronys:

	* Fix broken win64 compilation.

2011-01-04 [r3898]  c-273:

	* Missing copyright header - found by finding source not updated
	  during 2010->2011 change

2011-01-03 [r3896]  ronys:

	* Linux: Tweaks for 64bit .deb builds

2011-01-03 [r3895]  c-273:

	* Another 2011

2011-01-03 [r3894]  ronys:

	* cli version works under 64bit Linux

2011-01-03 [r3893]  c-273:

	* Deal with brain damaged MS CPropertySheet buttons!

2011-01-03 [r3892]  ronys:

	* Fixed broken Linux build

2011-01-02 [r3891]  ronys:

	* Tweak Linux makefiles, mainly adding tarball target

2011-01-02 [r3890]  c-273:

	* Another nit

2011-01-02 [r3889]  c-273:

	* Nit

2011-01-02 [r3888]  c-273:

	* More work on entry protection.

2011-01-02 [r3887]  c-273:

	* Missed a 2011 :-)

2011-01-02 [r3886]  ronys:

	* 2010->2011 - happy new year

2011-01-02 [r3885]  sauravg:

	* Fixed some compiler warnings

2011-01-02 [r3884]  ronys:

	* Added --fix-utf8 flag to correctly read databases that were
	  encoded in the pre-utf8 encoding, e.g. 3.05.02 (for Amir)

2010-12-31 [r3883]  c-273:

	* Prevent Synchronize updating protected entries. Allow D&D between
	  32-bit and 64-bit PWS instances. Fix long standing string typos.

2010-12-30 [r3882]  c-273:

	* Implement "Protected" entry field. Supported by filters, D&D
	  (protected status is maintained), Export and Import.

2010-12-30 [r3881]  ronys:

	* CLI build functional again

2010-12-30 [r3880]  c-273:

	* Update VS project files for recent wxWidgets new files

2010-12-30 [r3879]  sauravg:

	* Updated with new files

2010-12-30 [r3878]  sauravg:

	* Added db synchronization

2010-12-29 [r3877]  ronys:

	* [3147295] Linux cli build fixed

2010-12-27 [r3875]  ronys:

	* Linux 64bit: Blowfish problem turned out to be SHA1 porting
	  issue. Fixed.

2010-12-27 [r3874]  ronys:

	* Fix abstraction level for CItemField's encryption scheme, plus
	  confirm that there's a memory overrun in the 64bit Linux version
	  of BlowFish

2010-12-27 [r3873]  ronys:

	* nits

2010-12-26 [r3872]  ronys:

	* Added unit test (minimal) for ItemField - fails under 64bit
	  Linux.

2010-12-25 [r3871]  sauravg:

	* Updated with new files, use the makefile for help.zip generation,
	  and don't copy xcconfig files to resources

2010-12-25 [r3870]  sauravg:

	* Ported MFC code for launching alternate browsers Bug # 3141283

2010-12-24 [r3869]  sauravg:

	* Fixed creation of new db from the initial log dialog Bug #
	  3141711

2010-12-23 [r3868]  ronys:

	* Cleanup help file build and distribution under Linux, based on
	  sauravg & rader's work

2010-12-23 [r3867]  sauravg:

	* Adding some WIP files

2010-12-22 [r3866]  sauravg:

	* Simple makefile to generate help.zip files on Linux

2010-12-22 [r3865]  sauravg:

	* help.zip should include the css and js file(s)

2010-12-20 [r3864]  ronys:

	* Fixed typo, added Fedora-RHEL specific note, thanks to Steve

2010-12-15 [r3863]  c-273:

	* Update project files - compiler warning level 4. VS2005
	  developers MUST rerun configure8.vbs Windows wxWidgets now also
	  uses VS2010 by default - see changes in
	  README.WINDOWS.DEVELOPERS.html and
	  ...\Misc\wxWidgets_VS2010_Updates\build\msw\Notes.txt

2010-12-14 [r3862]  ronys:

	* Performance tweak: Don't create BlowFish objects if we've no data
	  to process.

2010-12-14 [r3861]  ronys:

	* Test BlowFish decryption as well.

2010-12-14 [r3860]  sauravg:

	* Forgot the Makefile with last commit

2010-12-14 [r3859]  sauravg:

	* Added the external keyboard launcher button wherever it was
	  missing.
	  http://sourceforge.net/tracker/?func=detail&atid=429579&aid=3136637&group_id=41019

2010-12-13 [r3857-3858]  ronys:

	* continuation of last commit (BlowFish unit test).

	* Added BlowFish test vectors to unit tests, to help debug 64 bit
	  Linux version.

2010-12-11 [r3856]  ronys:

	* core debug makes correction + tweak UUID code for Linux

2010-12-11 [r3855]  sauravg:

	* Some documentation for building on OS X

2010-12-11 [r3854]  sauravg:

	* Finally got rid of the hard-coded paths everywhere

2010-12-11 [r3853]  ronys:

	* Chinese xlation for 3.24.1

2010-12-10 [r3852]  sauravg:

	* Fixed the regex for --libs

2010-12-10 [r3851]  sauravg:

	* Fixed the regexs, and fixed header search path generation

2010-12-10 [r3850]  sauravg:

	* Fixed a typo with setting name

2010-12-10 [r3849]  sauravg:

	* First cut of a script to generate xcconfig files so that Xcode
	  can pick up header/lib folders of custom wxWidgets builds

2010-12-09 [r3848]  ronys:

	* Makefile nits

2010-12-09 [r3847]  karlo_vdg:

	* German text for release 3.24.1

2010-12-08 [r3845]  c-273:

	* Minor html out of order

2010-12-08 [r3844]  c-273:

	* Fix crash in 3.24 - BR 3132055, 3132347 and bump to 3.24.1

2010-12-07 [r3843]  karlo_vdg:

	* addgroup for help files (EN + DE)

2010-12-07 [r3841]  karlo_vdg:

	* addgroup icon changed (black) and added (help)

2010-12-07 [r3840]  ronys:

	* Final (?) 3.24 tweak

2010-12-07 [r3839]  karlo_vdg:

	* addgroup icon changed (black) and added (help)

2010-12-07 [r3838]  ronys:

	* 3.24 ready to rock & roll.

2010-12-06 [r3837]  c-273:

	* Minor 64-bit update (missed as had only built the Debug versions
	  previously).

2010-12-06 [r3836]  c-273:

	* Correct last commit

2010-12-06 [r3835]  ronys:

	* Enabled and fixed Trace under linux/unicode/debug build, work on
	  tracking down 64bit Linux crash

2010-12-05 [r3834]  c-273:

	* Fix Advanced checkbox being active when should not.

2010-12-05 [r3833]  ronys:

	* Update to Swedish (Bjorne) and French (Francois) texts

2010-12-04 [r3832]  pm_kan:

	* Russian .po file for 3.24 (rev. 3829) (help isn't ready yet)

2010-12-04 [r3831]  c-273:

	* Fix ReleasewxX64 VS2010 project files and rename 2 directories
	  containing blanks for some Linux users

2010-12-04 [r3830]  ronys:

	* Minor cleanups, plus udo to last change in rc2cpp.pl, as it broke
	  the build

2010-12-04 [r3829]  c-273:

	* Update batch file to build 64-bit wxWidgets for Windows and the
	  Notes file

2010-12-03 [r3828]  ronys:

	* Tweak - constification of _st map

2010-12-03 [r3827]  ronys:

	* Same as last commit, only w.r.t. TwoFish

2010-12-03 [r3826]  ronys:

	* BlowFish now works ok under 64bit Linux

2010-12-03 [r3825]  c-273:

	* Update use of 'sizeof' for 64-bit

2010-12-03 [r3824]  c-273:

	* Source formatting nits only

2010-12-02 [r3823]  c-273:

	* Fix 64-bit new database problem (maybe just the first of many
	  such fixes)

2010-12-01 [r3822]  ronys:

	* Nit: keep valgrind happy

2010-12-01 [r3821]  ronys:

	* Update to Swedish texts from Bjorne

2010-12-01 [r3820]  ronys:

	* const nit

2010-12-01 [r3819]  ronys:

	* test builds again under Linux

2010-12-01 [r3818]  c-273:

	* Tidy up VS2010 projects as much as it would allow + fix a couple
	  more compiler warnings in 64-bit + time issues (the latter in
	  64-bit only in fault processing)

2010-11-30 [r3817]  ronys:

	* Linux 32bit build fixed.

2010-11-30 [r3816]  c-273:

	* Fix BR 3121006

2010-11-30 [r3815]  c-273:

	* Missed 3 compiler warnings under VS2005

2010-11-30 [r3814]  c-273:

	* Implement 64-bit Windows generation of both MFC and wxWidgets
	  applications using VS2010 only.

2010-11-30 [r3813]  ronys:

	* Bjorne's Swedish texts for 3.24

2010-11-29 [r3812]  c-273:

	* Stop VC error C2308: concatenating mismatched wide strings due to
	  splitting large strings into more manageable chunks. When
	  concatenating strings, if any of the sub-strings are wide then
	  gcc compiler promotes all of the sub-strings to wide ones but MS
	  VC compiler doesn't (hence no errors using gcc on Linux builds).

2010-11-28 [r3811]  karlo_vdg:

	* icon "add a group": plus sign with black border

2010-11-27 [r3810]  ronys:

	* Reapply last commit to Debian

2010-11-27 [r3809]  ronys:

	* Separate architectures 32/64 for ubuntu - 64 doesn't work yet, as
	  is dep. on 32-bit wx shared libs.

2010-11-26 [r3808]  ronys:

	* Murphy: make's inexcusable sensitivity to trailing spaces strikes
	  again

2010-11-26 [r3807]  ronys:

	* wxWidgets: 0.3beta corresponds to 3.24pre on Windows

2010-11-26 [r3806]  ronys:

	* Start 3.24 ball rolling - pre release for qa & translators, plus
	  fixed incorrect path for pwsafe_base.dll generation

2010-11-26 [r3805]  sauravg:

	* Convert all %s format-specs to %S in Debug builds with glibc.
	  https://sourceforge.net/tracker/?func=detail&atid=429579&aid=3108534&group_id=41019

2010-11-25 [r3804]  c-273:

	* Fix exception during DuplicateGroup and remove unused CPWTreeCtrl
	  member function

2010-11-25 [r3803]  c-273:

	* Remove very last remnants of references to Expat

2010-11-24 [r3801]  c-273:

	* Remove Expat from last files. NOTE: After updating to rev. 3800,
	  please check the old corelib directory and delete it (files
	  corelib_st.h and corelib_st.cpp are no longer needed).

2010-11-24 [r3800]  c-273:

	* Rename 'corelib' to 'core'

2010-11-23 [r3799]  sauravg:

	* Generate intermediate backups, if the user so desires... Tracker
	  id: 3108534
	  http://sourceforge.net/tracker/?func=detail&atid=429579&aid=3108534&group_id=41019

2010-11-22 [r3798]  sauravg:

	* Use CreateStdDialogButtonSizer instead of manually adding Ok,
	  Cancel, Help buttons to the dialog

2010-11-22 [r3797]  sauravg:

	* Updaed with all the new files

2010-11-22 [r3796]  sauravg:

	* Ported "Duplicate Entry" code

2010-11-21 [r3795]  c-273:

	* Update configure scripts to 64-bit Xerces libraries

2010-11-21 [r3794]  sauravg:

	* Fixed help file generation script.

2010-11-21 [r3793]  sauravg:

	* Added an icon file for Macs. Also removed some redundant zipping
	  of help files

2010-11-20 [r3791]  c-273:

	* Implement FR - 3111585. User can now duplicate Groups (see
	  Release Notes for more details)

2010-11-20 [r3790]  sauravg:

	* On Mac, XML and help.zip go into the bundle's Resource folder

2010-11-19 [r3789]  c-273:

	* Last remaining unreferenced parameters in wxWidgets build - now
	  no level 4 warnings at all

2010-11-19 [r3788]  sauravg:

	* Autotype should now work for multibyte chars

2010-11-19 [r3787]  ronys:

	* Merge in of x86_64 branch after testing build and execution under
	  Windows using VS2005 and VS2010

2010-11-18 [r3786]  ronys:

	* wxWidgets: link successfully under Fedora

2010-11-18 [r3785]  ronys:

	* Start playing around with Fedora build

2010-11-15 [r3783]  sauravg:

	* Autosave after adding/editing shortcuts and regular entries, and
	  also after a merge. Tracker ID: 3108527
	  (http://sourceforge.net/tracker/?func=detail&atid=429579&aid=3108527&group_id=41019)

2010-11-14 [r3782]  ronys:

	* recover pwsafe.png for use in Linux install

2010-11-14 [r3781]  ronys:

	* Cleanup .nsi file

2010-11-14 [r3780]  sauravg:

	* Fixed dragbar rendering problem on Windows

2010-11-10 [r3779]  c-273:

	* Fix invalid XPM data

2010-11-10 [r3778]  sauravg:

	* Shift keyboard focus to the view once the SearchBar is closed

2010-11-10 [r3777]  sauravg:

	* Put to use some of the new icons David added, and fixed build

2010-11-09 [r3776]  c-273:

	* Fix some XPM issues, make them consistent, add missing ones

2010-11-08 [r3775]  c-273:

	* Fix wxWidgets XPM graphics backgrounds

2010-11-08 [r3774]  sauravg:

	* Added classic button support to dragbar

2010-11-08 [r3773]  sauravg:

	* Set the app icon in various sizes

2010-11-07 [r3770]  ronys:

	* Shut up silly m'soft compiler warning.

2010-11-07 [r3768]  ronys:

	* Answered question in #pragma, with some help from David.

2010-11-06 [r3767]  pm_kan:

	* Script for syncing omegat/source dir with default help source

2010-11-06 [r3766]  pm_kan:

	* new translations in Russian help

2010-11-06 [r3765]  pm_kan:

	* Fix slashes in image source paths

2010-11-05 [r3764]  c-273:

	* More XPM graphics for wxWidgets

2010-11-05 [r3763]  c-273:

	* Add more Classic XPM files for wxWidgets build but will leave
	  code to use them to others :-)

2010-11-04 [r3762]  c-273:

	* Tidy up after previous two commits

2010-11-04 [r3761]  c-273:

	* Re-organize graphics directories - part 2 - wxWidgets Build

2010-11-04 [r3760]  c-273:

	* Re-organize graphics directories - part 1 - Windows MFC Build
	  only

2010-11-04 [r3759]  sauravg:

	* Show the currently open safe as system-tray tooltip

2010-11-03 [r3758]  sauravg:

	* Don't let the textCtrl for safe combination eat up the Enter key

2010-11-03 [r3757]  sauravg:

	* David pointed out that Windows doesn't like negative menu-ids.

2010-11-03 [r3756]  sauravg:

	* Use CreateStdDialogButtonSizer instead of manually adding buttons
	  to wxStdDialogButtonSizer

2010-11-02 [r3755]  sauravg:

	* Made the param order of our MAKEWORD et. al. macros same as
	  Microsoft's. Also defined Big-endian versions of those macros

2010-10-31 [r3754]  pm_kan:

	* new translations in Russian help

2010-10-30 [r3753]  sauravg:

	* Must include wxWidgets headers before any of Windows headers get
	  included, or else we get this:
	  http://trac.wxwidgets.org/ticket/2421

2010-10-29 [r3752]  ronys:

	* [3065827] Uninstall fails gracefully when invoked with pwsafe
	  running.

2010-10-28 [r3751]  ronys:

	* Last commit now works under windows too...

2010-10-28 [r3750]  ronys:

	* 3090760 - Linux fail on v1v2 dbase processing - fixed one issue,
	  not the last

2010-10-28 [r3749]  ronys:

	* Linux: put online help in a more appropriate location (thanks to
	  Saurav)

2010-10-27 [r3748]  ronys:

	* Minor cleanup in chase of heisenbug 3062632.

2010-10-26 [r3746]  c-273:

	* Fix 3058043 and unset pointer.

2010-10-26 [r3745]  sauravg:

	* Added "classic" toolbar

2010-10-25 [r3744]  c-273:

	* Implement Feature Requests: 3065107 & 3062854; Fix Bug Report:
	  3062850 Tidy up Backup Options property sheet

2010-10-24 [r3743]  c-273:

	* As per revision 3701, developers using VS2005 *MUST* re-run
	  'configure8.vbs' after applying this update! If using VS2005 for
	  wxWidgest project, after running the script, copy file
	  "UserVariables.vsprops" from the Windows sub-directory to the
	  wxWidgets sub-directory.

2010-10-24 [r3742]  c-273:

	* Minor tweaks to backup options dialog as per 'geodib' in Open
	  Discussion Forum

2010-10-20 [r3741]  pm_kan:

	* Fix incorrect (sub)group handling in wxWidgets build

2010-10-19 [r3740]  sauravg:

	* Hard-coded help map into the application, and removed all
	  references to pws_helpmap.txt

2010-10-19 [r3739]  sauravg:

	* Fixed problems reported by Andrey with wildcards given to
	  wxFileDialog

2010-10-18 [r3738]  c-273:

	* Fix Bug Report 3069250 and minor wxWidgets project file tidy up.

2010-10-17 [r3737]  pm_kan:

	* new translations in Russian help

2010-10-17 [r3736]  ronys:

	* wxWidgets: 1st hack at productizing Saurav's online help
	  integration

2010-10-17 [r3735]  ronys:

	* added pws_helpmap.txt for wxWidget help support. This file needs
	  to be placed along with the help file in Linux installations

2010-10-16 [r3733]  ronys:

	* wxWidgets: fixed annoying ID_PASSWORD redefinition

2010-10-15 [r3732]  sauravg:

	* Removed PwsHelpProvider from wxWidgets-Windows projects

2010-10-15 [r3731]  sauravg:

	* (Hopefully) fixed compilation issues on Windows

2010-10-14 [r3730]  sauravg:

	* Implemented Help support in the app class using FilterEvent

2010-10-13 [r3729]  ronys:

	* wxWidgets: Fail coherently when password file exists but user
	  doesn't have read access

2010-10-10 [r3727]  c-273:

	* Add new wxWidgets code files to VS project files

2010-10-10 [r3726]  sauravg:

	* Specify most of compiler and architecture settings at project
	  level (instead of target levels)

2010-10-10 [r3725]  sauravg:

	* Added new wxWidgets files to project, and remvoed expat
	  references

2010-10-09 [r3724]  c-273:

	* Fix 3084401 - Issues when database is locked (clipboard not
	  cleared, hot key not working)

2010-10-09 [r3723]  ronys:

	* Debian package now adds desktop Applications->Accessories entry,
	  bumped package number to 2-1

2010-10-09 [r3722]  ronys:

	* more work on version checks

2010-10-09 [r3721]  ronys:

	* [3081867] - Check correct version in help->About for Linux (WiP)

2010-10-09 [r3720]  ronys:

	* wxWidgets: Don't lose password when switching between show/hide
	  in add/edit dbox

2010-10-08 [r3719]  sauravg:

	* Help events handler for all dialogs (not integrated yet)

2010-10-08 [r3718]  ronys:

	* Linux: Fixed broken make of corelib after Expat cleanup

2010-10-08 [r3716-3717]  sauravg:

	* Removed references to Expat files

	* Removed Expat-based build configs

2010-10-07 [r3714]  c-273:

	* Remove support for Expat XML Parser (CodeProject and Xcode also
	  need updating)

2010-10-06 [r3712]  sauravg:

	* Added MergeDlg.{h,cpp} to project

2010-10-06 [r3711]  sauravg:

	* We need os/file.h to build on Window (reported by David)

2010-10-06 [r3710]  sauravg:

	* class/struct mismatch between header file and forward declaration

2010-10-05 [r3709]  c-273:

	* Update comments in corelib XML files

2010-10-05 [r3707]  sauravg:

	* Ported "Merge" functionality from MFC code

2010-10-04 [r3705]  sauravg:

	* Fixed a memory leak adding new entries as reported by David

2010-10-03 [r3704]  c-273:

	* Undo mistaken commit 3703 - should be back to 3701

2010-10-03 [r3703]  c-273:

	* Major surgery from V1 - read files in block (reduce memory
	  usage). Skip over files in the attachment file when looking for a
	  particular one (reduces CPU usage reading). Move large processes
	  into worker threads updating a progress dialog. Allow thread code
	  to be used directly if threads not supported by UI - new function
	  via SetUIInterFace so that the UI doesn't have to support all
	  functions of corelib UI interface.

2010-10-03 [r3701]  c-273:

	* DEVELOPERS *MUST* re-run 'configure.vbs' and/or 'configure8.vbs'
	  after applying this update! Redefine 3 build variables PWSBin,
	  PWSObj & PWSLib MS wxWidgets builders MUST copy the MFC
	  'UserVariables.props' and/or 'UserVariables.vxprops' from the MFC
	  Windows source directory to the wxWidgets source directory after
	  running the configure script(s)

2010-09-30 [r3700]  ronys:

	* Murphy

2010-09-30 [r3699]  ronys:

	* Elaborated Linux Ubuntu install instructions, based on mparillo's
	  comment in support request 3078120.

2010-09-30 [r3698]  ronys:

	* Belated update of PAD file

2010-09-28 [r3697]  sauravg:

	* Improved layout

2010-09-28 [r3696]  sauravg:

	* Fixed a long-standing typo

2010-09-28 [r3694-3695]  sauravg:

	* Added dragbar files to CodeLite project

	* Remember and restore window position and size across sessions

2010-09-27 [r3693]  c-273:

	* Fix 3076674: "open as read-only" check is not preserved when
	  changing DBs

2010-09-26 [r3692]  ronys:

	* Added first hack at user's Linux README

2010-09-26 [r3691]  ronys:

	* Removed out of date information from notes.txt and renamed rest
	  to formatV1.txt

2010-09-26 [r3690]  ronys:

	* wxWidgets: better error reporting for failed xml import

2010-09-22 [r3689]  ronys:

	* update control-ubuntu for .deb build

2010-09-22 [r3688]  ronys:

	* Linux: support both debian and ubuntu deb builds. Latter still
	  needs work

2010-09-20 [r3687]  pm_kan:

	* Some files from help translated into Russian

2010-09-16 [r3686]  karlo_vdg:

	* German language update

2010-09-16 [r3685]  ronys:

	* Fixed formatting problem - LICENSE now displays correctly in
	  installer.

2010-09-13 [r3684]  c-273:

	* Tidy up duplicate resource ID usage for bitmaps

2010-09-13 [r3683]  c-273:

	* Implement FR 3062809 Add "Add Group" to Toolbar and FR 3062788
	  Add "Add New Entry" menu item to additional context menus

2010-09-12 [r3682]  pm_kan:

	* update Russian installer translation

2010-09-10 [r3681]  ronys:

	* Followup on last commit (thanks to dk)

2010-09-10 [r3680]  ronys:

	* [3062758] Groups list in Add/Edit dialog box no longer
	  'remembers' groups from previously opened database.

2010-09-06 [r3675]  ronys:

	* wxWidgets: Fixed combination setup dbox layout

2010-09-06 [r3674]  ronys:

	* wxWidgets: Compile under 2.8 as well as 2.9
	  (wxWindow::UnsetToolTip in the latter is defined as
	  SetToolTip(NULL), which is supported in the former)

2010-09-05 [r3671]  pm_kan:

	* Added OmegaT project for Russian help translation (with glossary
	  and tmx helper from UI translation)

2010-09-04 [r3670]  c-273:

	* If a database is currently open. always look for a new database,
	  XL & Text input files in the same directory. If no database is
	  open, then use "My Safes" or DoK/U3 directory

2010-09-04 [r3669]  c-273:

	* Add latest wxWidgets files to VS2010 build and rename macro to
	  prevent conflict with Windows SDK (commctrl.h)

2010-09-04 [r3668]  ronys:

	* Added an example of invoking puTTY via the Run Command, thanks to
	  Pete.

2010-09-04 [r3667]  sauravg:

	* Must use wxFD_SAVE and not wxFD_OPEN for creating new file, like
	  we do in SafeCombinatinEntry dialog

2010-09-03 [r3666]  sauravg:

	* Removed unnecessary code

2010-09-03 [r3665]  sauravg:

	* DragBar for wxWidgets. Also simplified the font selection code a
	  bit.

2010-08-31 [r3663]  ronys:

	* more pws2go support

2010-08-30 [r3662]  ronys:

	* pwsafe2go tweaks

2010-08-30 [r3661]  sauravg:

	* Added support for user-specified fonts

2010-08-30 [r3660]  sauravg:

	* Implemented view -> expand/collapse all

2010-08-29 [r3659]  c-273:

	* Naming nit

2010-08-29 [r3658]  c-273:

	* Set initial directory properly when opening a DB or creating a DB
	  when another database is open.

2010-08-28 [r3656]  ronys:

	* Don't crash if MRU list not full

2010-08-28 [r3655]  ronys:

	* Alway call LoadLibrary with an absolute path to avoid recently
	  discussed dll poisoning attacks

2010-08-27 [r3652]  c-273:

	* Fix missing drive elsewhere

2010-08-27 [r3651]  sauravg:

	* Ported undo/redo logic from MFC code

2010-08-27 [r3650]  ronys:

	* Resolved pwsafeN.psa issue - SHFileOperation() doesn't like file
	  names of the form \dir\fname. This is even documented by msoft:
	  'You should use fully-qualified path names with this function.
	  Using it with relative path names is not thread safe.' Argh.

2010-08-24 [r3646]  c-273:

	* Update nit is Perl script if never before generated necessary
	  data.

2010-08-24 [r3645]  c-273:

	* Missed VS2010 rename

2010-08-24 [r3644]  c-273:

	* Make UK resources US

2010-08-24 [r3643]  c-273:

	* Make Options Shortcuts PP bigger - in line with current largest.

2010-08-24 [r3642]  c-273:

	* Fix bug in VS2010 CImageList::DrawIndirect See:
	  http://connect.microsoft.com/VisualStudio/feedback/details/543108/bug-in-cimagelist-drawindirect

2010-08-24 [r3641]  ronys:

	* Added Branding.

2010-08-23 [r3640]  karlo_vdg:

	* different languages for installation and program

2010-08-23 [r3639]  c-273:

	* Fix format mangling by Komposer! and correct Xerces version.

2010-08-23 [r3638]  ronys:

	* Made MSVS10 the default build platform for Windows

2010-08-22 [r3637]  c-273:

	* nit in corelib project file for an unused configuration

2010-08-22 [r3636]  pm_kan:

	* start working on Russian help - localized screenshots

2010-08-22 [r3635]  ronys:

	* MSVS10 now builds into build subdir, not build10. 1st step in
	  making it default build env for Windows

2010-08-22 [r3634]  ronys:

	* MSVS10 - optimize release build for size

2010-08-21 [r3633]  c-273:

	* VS2008 wxWidgets Xerces project nit

2010-08-21 [r3632]  c-273:

	* Update VS projects and wxWidget Perl script to stop needless
	  rebuilds Fix XML in wxWidgets builds

2010-08-20 [r3631]  ronys:

	* Xerces code now works with Xerces 2.8 (current Debian stable) -
	  thanks to Saurav

2010-08-19 [r3630]  sauravg:

	* Expat and Xerces configs

2010-08-19 [r3629]  sauravg:

	* Removed INT_PTR and IDYES usage

2010-08-19 [r3628]  sauravg:

	* Fixed some typos

2010-08-19 [r3627]  sauravg:

	* Changes for Xerces build under Linux

2010-08-18 [r3626]  ronys:

	* More directory tweaks

2010-08-18 [r3625]  ronys:

	* More attempts to work around broken I18N support in Spanish help
	  (Jose)

2010-08-17 [r3624]  ronys:

	* Added charset info to Spanish html help

2010-08-17 [r3623]  ronys:

	* nit in Spanish help file (Jose)

2010-08-17 [r3622]  ronys:

	* More work on Spanish texts + added Spanish help files. Thanks to
	  Jose.

2010-08-17 [r3621]  ronys:

	* DoK support

2010-08-16 [r3620]  c-273:

	* Add missing VC10 files

2010-08-16 [r3619]  c-273:

	* Update developers readme (including add one for VS2010). Add
	  'nojs.html' even though it shouldn't be needed

2010-08-16 [r3618]  ronys:

	* Update to Spanish translation, thanks to Jose

2010-08-15 [r3617]  c-273:

	* Extra updates so the developers can build wxWidgets VS2010
	  Updates(V2.8.10)

2010-08-15 [r3616]  c-273:

	* Fix slight overspill of VS2010 in VS2005 builds for Expat
	  configurations

2010-08-15 [r3615]  c-273:

	* Fix directory typo

2010-08-15 [r3614]  c-273:

	* Implement support for VS2010 (Note to developers - run
	  configure100.vbs before opening the VS2010 project) Re-instate
	  static builds for Expat & Xerces (VS2005 & VS2010) Bring
	  wxWidgets projects up to date re: new source files For Expat -
	  VS2010 users need to rebuild the Expat libraries using VC10 -
	  project files in PWS Misc directory For Xerces - VS2010 users
	  should upgrade to V3.1.1 (xerces-c-3.1.1-x86-windows-vc-10.0.zip)
	  *** Changes for VS2010 do not affect current VS2008 builds or
	  process, except for the Virtual Keyboard data generator (rarely
	  used) ***

2010-08-14 [r3610]  sauravg:

	* Updated OSX build

2010-08-13 [r3607]  sauravg:

	* ViewReport functionality, after text/xml import

2010-08-10 [r3606]  c-273:

	* Remove wxWidgets Expat library from link step - conflicts with
	  Expat's own library

2010-08-09 [r3605]  c-273:

	* Fix Expat under wxWidgets - needs testing (XMLDefs.h & throw)
	  Update VS projects for latest wxWidgets source and for Expat &
	  Xerces (latter not tested)

2010-08-09 [r3603]  pm_kan:

	* set default arch in slackBuild to i686

2010-08-09 [r3602]  ronys:

	* nit

2010-08-07 [r3601]  c-273:

	* Fix warning messages corelib in VS wxWidgets builds (SAFE_WRITE
	  macros) Add missing wxWidget library Update to allow compile
	  under VS Update project files to include recent additional source
	  files

2010-08-05 [r3600]  c-273:

	* Commit Saurav's Expat XML changes for Linux. Correct #if
	  statement at startup if Expat XML being used. Update developer's
	  readme to recommend latest version for Xerces XML build (3.1.1)
	  Change Expat and Xerces XML builds to use their respective DLLs
	  (like standard MSXML) rather than static builds

2010-08-05 [r3599]  sauravg:

	* Define UNREFERENCED_PARAMETER as an empty macro for non-MFC
	  platforms

2010-08-05 [r3598]  sauravg:

	* Ported MFC code to export safe into text and xml formats. Also
	  made the relevant dialogs and controls good for multipurpose use

2010-08-04 [r3597]  c-273:

	* Fix error in Expat error reporting and tidy up/correct HTML
	  version of ReleaseNotes.html

2010-08-03 [r3596]  ronys:

	* added --setup option + fix for debug assert upon execute +
	  constification

2010-08-03 [r3595]  c-273:

	* Update to correct compilation errors/warnings under VC 2010

2010-08-03 [r3594]  ronys:

	* very minor cleanup

2010-08-03 [r3593]  sauravg:

	* Abstracted out the advanced selection dialog into its own class,
	  to be re-used in various export functionalities

2010-08-02 [r3591]  ronys:

	* Directory tweaks + Linux->MacOS comment corrections

2010-08-02 [r3590]  ronys:

	* Credit where credit is due

2010-08-02 [r3589]  ronys:

	* Tweaks to Spanish .po by Jose

2010-08-01 [r3588]  ronys:

	* Update to Spanish .po thanks to Jose

2010-08-01 [r3587]  ronys:

	* Updated html release notes for 3.23.1

2010-08-01 [r3586]  ronys:

	* Bump revision to 3.23.1

2010-08-01 [r3585]  ronys:

	* Fixed Spanish installation texts - thanks to Jose

2010-07-27 [r3584]  sauravg:

	* Abstracted the text ctrl + virtual keyboard button into a
	  separate control (sizer, actually). Also added skeletons of text
	  import functionality

2010-07-26 [r3582]  ronys:

	* Murphy...

2010-07-26 [r3581]  ronys:

	* Fix the bug Saurav detected - trashing unallocated memory when
	  V1V2 password's handled.

2010-07-26 [r3580]  sauravg:

	* Imported "Export to V1 and V2" menu handlers from MFC code

2010-07-26 [r3579]  ronys:

	* Tweak to Swedish .po fileby Bjorne

2010-07-24 [r3578]  ronys:

	* 3.23 ready to rock & roll

2010-07-24 [r3577]  sauravg:

	* Added an OSX specific implementation for pws_os::getexecdir()
	  since OSX doesn't seem to have a /proc directory. Also fixed some
	  minor issues with OSX build

2010-07-23 [r3576]  sauravg:

	* Added a button on the login dialog to invoke xvkbd as
	  onscreen/virtual keyboard

2010-07-23 [r3575]  sauravg:

	* Set the 'db_changed' flag when an entry is edited

2010-07-23 [r3574]  ronys:

	* commit un-updated 3.23 translations

2010-07-23 [r3573]  ronys:

	* Swedish translation for 3.23 from Bjorne

2010-07-21 [r3572]  pm_kan:

	* comments to some lines in pwsafe_ru.lng

2010-07-21 [r3571]  ronys:

	* wxWidgets: various fixes to get MRU to work properly

2010-07-21 [r3570]  sauravg:

	* Fixed AdvancedSearchOptionsDlg layout

2010-07-21 [r3569]  sauravg:

	* Closing the SearchBar on ESC key requires overloading
	  ProcessEvent

2010-07-20 [r3568]  sauravg:

	* Added some code to hide the search bar on ESCAPE

2010-07-20 [r3567]  sauravg:

	* Added recent files

2010-07-20 [r3566]  sauravg:

	* Import XML functionality, but not yet tested by building with any
	  of the supported parsers

2010-07-20 [r3565]  ronys:

	* split up nsis language files in to per-language files, making
	  life easier for translators.

2010-07-20 [r3564]  sauravg:

	* Imported keepass text file import code from MFC build

2010-07-19 [r3563]  ronys:

	* Lengthen "recurring" field for Swedish translation

2010-07-19 [r3562]  sauravg:

	* Imported "Save As" functionality from MFC build, and some
	  associated code.

2010-07-19 [r3561]  sauravg:

	* Import text functionality should work now

2010-07-18 [r3559-3560]  ronys:

	* 3.23 Chinese xlation update thanks to Freedoctor

	* 3.23 French xlation update thanks to Francois

2010-07-18 [r3558]  ronys:

	* Added ReleaseNotes.html to deliverables, plus tweaks to former.

2010-07-18 [r3557]  pm_kan:

	* Russian .po file for 3.23pre (rev. 3556) fixes in pwsafe.lng

2010-07-18 [r3556]  karlo_vdg:

	* Help files (German and English) and some text revisions (German)

2010-07-18 [r3555]  karlo_vdg:

	* Russian language runs again ("")

2010-07-18 [r3553]  sauravg:

	* Fixed Mac build (gcc 4.01 requires copy constructors to be
	  accessible if references to temporary variables of those classes
	  are to be inittialized).

2010-07-17 [r3550-3552]  ronys:

	* Start the ball rolling for 3.23...

	* Update to Chines translations, thanks to freedoctor.

	* Forgotten file from last commit.

2010-07-16 [r3549]  sauravg:

	* Plugged a memory leak reported by David

2010-07-16 [r3547-3548]  sauravg:

	* Added ImportTextDlg to project

	* Text file import - still work-in-progress

2010-07-15 [r3546]  c-273:

	* Update Release Notes files for FR 3026944

2010-07-15 [r3545]  ronys:

	* tweak last commit

2010-07-15 [r3544]  ronys:

	* 1st hack at Mac makefile support

2010-07-15 [r3543]  ronys:

	* Update Linux readme for Ubuntu build

2010-07-15 [r3542]  ronys:

	* Returned delete confirmation option due to popular demand: undid
	  commits of rev 3213, partial 3403 and 3223

2010-07-15 [r3541]  sauravg:

	* OpenOffice style text import dialogs, which support import
	  preview

2010-07-14 [r3540]  c-273:

	* Update release notes

2010-07-14 [r3539]  c-273:

	* Fix 3028926

2010-07-14 [r3538]  c-273:

	* Fix 3029576 - user specified backup directory

2010-07-14 [r3537]  c-273:

	* Finally fix 3006125 - thanks to Gil for testing each attempt
	  using his numerous test cases

2010-07-11 [r3536]  ronys:

	* wxWidgets: work on Version info

2010-07-11 [r3535]  sauravg:

	* Missed in earlier commits

2010-07-11 [r3534]  sauravg:

	* Added build phases for generating src/ui/wxWidgets/version.h and
	  corelib/corelib_st

2010-07-11 [r3533]  ronys:

	* Murphy

2010-07-11 [r3532]  pm_kan:

	* fixes for Linux build (gcc 4.4.4) - max macro is undefined, use
	  MAX macro instead - define x86_64 as LITTLE_ENDIAN - va_list
	  variables should be reset (va_end && va_start) after using,
	  otherwise I have segfault in StringX.cpp:Format - different types
	  (size_t != unsigned int) in declaration and implementation
	  pws_os::asctime - const function modifiers - slackBuild script
	  added

2010-07-11 [r3531]  sauravg:

	* Changes to build pwsafe on OSX

2010-07-11 [r3529-3530]  sauravg:

	* Fixed linux build due to prototype prototype changes in os/run.h

	* Some OSX build specific changes

2010-07-11 [r3527-3528]  sauravg:

	* Some recent changes to member prototypes

	* Changes for building on OSX

2010-07-11 [r3526]  sauravg:

	* OS specific files for mac osx

2010-07-11 [r3525]  c-273:

	* Tidy up after using cppcheck

2010-07-10 [r3524]  c-273:

	* Fix issue with display subset of password dialog being opened
	  when database is locked

2010-07-10 [r3523]  sauravg:

	* Xcode project file. Has machine/user specific compiler and linker
	  settings right now

2010-07-09 [r3522]  sauravg:

	* Prompt user to save the current DB before opening another one

2010-07-08 [r3521]  c-273:

	* Implement FR 3022827

2010-07-08 [r3520]  sauravg:

	* A recent conversation about how to open/close databases and
	  update the UI

2010-07-08 [r3519]  sauravg:

	* Donot try to verify the consistency of elements between core and
	  UI, which is invariably inconsistent while deleting items

2010-07-08 [r3518]  sauravg:

	* Made the compiler settings same as src/ui/wxWidgets/Makefile

2010-07-08 [r3517]  sauravg:

	* Fixed warning caused by last commit

2010-07-08 [r3516]  sauravg:

	* Stabilized addition/removal of entries

2010-07-08 [r3515]  c-273:

	* Add html version of ReleaseNotes.txt

2010-07-07 [r3514]  ronys:

	* wxWidgets: fork after starting up to release command line prompt
	  (but not in debug build)

2010-07-07 [r3513]  ronys:

	* wxWidgets: About dlg works on non-development platform, tweaks to
	  .deb make

2010-07-07 [r3512]  sauravg:

	* Fixed makefile rule to generate version.h. Also removed a
	  spurious warning running custom rules

2010-07-07 [r3511]  sauravg:

	* Specify makefile targets and dependencies with relative paths
	  since they don't reside in the same directory as the makefile
	  itself,

2010-07-06 [r3510]  ronys:

	* wxWidgets: no longer needs bitmap files at runtime, and can now
	  save newly created dbase.

2010-07-06 [r3509]  sauravg:

	* Added some recent files to project

2010-07-06 [r3508]  ronys:

	* Man page is a bit less inaccurate.

2010-07-05 [r3507]  ronys:

	* First hack at creating a .deb package

2010-07-05 [r3506]  c-273:

	* Fix (most) VS2005 compiler warnings in wxWdiget build.

2010-07-04 [r3505]  ronys:

	* wxWidgets: murphy - Linux build OK now

2010-07-04 [r3504]  ronys:

	* wxWidgets: cont. last commit, Linux build broken

2010-07-04 [r3503]  ronys:

	* wxWidgets: Cleanup errors for Windows build (per dk's report).

2010-07-04 [r3502]  c-273:

	* Update wxWidgets VS2005 project file

2010-07-03 [r3501]  ronys:

	* wxWidgets: fixed duplicate #define warning

2010-06-30 [r3494]  sauravg:

	* Implemented MRU files support. Also corrected the functionality
	  of "Clear Recent Safe List" item under File menu

2010-06-28 [r3493]  c-273:

	* Enable Save if user changes the database passphrase. Remove
	  duplicate accelerators in right-click entry menu (T is not only
	  for Autotype, X is now for "Export Entry To")

2010-06-23 [r3492]  c-273:

	* Fix bug 3010926.

2010-06-17 [r3491]  c-273:

	* Update documentation for ast commit.

2010-06-17 [r3490]  c-273:

	* Fix 3011972 by doing more checking during creating recent entry
	  menu items on System Tray menu

2010-06-17 [r3489]  c-273:

	* Hidden trace found and changed

2010-06-17 [r3488]  ronys:

	* removed TRACE from Linux build, pws_os::Trace should be used
	  directly.

2010-06-17 [r3487]  c-273:

	* Implement FR: 3017535

2010-06-17 [r3486]  ronys:

	* Finished up last fix plus some cosmetics plus documentation plus
	  some compile-time checks to try and track down the clipboard
	  cleaing intermittent

2010-06-17 [r3485]  ronys:

	* [3016803] Fixed silly off-by-one error that caused a crash when
	  comparing similarly named aliases.

2010-06-17 [r3484]  c-273:

	* Missed some TRACE statements in previous commit

2010-06-17 [r3483]  c-273:

	* Change pws_os::trace to always prefix text with a timestamp.
	  Change PWUil::GetTimeStamp to be re-entrant (otherwise false
	  values returned) Change Windows MFC build to use only
	  pws_os::trace (not MFC TRACE)

2010-06-17 [r3482]  c-273:

	* Change PasswordSafe's Windows messages names to show they are
	  ours and not standard ones

2010-06-17 [r3481]  c-273:

	* Finally fix: 3006125

2010-06-14 [r3480]  ronys:

	* Delay for at least 0.2S after typing a tab, to allow the dust to
	  settle down. As discussed between Larry & dk

2010-06-13 [r3479]  c-273:

	* Fix 3009130 - changes to an entry's password policy are now saved

2010-06-12 [r3478]  c-273:

	* Fix crash when locked via the System Tray - 3010541, 3013981,
	  3011972

2010-06-12 [r3477]  c-273:

	* Fix window being shown automatically when use just unlocks
	  database (error introduced in last commit)

2010-06-10 [r3476]  c-273:

	* Fix crash 3011972 & 3006125 (related areas). Move view-type code
	  into MainView + some performance tweaks especially during open.
	  Will make available to crash affected users for further testing
	  and fix confirmation.

2010-06-08 [r3475]  ronys:

	* 3013199 - no longer hangs in PWSprefs::ImportOldPrefs - thanks to
	  anonymous bug submitter.

2010-06-04 [r3474]  c-273:

	* Implement FR: 3011546 "autotype" can now be added to the List
	  View via the Column Picker

2010-05-31 [r3472-3473]  c-273:

	* Update ReleaseNotes for previous commit

	* Ensure Save toolbar and menu item are enabled when a database
	  preference has been changed

2010-05-30 [r3471]  ronys:

	* Update to Simplified Chinese help text + UI nit from Freedoctor

2010-05-28 [r3470]  c-273:

	* Fix BR: 3008203

2010-05-26 [r3469]  c-273:

	* Fix BR: 3006069 - Autotype will fail if user specifies Minimize
	  after AutoType and Lock on Minimze (MainEdit) Fix SR: 2957038 -
	  Cursor goes missing if D&D started and not completed (fix
	  supplied by pm_kan) (PWTreeCtrl) Bump version to 3.22.1

2010-05-24 [r3468]  karlo_vdg:

	* "danish" is OK now (1040 > 1030)

2010-05-24 [r3467]  sauravg:

	* The activity timer should be one-shot

2010-05-23 [r3466]  ronys:

	* Tweak release process - added svn-tag target

2010-05-21 [r3464]  sauravg:

	* Pass wxDefaultSize while creating the tree and grid views. This
	  also seems to result in much better resizing behavior in that the
	  scrollbar doesn't hide while resizing to a smaller size than the
	  views were created with

2010-05-21 [r3463]  sauravg:

	* Instead of hard-setting the grid and tree sizes while activating
	  them, call sizer's layout. This results in better behavior during
	  subsequent resizing. And only do this after showing the views,
	  not before.

2010-05-21 [r3462]  sauravg:

	* GUI info should be saved/restored while locking/unlocking

2010-05-21 [r3461]  ronys:

	* Tweaks to Swedish text from Bjorne + prep for 3.22 release

2010-05-20 [r3460]  ronys:

	* Fix Add/Edit date-time propsheet for Swedish text + update to
	  Swedish po file from Bjorne

2010-05-20 [r3459]  ronys:

	* Documented the group-deletion bugfix.

2010-05-19 [r3458]  sauravg:

	* Added some code to save/restore the gui (not integrated yet)

2010-05-18 [r3457]  ronys:

	* Update Swedish translation for 3.22, thanks to Bjorne

2010-05-17 [r3456]  c-273:

	* Fix bug 2957933 (many thanks to Andrey's (pm_kan) analysis of he
	  issue).

2010-05-17 [r3455]  sauravg:

	* Added note about dependency on gmake 3.81 or newer

2010-05-16 [r3454]  ronys:

	* Update of French translation to 3.22 by Francois

2010-05-14 [r3452]  sauravg:

	* Clear/reload db data while locking/unlocking

2010-05-12 [r3451]  ronys:

	* wxWidgets: Added support for ExplorerTypeTree preference in
	  Manage->Options->Display (need to add refresh to tree view if
	  this changes)

2010-05-12 [r3450]  sauravg:

	* Honor "Put Groups first in Tree view" setting

2010-05-12 [r3449]  sauravg:

	* et icons for system tray menu, but they still don't show up on
	  ubuntu 9.10 even after I've checked "Show icons in menus" in
	  System -> Preferences -> Appearance -> Interface

2010-05-12 [r3448]  sauravg:

	* Expand/Collapse groups items on doubleclick

2010-05-12 [r3447]  sauravg:

	* Keep the treeview sorted

2010-05-11 [r3446]  c-273:

	* During Compare of databases, update the toolbar after copying
	  entries across from the comparison database

2010-05-11 [r3445]  pm_kan:

	* Russian messages for NSIS installer

2010-05-11 [r3444]  ronys:

	* tweak help file, update Danish texts, add Danish installation
	  texts

2010-05-11 [r3443]  sauravg:

	* Adding CodeLite projects and workspace for pwsafe

2010-05-10 [r3442]  karlo_vdg:

	* English help file for Version 3.22

2010-05-10 [r3441]  pm_kan:

	* Russian .po file for 3.22 (rev. 3440)

2010-05-10 [r3440]  karlo_vdg:

	* extended NSI script for Danish Installation

2010-05-10 [r3438-3439]  ronys:

	* Fixed nit with Danish po

	* updated pos for 3.22

2010-05-09 [r3437]  ronys:

	* Preference migration passes internal QA. Bumped version to 3.22,
	  in preparation for pre-release.

2010-05-09 [r3436]  ronys:

	* Started QA of the new directory setup.

2010-05-06 [r3434-3435]  c-273:

	* Add new C++ header to wxWidgets VS build + additional library for
	  PathFileExists function

	* Use correct pre-processor variable for determining the result
	  from pws_os::getuserprefsdir() in Release/Debug builds

2010-05-06 [r3433]  sauravg:

	* Fixed a typo

2010-05-05 [r3432]  ronys:

	* Default dir for databases now CSIDL_PERSONAL\My Safes on Windows
	  (except U3), and ~/.pwsafe on Linux. Directory's created if
	  !exists.

2010-05-05 [r3431]  sauravg:

	* Implemented handling of dynamically generated system tray menu
	  items

2010-05-04 [r3430]  karlo_vdg:

	* English and German help files: No "Confirm deletion of items" in
	  miscellaneous Tab anymore

2010-05-04 [r3429]  ronys:

	* More progress on migrating migration - WIP.

2010-05-03 [r3428]  ronys:

	* Work on prefs file migration - work-in-progress

2010-05-02 [r3427]  ronys:

	* More updates to Danish translation from Rejmond

2010-04-29 [r3426]  ronys:

	* [2994118] Swedish version no longer crashes when checking for
	  latest version. Both a translation problem (font color directive
	  mistakenly translated) and missing error handling in
	  RichEditCtrlExtn.

2010-04-29 [r3424-3425]  c-273:

	* Update attributes

	* Fix wxWidgets minor typo and update VS2005 project file for
	  recent addition of RUEList files.

2010-04-29 [r3422-3423]  sauravg:

	* Can display the Recent History menu in system tray (unhandled
	  right now)

	* Fixed memory leaks pointed out by David

2010-04-29 [r3421]  sauravg:

	* wxIconizeEvent::IsIconized() => Iconized(), so it can build with
	  wx 2.8.10

2010-04-29 [r3420]  sauravg:

	* Fixed a positioning problem with treevie

2010-04-28 [r3419]  karlo_vdg:

	* help file (German) for revision 3418

2010-04-28 [r3418]  karlo_vdg:

	* help file (German) for revision 3417

2010-04-28 [r3417]  ronys:

	* Update to danish translation + Makefile tweak

2010-04-28 [r3416]  sauravg:

	* Fixed some issues clearing core's data while closing the file
	  from menu/lock

2010-04-28 [r3415]  sauravg:

	* Added remaining systray menu items, except for RUE list

2010-04-27 [r3414]  ronys:

	* don't offer to delete a filter justt because we couldn't validate
	  it.

2010-04-27 [r3413]  ronys:

	* corrected comment re missing filter xsd file + rephrasing error
	  message in user's terms

2010-04-27 [r3412]  ronys:

	* Correct name of Danish dll

2010-04-27 [r3411]  sauravg:

	* Imported RUEList.{cpp,h} into wxWidgets, and implemented some
	  more of the system tray menu items

2010-04-26 [r3410]  ronys:

	* Fixed timing related bug in ResText - a bit of an overkill
	  (vector and for_each not really needed), but as a bonus, runs
	  *much* faster now

2010-04-26 [r3409]  c-273:

	* Update FormatV3.txt

2010-04-26 [r3408]  sauravg:

	* Made the pwsafe autolock feature work more like windows, but its
	  still incomplete

2010-04-25 [r3407]  ronys:

	* Added 1st hack at Danish translation, thanks to Rejmond Jensen

2010-04-23 [r3406]  c-273:

	* Ensure all "startup" Windows can be seen on Taskbar

2010-04-23 [r3405]  c-273:

	* Tweak Validate menu text and make it only availble if no database
	  is currently open

2010-04-22 [r3404]  c-273:

	* 2990609 Clicking to rename entries is now disabled when database
	  is read-only

2010-04-22 [r3403]  c-273:

	* Fix 2990734 "delete history" does not activate OK Button and
	  remove obsolete preference from Options property page

2010-04-22 [r3402]  karlo_vdg:

	* German help file, and resource adaptation for long German text

2010-04-22 [r3401]  karlo_vdg:

	* German help file, and resource adaptation for long German text

2010-04-21 [r3400]  c-273:

	* Remove confusing ampersand

2010-04-21 [r3399]  c-273:

	* wxWidgets now compiles (with warnings) on Windows under VS2005

2010-04-21 [r3398]  ronys:

	* Fixed the mysterious case of the disappearing database

2010-04-20 [r3397]  ronys:

	* Minor cleanups, documentation fixes. Preference migration text in
	  PasswordSafe3.rc2 *not* final.

2010-04-20 [r3396]  c-273:

	* Remove incorrect comment

2010-04-19 [r3395]  c-273:

	* Restore correct group display after restore after idle minimize

2010-04-19 [r3394]  c-273:

	* Ensure the correct autoload_filters.xml is loaded if user is not
	  using the local APPDATA directory

2010-04-19 [r3393]  c-273:

	* Fix filter export of EntryType and EntryStatus

2010-04-16 [r3392]  c-273:

	* Remove 60 MS compiler warnings about unreferenced formal
	  parameter. Change variable name (event -> evt [already used in
	  some code] to remove conflict with MS Windows class of same name.

2010-04-16 [r3390-3391]  sauravg:

	* Minor typo

	* perl's rename doesn't seem to work across fielsystem boundaries,
	  use File::Copy instead

2010-04-15 [r3389]  ronys:

	* Shut up some compiler warnings on wx build on Windows.

2010-04-15 [r3388]  c-273:

	* Implement use of user's Local APPDATA directory for configuration
	  file

2010-04-14 [r3387]  karlo_vdg:

	* german text for revision 3384 (complete)

2010-04-14 [r3386]  ronys:

	* Finish off last commit - MultiCommands::ResetSavedState now
	  applies on self as well as all children commands.

2010-04-14 [r3385]  ronys:

	* Make Command::ResetSavedState virtual, so that MultiCommand can
	  override it properly

2010-04-11 [r3384]  pm_kan:

	* Russian .po file (rev. 3383)

2010-04-09 [r3383]  c-273:

	* Fix 2984527 Idle Timer setting not retained

2010-04-08 [r3382]  c-273:

	* Tidy up date filter dialog

2010-04-08 [r3381]  c-273:

	* Call Command::ResetSavedState in the right places - even if it
	  still doesn't work as designed! :-(

2010-04-08 [r3380]  c-273:

	* Change field containing persistent Recently Used Entries in the
	  database header plus update notes.

2010-04-08 [r3379]  sauravg:

	* Honor user's settings about using the system tray at all

2010-04-07 [r3378]  c-273:

	* Add relative dates to filters.

2010-04-05 [r3377]  ronys:

	* wxWidgets: tweak last commit + squash a compiler warning

2010-04-05 [r3376]  sauravg:

	* Need to define _stscanf ourselves for it to build on linux.

2010-04-03 [r3375]  c-273:

	* Make RUE persistent. Minor variable name changes. Fix toolbar
	  buttons enabled ig group selected at startup (first entry). Add
	  new "Select Entry" menu item to RUE menu list.

2010-04-01 [r3374]  c-273:

	* Fix bug 2977941 - password expiry field update during edit

2010-04-01 [r3373]  c-273:

	* Implement FR 2979411: A single entry can now be exported to a
	  text or XML file via the Edit menu or right-click context menu.

2010-04-01 [r3372]  c-273:

	* Tidy up some code and deal with no write permission to DB
	  directory that previously prevented PWS ending.

2010-04-01 [r3371]  sauravg:

	* Verify the passphrase before restoring from system tray. And
	  clear the clipboard before disappearing

2010-04-01 [r3370]  sauravg:

	* Hide the app after PWSprefs::IdleTimeout seconds and display a
	  taskbar icon. Remove the icon on being restored. Todo: Locking
	  the app on IdleTimeout

2010-03-26 [r3369]  c-273:

	* Redo last fix a bit better!

2010-03-26 [r3368]  c-273:

	* Fix setting of expiry date to be any date from now.

2010-03-24 [r3367]  sauravg:

	* Minimize to system tray on clicking the system close button

2010-03-20 [r3366]  c-273:

	* Update developers read me - SDK and Xerces XML libraries.

2010-03-17 [r3365]  c-273:

	* Fix string entries from registry

2010-03-17 [r3363-3364]  ronys:

	* wxWidgets: continue last commit

	* wxWidgets: Forgot to commit this - oops

2010-03-17 [r3362]  c-273:

	* Support Request: 2971604 (allow changing base password when
	  editing alias)

2010-03-17 [r3361]  sauravg:

	* Avoid redundant initializations of global variables

2010-03-14 [r3360]  c-273:

	* Remove old wxWidgets project file

2010-03-14 [r3359]  c-273:

	* Deal with developers who only want MFC builds and may not
	  have/need Perl

2010-03-13 [r3358]  c-273:

	* Nearer to wxWidgets on Windows using VS2005

2010-03-12 [r3357]  ronys:

	* wxWidget: last commit builds cleanly

2010-03-12 [r3356]  ronys:

	* refactor registry-related stuff to support wx over Windows

2010-03-12 [r3355]  ronys:

	* Also works correctly when argument contains a path, i.e., input
	  file's not in current directory.

2010-03-11 [r3354]  ronys:

	* cleanup towards wx build under Windows

2010-03-11 [r3353]  ronys:

	* Tweaks & nits - mainly to fix "" -> \"

2010-03-11 [r3352]  ronys:

	* tweak os/windows/sleep.cpp (nits)

2010-03-11 [r3351]  ronys:

	* One warning less (gcc)

2010-03-11 [r3350]  c-273:

	* A couple of changes to stop the compiler whinging in non-MFC
	  under VS.

2010-03-10 [r3349]  c-273:

	* Make C++ Header file #ifndefs consistent throughout solution

2010-03-10 [r3348]  c-273:

	* MFC now builds after sleep change

2010-03-10 [r3347]  ronys:

	* Nit

2010-03-10 [r3346]  ronys:

	* wxWidgets: Finished autotype code refactoring.

2010-03-10 [r3345]  ronys:

	* Cleanup some windows-specific includes for wxWidgets build

2010-03-10 [r3344]  ronys:

	* wxWidgets: os now compiles again after last changes

2010-03-10 [r3343]  ronys:

	* Finished refactoring autotype code to maximize cross-platform
	  code reuse - unbuilt/untested on wxWidgets (yet)

2010-03-09 [r3342]  ronys:

	* wxWidgets: constification w/o const_cast

2010-03-09 [r3341]  ronys:

	* constification take 2 (kinder & gentler)

2010-03-09 [r3340]  ronys:

	* wxWidgets: Builds again after penultimate changes

2010-03-09 [r3339]  ronys:

	* Match c'tor initialization order to member declaration order to
	  keep gcc happy.

2010-03-09 [r3338]  ronys:

	* Refactor some autotype code for sharing between ui-s, plus some
	  constification

2010-03-09 [r3337]  c-273:

	* Remove duplicate entry in help project file

2010-03-09 [r3336]  ronys:

	* wxWidgets: Moves sleep_ms from corelib to os, reimplemented using
	  nanosleep instead of deprecated usleep.

2010-03-09 [r3335]  ronys:

	* Won't crash when formatting IDSC_IMPORTRECNOTFOUND error message
	  (why doesn't MSVC warn about this?)

2010-03-07 [r3334]  c-273:

	* Fix issue with selecting text in CEditExtn + minor formatting
	  nits elsewhere

2010-03-05 [r3333]  c-273:

	* Variable naming nit

2010-03-04 [r3332]  c-273:

	* Redo last commit but for Text import this time. Change order of
	  import commands so that the GUI refreshes are last for redo.

2010-03-04 [r3331]  c-273:

	* Ensure display is refreshed after an undone import is redone.

2010-03-04 [r3330]  c-273:

	* Add size checking to open/import and also to filters

2010-03-04 [r3329]  c-273:

	* [2962916] Save toolbar button only enabled if database is R/W and
	  has been changed since last saved.

2010-03-04 [r3328]  c-273:

	* [2962847] Fix password length checking to be between 4 and 1024
	  during menu Generate Password option & Password Policy setting as
	  per previous releases.

2010-03-03 [r3327]  c-273:

	* Allow use to select external editor for Notes field in Add/Edit
	  dialog (also previous commit)

2010-03-03 [r3325]  c-273:

	* usleep not implemented in Windows

2010-03-03 [r3321-3324]  c-273:

	* Fix XML import when UUIDs are not unique in import file

	* Add title to Reporter

	* External Editor activates Apply/OK buttons in Edit

	* Formatting nits

2010-03-03 [r3320]  sauravg:

	* Added AutoType for linux

2010-02-28 [r3319]  karlo_vdg:

	* German for revision 3317

2010-02-28 [r3318]  c-273:

	* Fix [2960709] Entry selected prior to workstation locking is
	  reselected on being restored after unlocking the workstation.

2010-02-27 [r3317]  karlo_vdg:

	* Install with shortcut to "foreign" help file and (optional)
	  shortcut for deinstallation. The initial dialog is translated
	  too.

2010-02-26 [r3316]  c-273:

	* Put menu bitmaps on the CompareResults dialog context menu

2010-02-25 [r3315]  c-273:

	* [2957185] Add Synchronize function to the menu options during
	  review of the results of a Compare database operation.

2010-02-25 [r3314]  c-273:

	* Add copy entry via Compare Results dialog now via Command to be
	  covered by Undo/Redo

2010-02-24 [r3313]  c-273:

	* Add hint that a context menu is available in the Compare Results
	  dialog (Tooltip not appropriate here)

2010-02-23 [r3312]  c-273:

	* Validate fields with excessive text that can't be displayed by
	  GUI. Deal with edit/view of these entries. To test, set
	  MAXTEXTCHARS in DboxMain.h to a low value (e.g. 50)

2010-02-23 [r3311]  c-273:

	* Nit on a nit (fix until next commit)

2010-02-23 [r3310]  c-273:

	* Nits

2010-02-22 [r3309]  c-273:

	* Allow easier database validation via the command line (Help would
	  need updating) - see comment in update.

2010-02-22 [r3308]  pm_kan:

	* Russian .po file (rev. 3307)

2010-02-22 [r3307]  ronys:

	* Fixed typo that broke Linux build.

2010-02-22 [r3306]  karlo_vdg:

	* German po file (rev 3305)

2010-02-21 [r3305]  c-273:

	* Reset command line validate flag if user changes the database at
	  OpenOnInit time.

2010-02-21 [r3304]  c-273:

	* Allow Validate of databases from the menu.

2010-02-20 [r3303]  c-273:

	* Backout last change to schema

2010-02-19 [r3302]  c-273:

	* Minor update

2010-02-19 [r3301]  c-273:

	* Improve XML error reporting

2010-02-18 [r3300]  ronys:

	* streamline GTU-uniqueness code a bit

2010-02-18 [r3299]  ronys:

	* Clearer error message for the casual user

2010-02-17 [r3298]  c-273:

	* Fix XML import with Expat

2010-02-17 [r3297]  c-273:

	* nit

2010-02-17 [r3296]  c-273:

	* Fix GTU not unique (D&D from PWTreeCtrl not yet started) - WIP

2010-02-17 [r3295]  c-273:

	* Remove ASSERT - can happen if user "undoes" a validate and there
	  is no previous GUI state

2010-02-17 [r3294]  c-273:

	* Fix ASSERT if no item selected during menu processing.

2010-02-17 [r3293]  ronys:

	* Recursive group delete fixed. Now deletes all subgroups
	  correctly, and is quicker to boot!

2010-02-16 [r3292]  c-273:

	* Fix CompareResults dialog context menu.

2010-02-15 [r3291]  c-273:

	* Fix [2897661, 2779654]

2010-02-15 [r3290]  c-273:

	* Change memset for clearing memory - back to hex.

2010-02-15 [r3289]  c-273:

	* Fix shortcut issues and bump to 3.21.1

2010-02-15 [r3288]  c-273:

	* Nits - second parameter of memset is an integer

2010-02-15 [r3287]  c-273:

	* Nit in rev. 3285

2010-02-15 [r3286]  ronys:

	* Updated PAD file for 3.21 (slipped official release).

2010-02-14 [r3285]  c-273:

	* Restore group display status over Lock/Restore

2010-02-14 [r3284]  c-273:

	* Remove Minimize on SystemTray menu if already locked (disable
	  didn't work, so need to remove)

2010-02-14 [r3283]  c-273:

	* Nits + ensure PO file headers are OK for ResText program Make
	  Russian PO file have consistent end-of-lines (CRLF) Remove
	  unneeded strings

2010-02-14 [r3281]  ronys:

	* Can now restore locked database when PasskeyEntry dialog was
	  opened when lock event occured.

2010-02-13 [r3280]  ronys:

	* Final 3.21 Update to French translation by Francois

2010-02-12 [r3279]  ronys:

	* Update to French translation by Francois

2010-02-11 [r3278]  ronys:

	* DboxMain::GetAndCheckPassword slightly less confusing

2010-02-11 [r3277]  ronys:

	* Don't lock app when no db's open

2010-02-10 [r3276]  c-273:

	* Should set length of WINDOWPLACEMENT structure before use (c.f.
	  other calls in PWS)

2010-02-10 [r3275]  ronys:

	* System tray popoup menu Restore command enabled/disabled
	  correctly now

2010-02-10 [r3274]  ronys:

	* No longer ASSERTs when invoked with -s

2010-02-10 [r3273]  ronys:

	* minor cleanup

2010-02-09 [r3272]  ronys:

	* minor cleanups

2010-02-09 [r3271]  ronys:

	* Update to French translation from Francois

2010-02-09 [r3270]  c-273:

	* Complete display problem tidy-up

2010-02-09 [r3269]  ronys:

	* Inching forward to 3.21 formal release

2010-02-09 [r3268]  ronys:

	* Removed code that flipped on username display if sibling node and
	  leaf shared name - underlying problem fixed. (res strings to be
	  cleaned up post-release)

2010-02-08 [r3267]  c-273:

	* Add changes to default user when creating shortcut to commands.
	  Tidy up checking GetPref which is returns bool not BOOL Tidy up
	  ControlExtns header.

2010-02-08 [r3266]  ronys:

	* cleanup of last commit

2010-02-08 [r3265]  ronys:

	* Support sibling node and leaf with same name, protect against
	  renaming node to same name as sibling node

2010-02-08 [r3264]  ronys:

	* minor cleanup

2010-02-07 [r3263]  ronys:

	* nits

2010-02-07 [r3262]  ronys:

	* Undo of Import commands working again

2010-02-07 [r3261]  ronys:

	* Another update to 3.21 Chinese translation from Freedoctor

2010-02-06 [r3260]  ronys:

	* minor cleanups

2010-02-06 [r3259]  ronys:

	* 1. Move ASSERT to correct location. 2. Optimized
	  DboxMain::GetEntryImage 3. Added missing SetChanged(true) in
	  AddEdit_DateTimes.

2010-02-06 [r3258]  pm_kan:

	* Russian i18n for 3.21 (till rev. 3257)

2010-02-05 [r3257]  ronys:

	* Swedish translation updated by Bjorne

2010-02-05 [r3256]  ronys:

	* Hide open dboxes when locking via WTS events w/systray

2010-02-05 [r3255]  ronys:

	* Update to Chinese translation from Freedoctor

2010-02-04 [r3254]  karlo_vdg:

	* German without 'Umlaut' (2)

2010-02-04 [r3253]  ronys:

	* (1) Shortcut's now created under specified group (2) Renaming a
	  shortcut via edit dbox doesn't crash

2010-02-04 [r3252]  ronys:

	* Merge with dependents working again

2010-02-04 [r3251]  ronys:

	* Element changes update tree display again

2010-02-04 [r3250]  ronys:

	* Update display correctly when entry's group is changed via edit
	  box

2010-02-04 [r3249]  karlo_vdg:

	* German without 'Umlaut'

2010-02-04 [r3248]  karlo_vdg:

	* German help file including failsafe backup English help files
	  consistent with menu items German wording for revision 3245

2010-02-04 [r3247]  ronys:

	* Undoing unaliasing an entry no longer crashes app.

2010-02-04 [r3246]  ronys:

	* Minor cleanups

2010-02-03 [r3245]  ronys:

	* Lock on logout via WTS event w/o systray now works correctly -
	  minimize, not hide. Also renamed SessionNotification ->
	  RegisterSessionNotification for clarity.

2010-02-03 [r3244]  ronys:

	* Reverted IDS_MUSTHAVEUSERNAMES3 text to value in published .po
	  files - also avert crash in MainEdit.cpp Revert back and fix
	  crash after 3.21 formal release (#ifdef NOTYET)

2010-02-03 [r3243]  ronys:

	* Murphy.

2010-02-03 [r3242]  c-273:

	* Fix bug 2941828

2010-02-03 [r3241]  c-273:

	* Refactor last commit - reduce code

2010-02-02 [r3240]  c-273:

	* Fix display problem if group renamed, usernames not displayed and
	  the new group has same title as a sibling entry.

2010-02-02 [r3239]  ronys:

	* Disambiguation.

2010-02-02 [r3238]  ronys:

	* Update po files in preparation for 3.21

2010-02-02 [r3237]  ronys:

	* Tweak last commit

2010-02-01 [r3236]  c-273:

	* Fix tree issue if entry and group have same name and usernames
	  are not displayed

2010-01-31 [r3235]  c-273:

	* HTML nits and update image with latest button captions.

2010-01-31 [r3234]  ronys:

	* Enable Edit Apply button if user clicks Generate for a new
	  Password.

2010-01-31 [r3233]  c-273:

	* Implement Apply function within Edit - i.e. save edits without
	  closing the dialog

2010-01-31 [r3232]  ronys:

	* "Recover" -> "Select"

2010-01-31 [r3231]  ronys:

	* [2940712] Dragging a group now drags along all its descendants,
	  even with "Save Immediate" preference set.

2010-01-31 [r3230]  ronys:

	* Integrate failsafebackups.html into .chm file, plus cleanup some
	  keywords.

2010-01-31 [r3229]  ronys:

	* Tweak Failsafe backup code & online help.

2010-01-31 [r3228]  c-273:

	* Change failsafe backup file extension

2010-01-30 [r3227]  c-273:

	* Change Emergency to Failsafe

2010-01-30 [r3226]  ronys:

	* typos

2010-01-30 [r3225]  c-273:

	* Update new help + very very minor tweaks

2010-01-30 [r3224]  c-273:

	* Make Tooltip processing consistent within project. Change Display
	  Emergency Backup dialog (again), add Tooltips and start of Help
	  file entry.

2010-01-29 [r3223]  c-273:

	* Fix delete question.

2010-01-29 [r3222]  c-273:

	* Minor tidy up to match new button captions etc.

2010-01-28 [r3221]  c-273:

	* Improve Emergency Backup dialog and add tooltips (translators
	  should hold off changing their strings until the dialog is
	  finalised)

2010-01-28 [r3220]  ronys:

	* Save a few bytes/lines of code.

2010-01-27 [r3219]  c-273:

	* Add date/time checking on emergency backup file names

2010-01-27 [r3218]  c-273:

	* Emergency fix for OpenOnInit. More to come but original
	  functionality restored

2010-01-27 [r3217]  ronys:

	* wxWidgets: delete groups working

2010-01-27 [r3216]  ronys:

	* wxWidgets: delete of base entries wrks

2010-01-27 [r3215]  ronys:

	* wxWidgets:corelib resource strings now loaded under Linux as well
	  - script generates std::map from rc2 file

2010-01-26 [r3214]  ronys:

	* wxWidgets: Implemented wx version of Asker and Reporter

2010-01-26 [r3213]  c-273:

	* Remove prompt to user when deleting a single entry (not a base
	  entry) now that they can use Undo

2010-01-26 [r3212]  c-273:

	* Fix long term bug in setting default button in CGeneralMsgBox
	  MessageBox

2010-01-26 [r3211]  ronys:

	* wxWidgets: more work on Delete (WIP)

2010-01-26 [r3210]  c-273:

	* Improve shutdown/logoff processing and add processing of
	  Emergency Backup files on Open.

2010-01-26 [r3209]  ronys:

	* wxWidgets: Create shortcut finally works

2010-01-25 [r3208]  c-273:

	* Remove extraneous statement when StopFind and DBModified
	  callbacks merged

2010-01-25 [r3207]  c-273:

	* Remove ES_DELETED from nearly everywhere as Undo/Redo has
	  replaced that functionality

2010-01-25 [r3206]  pm_kan:

	* Russian i18n for 3.21 (till rev. 3205)

2010-01-25 [r3205]  ronys:

	* wxWidgets: More work on Create Shortcut - still not there yet...

2010-01-24 [r3204]  c-273:

	* Fix menu issue introduced by rev. 3177

2010-01-24 [r3203]  karlo_vdg:

	* English help file jpg without "border"

2010-01-24 [r3202]  karlo_vdg:

	* German po file for revision 3201

2010-01-23 [r3201]  c-273:

	* corelib must be ANSI & UNICODE (except XML processing which is
	  always UICODE)

2010-01-23 [r3200]  c-273:

	* Update Developer's readme

2010-01-23 [r3199]  ronys:

	* Fixed incorrect argument to Format, plus some STL-correctness.

2010-01-23 [r3198]  ronys:

	* wxWidgets: compiles again after last cleanup

2010-01-22 [r3197]  c-273:

	* Forgot corelib must be ANSI & UNICODE

2010-01-22 [r3196]  ronys:

	* We're no longer in 3.20.1... Start 3.21 rolling.

2010-01-22 [r3195]  ronys:

	* Update pos, 1st step toward 3.21

2010-01-22 [r3194]  ronys:

	* Update to French .po by Jean Carfantan

2010-01-22 [r3193]  c-273:

	* Missed a bit in last commit

2010-01-22 [r3192]  c-273:

	* Move DB properties formatting to core as needed for recovery file
	  processing + cosmetic changes

2010-01-21 [r3191]  ronys:

	* cosmetics

2010-01-21 [r3190]  c-273:

	* Fix i18n on Properties dialog

2010-01-21 [r3189]  ronys:

	* wxWidgets: started work on create shortcut dlg

2010-01-21 [r3188]  ronys:

	* Cleanup, mainly entry edit flow.

2010-01-20 [r3187]  ronys:

	* Fixed bug uncovered in last commit: Editing shortcut (& undo)
	  updates maps correctly now.

2010-01-20 [r3186]  ronys:

	* wxWidgets: more work on EditShortcut - uncovered bug common to
	  Windows build.

2010-01-20 [r3185]  c-273:

	* Make F1 also show the correct help tabs info in property pages
	  (Add/Edit & Options)

2010-01-20 [r3184]  karlo_vdg:

	* add/edit 'header' in help file (English)

2010-01-19 [r3183]  c-273:

	* Update to show new help pages on clicking Help button in Add/Edit

2010-01-19 [r3182]  karlo_vdg:

	* help file for item 'generate password' in menu manage and
	  undo/redo in add/edit menu (English)

2010-01-19 [r3181]  karlo_vdg:

	* putting english add/edit help in four separate files for each tab

2010-01-19 [r3180]  ronys:

	* wxWidgets: more work on shortcut support

2010-01-19 [r3179]  karlo_vdg:

	* putting german add/edit help in four separate files for each tab

2010-01-18 [r3178]  ronys:

	* wxWidgets: compiles after previous commit

2010-01-18 [r3177]  ronys:

	* Some refactoring - wxWidgets build broken

2010-01-18 [r3176]  ronys:

	* wxWidgets: Inching towards alias/shortcut support, and list view
	  works again

2010-01-17 [r3175]  karlo_vdg:

	* help file for item 'generate password' in menu manage (German)

2010-01-17 [r3174]  ronys:

	* wxWidgets: File->New now functional

2010-01-17 [r3173]  ronys:

	* Updated README.DEVELOPERS.html

2010-01-17 [r3172]  ronys:

	* Moved DEFAULT_SUFFIX to corelib, for wxWidgets

2010-01-17 [r3171]  ronys:

	* MultiCommands now 'pure' again (convenience routines removed).

2010-01-17 [r3170]  ronys:

	* Minor code reshuffle.

2010-01-16 [r3169]  karlo_vdg:

	* images for help files (de+us) for sync, undo and redo

2010-01-16 [r3168]  ronys:

	* wxWidgets: compiles after last round of changes

2010-01-16 [r3167]  ronys:

	* Cleanup: Removed infamous MakeAddDependentEntry, plus other misc.

2010-01-16 [r3166]  ronys:

	* Removed now unneeded GUICmdIF & co.

2010-01-16 [r3165]  ronys:

	* minor cleanup b4 trying something a bit more ambitious

2010-01-16 [r3164]  ronys:

	* Yet more straightforward cleanup

2010-01-15 [r3163]  ronys:

	* More straightforward cleanup

2010-01-15 [r3162]  ronys:

	* Easy part of cleanup.

2010-01-15 [r3161]  ronys:

	* AliasBase delete & undelete now work. Lots of cleaning up to
	  do...

2010-01-14 [r3160]  c-273:

	* Fix [2931428] Password history now displayed correctly in
	  View/Edit.

2010-01-14 [r3159]  ronys:

	* Undelete of shortcut base now works again (post-refactoring)

2010-01-14 [r3158]  c-273:

	* Fix show Help when question mark bitmap on toolbar pressed.

2010-01-14 [r3157]  c-273:

	* Fix 2894100 - Window creep with taskbar at top of screen

2010-01-14 [r3156]  ronys:

	* Added PAD file

2010-01-14 [r3155]  ronys:

	* Ask base item delete confirmation prior to execution

2010-01-13 [r3154]  c-273:

	* Remember column width in OptionsShortcuts. Recognise mouse clicks
	  anywhere in shortcut field rather than only on text. Better
	  determine if the shortcuts have changed by user and so prompting
	  if they want to cancel the update.

2010-01-13 [r3153]  karlo_vdg:

	* sync, undo/redo and gen-pw functionality in help (german) menu
	  toolbar with undo/redo-sync buttons (german + english)

2010-01-13 [r3152]  c-273:

	* Fix problem changing password of a dependent base.

2010-01-13 [r3150-3151]  karlo_vdg:

	* german some grammatical corrections

	* adapted CONFIRMDELETE dialog for 2 row messages

2010-01-13 [r3149]  ronys:

	* Undelete of shortcut & alias now works correctly.

2010-01-12 [r3148]  ronys:

	* Deleting an alias or shortcut works again, post refactoring.

2010-01-12 [r3147]  c-273:

	* Improve Options->Shortcuts to get round problem found by Karlo

2010-01-12 [r3146]  ronys:

	* Renaming GUIUpdateEntry method to a more accurate
	  GUISetupDisplayInfo(), plus minor cleanup

2010-01-12 [r3145]  c-273:

	* Fix rev. 3141 plus consolidate common code used by Compare, Merge
	  & Synchronize Leave a prompt for Rony for later :-)

2010-01-12 [r3144]  ronys:

	* Minor refactoring.

2010-01-12 [r3143]  ronys:

	* Update base entry's graphic after adding shortcut, not before.

2010-01-12 [r3142]  ronys:

	* Refactoring Delete logic + merge with last commit.
	  Alias/shortcuts/bases NOT working at this stage - WIP

2010-01-11 [r3141]  c-273:

	* Do update DB preferences properly as a Command. Remove core
	  default Username (needs more testing) Still need to change
	  setting default username during Add processing via a Command to
	  allow Undo/Redo

2010-01-11 [r3140]  karlo_vdg:

	* German without mistakes; cut long (50) menu items in
	  option=>shortcut

2010-01-09 [r3139]  c-273:

	* Re-engineer how Help is called (buttons & F1) in main app and
	  property pages

2010-01-09 [r3138]  karlo_vdg:

	* german for 3.20.x synchronize, redo and undo

2010-01-08 [r3137]  c-273:

	* Fix issue when changing the displayed columns in List View and
	  then switching to Tree View.

2010-01-08 [r3136]  ronys:

	* Great svn property cleanup: Added svn:eol-style to all source
	  code, removed svn:executable where it didn't make sense

2010-01-07 [r3135]  c-273:

	* Start of fix for assertion when deleting groups

2010-01-07 [r3134]  ronys:

	* Happy 2010

2010-01-07 [r3133]  c-273:

	* Fix 2818401. Make generation of AutoType string in only one place
	  for ease of maintenance and minor GeneralMessage AddButton
	  tweaks.

2010-01-07 [r3132]  c-273:

	* Fix 2431438 & 1751462. Implement FR: 2616175. Minor
	  GeneralMessage AddButton changes

2010-01-07 [r3131]  ronys:

	* wxWidgets: merged trunk builds OK

2010-01-07 [r3130]  ronys:

	* Second and last part of command-> trunk merge

2010-01-04 [r3124]  c-273:

	* Remove superfluous include

2010-01-04 [r3123]  c-273:

	* Minor variable name changes - no logic changes/no functionality
	  changes

2010-01-04 [r3122]  c-273:

	* Re-instate AutoType via shortcut

2009-12-27 [r3104]  c-273:

	* [2921935] Dragbar now works in List view without needing the
	  mouse to activate.

2009-12-25 [r3101]  karlo_vdg:

	* german resource text for revision 3100

2009-12-24 [r3098]  c-273:

	* [2919319] Now able to use PasswordSafe to generator passwords as
	  per user defined policy from the Manage menu.

2009-12-24 [r3095]  ronys:

	* Calling ReportInvalidField will no longer crash app.

2009-12-24 [r3094]  ronys:

	* Nits

2009-12-24 [r3093]  ronys:

	* [2918849] Fixed icon no longer appearing in taskbar when locking
	  due to workstation lock and terminal services running. (pending
	  bug submitter's confirmation)

2009-12-24 [r3092]  ronys:

	* wxWidgets: Tree view now has image support - 1st step towards
	  supporting shortcuts + aliases

2009-12-24 [r3091]  ronys:

	* wxWidgets: Added xpm versions of tree view images

2009-12-22 [r3090]  ronys:

	* Integrated PWSFileSig into backup handling

2009-12-22 [r3089]  ronys:

	* Implemented PWSFileSig: A quick & dirty way to determine if a
	  file has changed (or if 2 files are equal) - will be used as a
	  sanity check before overwriting backups, per dk's suggestion.

2009-12-22 [r3088]  karlo_vdg:

	* Help files (en+de) for import/export notes updated (2)

2009-12-21 [r3087]  karlo_vdg:

	* Help files (en+de) for import/export notes updated for all fields

2009-12-21 [r3086]  ronys:

	* Database write error detection and handling now tested and
	  verified: Both failed fopen() and fwrite() scenarios simulated.

2009-12-21 [r3085]  ronys:

	* wxWidgets: Now compiles cleanly once more under Linux

2009-12-21 [r3084]  ronys:

	* Removed use of non-standard syntax, should compile cleanly on
	  non-Microsoft compilers again.

2009-12-20 [r3083]  ronys:

	* _writecbc exception handling mechanism tested.

2009-12-19 [r3082]  ronys:

	* Detect write errors - coded, not fully tested.

2009-12-18 [r3081]  ronys:

	* Detect write errors - work in progress

2009-12-17 [r3080]  c-273:

	* [2916338] "Edit Base entry" now works for Alias entries as well
	  as for Shortcuts.

2009-12-16 [r3079]  c-273:

	* Put all password related fields when editing an alias entry in
	  read-only mode as they are the base's values.

2009-12-16 [r3077]  c-273:

	* Stop 'Save immediately after Add and Edit' deleting a newly
	  created group before the user can use it!

2009-12-13 [r3075]  c-273:

	* [2913440] Do last commit a bit better!

2009-12-13 [r3074]  c-273:

	* [2913440] Copy/Send Email menu items now correctly activated if
	  email field is set or 'mailto:' used in URL field.

2009-12-12 [r3073]  c-273:

	* Properly fix [2912177].

2009-12-11 [r3070-3072]  c-273:

	* [2912177] Restore 'Add Group' menu item to context menu when
	  clicking on an entry.

	* Bump to 3.20.1

	* Tidy up project file after toolbar bitmaps moved directories ages
	  ago

2009-12-10 [r3068]  c-273:

	* Remove unnecessary typedef

2009-12-10 [r3067]  c-273:

	* Another tweak

2009-12-09 [r3066]  c-273:

	* Fix WTS & DbgHelp under Win2K plus update message if language DLL
	  not up-to-date

2009-12-07 [r3060]  ronys:

	* [2909953] - PWS_PW_MODE = NORMAL handling was broken

2009-12-06 [r3059]  karlo_vdg:

	* help file (en + de) version 3.20 last changes

2009-12-06 [r3058]  karlo_vdg:

	* help file (de) version 3.20 last changes

2009-12-06 [r3057]  ronys:

	* [2894890] - Fixed documentation of '-s' command line argument.

2009-12-06 [r3056]  c-273:

	* In Tree view, ignore mouse clicks not on an= group or entry

2009-12-06 [r3055]  c-273:

	* Remove leading ampersand from Yes/No in ManageFiltersDlg.cpp

2009-12-06 [r3054]  ronys:

	* Lock on idle timer now works correctly when set to 1 minute. Also
	  removed mutex on idle timer counter, even though a race condition
	  is technically possible, since it's really not worth the added
	  overhead (worse case, timer kicks in when it arguably shouldn't
	  have because of a millisec. or so - who cares?).

2009-12-06 [r3053]  karlo_vdg:

	* help file (en + de) uniform with version 3.20

2009-12-05 [r3052]  ronys:

	* Refactored user-event definition into ResetIdleLockCounter().
	  Added mutex to protect m_IdleLockCountDown from race condition,
	  but true "problem" turned out to be resolution of idle timer: The
	  timer ticks every minute, so setting the lockout interval to one
	  minute ensures that it'll kick in, regardless of user events. In
	  Real Life, where interval's > 1 minute, this is not an issue.
	  Will increase idle timer's rate in the next version.

2009-12-05 [r3051]  ronys:

	* Fixed restore after lock via workstation lock with !systray, plus
	  recognize more user event to prevent idle timeout from kicking in
	  with dboxopen

2009-12-05 [r3050]  ronys:

	* Fine-tune initial dialog box's focus: dbase field gets focus iff
	  it's empty.

2009-12-04 [r3049]  c-273:

	* Fix compare function bug.

2009-12-04 [r3048]  ronys:

	* Fixed issues with non-system-tray lock/minimize behavior

2009-12-03 [r3047]  ronys:

	* Inching towards 3.2o release.

2009-12-02 [r3046]  c-273:

	* Belt & braces/suspenders

2009-11-30 [r3045]  c-273:

	* [2906249] Columns order remembered after user changes it in List
	  view and fix display of icon in list view.

2009-11-30 [r3044]  c-273:

	* [2905961] ESC key now works in View when in RO mode.

2009-11-30 [r3043]  sauravg:

	* Added update UI notification handling for most command-ids

2009-11-29 [r3042]  ronys:

	* Split PWScore.cpp into PWScore.cpp and CoreImpExp.cpp (2 roughly
	  equal parts), just to make it more manageable.

2009-11-27 [r3041]  ronys:

	* Text import now works OK with non-English text.

2009-11-27 [r3040]  c-273:

	* Non-XML core not Unicode only.

2009-11-26 [r3039]  ronys:

	* "Restore" menu item in systray menu now active when locked via
	  idle timer (whew!). Changes to SystemTray.cpp are cosmetic,
	  actual fix is in DboxMain.cpp & MainView.cpp

2009-11-26 [r3038]  sauravg:

	* wxWidgets can't handle multiple toolbars, so wrapped the main
	  frame's horizontal sizer inside a vertical sizer. Now we just add
	  the searchbar to the vertical sizer to always show at the bottom
	  of the frame

2009-11-26 [r3037]  ronys:

	* French translation updated for 3.20 - thanks to Francois.

2009-11-24 [r3036]  ronys:

	* Commit Björn's 3.20 update to Swedish translation, + minor
	  cleanup of relnotes.

2009-11-24 [r3035]  sauravg:

	* Moved xpm files for wxWidgets port to their own directories

2009-11-22 [r3034]  pm_kan:

	* Russian i18n for 3.20 (till rev. 3033)

2009-11-21 [r3033]  ronys:

	* nano-Murphy

2009-11-21 [r3032]  c-273:

	* Fix error in validate

2009-11-21 [r3031]  ronys:

	* Get 3.20 release rolling. Minor refactoring of font handling in
	  tree/list view code.

2009-11-20 [r3030]  ronys:

	* Added pdb and map files to uploaded files in release process.

2009-11-20 [r3029]  sauravg:

	* Added the main toolbar

2009-11-20 [r3028]  sauravg:

	* Enabled context menu handling for menu key on the keyboard

2009-11-19 [r3027]  ronys:

	* 1. Change Save semantics back to renaming current db to backup
	  name followed by writing current db. 2. Update I18N po files.

2009-11-19 [r3026]  c-273:

	* Disable highlighting of deleted entries

2009-11-17 [r3025]  sauravg:

	* Hooked up some of the menus, but most of the handlers don't do
	  much yet

2009-11-17 [r3024]  sauravg:

	* Added right-click context menus, but not all menu items are
	  hooked to their handlers yet

2009-11-17 [r3023]  ronys:

	* Rephrase \z autotype description for users.

2009-11-16 [r3022]  c-273:

	* Implement Autotype field /z

2009-11-15 [r3021]  pm_kan:

	* Russian i18n (till rev. 3020)

2009-11-13 [r3020]  ronys:

	* wxWidgets: Implemented Options->System property sheet (prefs
	  only).

2009-11-13 [r3019]  ronys:

	* wxWidgets: Implemented Options->Security property sheet.

2009-11-13 [r3018]  ronys:

	* wxWidgets: Implemented Options->PasswordHistory property sheet
	  (sans tooltips and apply action).

2009-11-12 [r3017]  karlo_vdg:

	* German and English help files with JGP images only. All GIF
	  images gone.

2009-11-12 [r3016]  ronys:

	* wxWidgets: Implemented Options->PasswordPolicy property sheet.

2009-11-11 [r3015]  sauravg:

	* Use an ordered list for searching the treeview corelib/Util.h -
	  added a couple of utility functors for extracting the values from
	  iterators

2009-11-10 [r3014]  c-273:

	* [2895167] Dragbar tooltips changed to provide tailored
	  information for each image and reduce the amount of text.

2009-11-10 [r3013]  ronys:

	* wxWidgets: Undid changes mistakenly removed in 2995-2996

2009-11-10 [r3012]  karlo_vdg:

	* did some echoing. Helpful if processing is stuck (e.g. with an
	  "old" Tortoise)

2009-11-10 [r3011]  karlo_vdg:

	* translation 3.19.01 German (revision 3010)

2009-11-08 [r3010]  ronys:

	* wxWidgets: Options->Misc tab finished

2009-11-08 [r3009]  ronys:

	* Fixed DisplayInfo deallocation - now done correctly, C++-wise.

2009-11-07 [r3008]  ronys:

	* Finish last commit (Windows-specific part) after testing.

2009-11-07 [r3007]  ronys:

	* Fixed broken compile under Linux, prepare for clean
	  PWScore::PurgeDeletedEntries()

2009-11-07 [r3006]  c-273:

	* [2872602] Preferences are now correctly deleted from the Windows
	  registry if they match the default.

2009-11-07 [r3005]  c-273:

	* [2826509] Can now update passwords of existing entries via Import
	  (text or XML)

2009-11-07 [r3004]  c-273:

	* Remove unnecessary multiple copies of comments at start of po
	  files - no idea how they got there!

2009-11-07 [r3003]  ronys:

	* Tweak rev 3001: Belts AND suspenders.

2009-11-06 [r3002]  c-273:

	* Fix match test 'does not begin with' - used in filters and
	  restricting entries exported to Text or XML and a previous
	  'Murphy'

2009-11-06 [r3001]  c-273:

	* Fix password history validation

2009-11-05 [r3000]  ronys:

	* wxWidgets - browse to URL implemented

2009-11-05 [r2999]  ronys:

	* wxWidgets: refactoed dbl-click code

2009-11-05 [r2998]  c-273:

	* [2880663] Remove 'Browse to' special fields from the URL field
	  when copied to the clipboard or when used in the RunCommand (via
	  $url).

2009-11-05 [r2997]  c-273:

	* Highlight tweak (always show an entry is deleted via
	  strikethrough if selected via filter)

2009-11-05 [r2996]  ronys:

	* wxWidgets: More progress on Option->Misc, checkpoint b4
	  refactoring dbl-click logic

2009-11-05 [r2995]  ronys:

	* wxWidgets: implemented delete confirmation pref and dbox - not
	  (yet) for groups, though. Also started on options->Misc.

2009-11-04 [r2994]  c-273:

	* Highlight changes

2009-11-04 [r2993]  c-273:

	* Tidy up Export Text/XML. Make XML file comments available for
	  translation.

2009-11-04 [r2992]  ronys:

	* wxWidgets: Password show/hide display works, thanks to Dave
	  Silvia.

2009-11-04 [r2991]  sauravg:

	* Hooked up search with menu bar, which was missing for some
	  reason. Also fixed some bugs with case-sensitive search

2009-11-03 [r2990]  ronys:

	* wxWidgets: options->Display preferences persistent and mostly
	  implemented (lines always wrap in notes field, regardless of pref
	  setting. Also, initial tree view persistent but unimplemented
	  yet)

2009-11-03 [r2989]  ronys:

	* wxWidgets: incomplete solution to hide/show password in add/edit
	  - still needs geomerty manager work

2009-11-03 [r2988]  ronys:

	* wxWidgets: WIP - checkpoint b4 trying a solution for hide/show
	  passwords in add/edit dbox

2009-11-02 [r2987]  c-273:

	* Do the right thing if no entries pass the user's selection
	  criteria when exporting (XML or text)

2009-11-02 [r2986]  ronys:

	* wxWidgets: got notes displaying in tooltips, plus fixed annoying
	  compilation warning, plus moved Find-related decl's and defs out
	  of DB's @begin/@end comments, making them safe against DB's
	  modifications.

2009-11-02 [r2985]  c-273:

	* More string fields for I18N + don't mark database changed if no
	  records actually imported (XML or text)

2009-11-02 [r2984]  ronys:

	* wxWidgets: Options->Display partially implemented

2009-11-02 [r2983]  ronys:

	* Linux: Fixed nast one-off bug in Format(StringX...)

2009-11-01 [r2982]  c-273:

	* Murphy

2009-11-01 [r2981]  c-273:

	* Add 'Are you sure' if user cancels after making changes to
	  Options

2009-11-01 [r2980]  ronys:

	* wxWidgets: Option->Backup tab functional

2009-10-30 [r2979]  c-273:

	* Make Asker & Reporter update dialog count. Also, prevent
	  unnecessary ASSERT.

2009-10-30 [r2978]  ronys:

	* wxWidgets: plodding forward on Options->Backups

2009-10-30 [r2977]  ronys:

	* (Very) minor tweak

2009-10-29 [r2976]  ronys:

	* wxWidgets: Started implemented preference semantics (baby step)

2009-10-29 [r2975]  ronys:

	* wxWidgets: Shutup annoying compiler warning

2009-10-27 [r2974]  sauravg:

	* Fixed some warnings in the Linux build

2009-10-27 [r2973]  sauravg:

	* Removed use of DEBUG_NEW from PasswordSafeSearch.cpp to fix the
	  Linux build Removed search.cpp from makefile since the
	  AdvancedSearchOptionsDlg is already present in
	  PasswordSafeSearch.cpp

2009-10-26 [r2972]  c-273:

	* Use GeneralMsgBox instead of MFC MessageBox so that we keep track
	  of open dialogs

2009-10-26 [r2971]  ronys:

	* (very) minor cleanup

2009-10-26 [r2970]  ronys:

	* wxWidgets: Added PasswordSafeSearch.cpp to Linux Makefile, set
	  svn:eol-style to native for ui/wxWidgets source files

2009-10-26 [r2969]  ronys:

	* tweak to compile under Linux

2009-10-26 [r2968]  sauravg:

	* Merged wxWidgets-Windows with trunk, without revision 2885 Now
	  corelib and os/windows are MFC-free

2009-10-25 [r2967]  pm_kan:

	* Russian i18n (till rev. 2966)

2009-10-24 [r2966]  c-273:

	* Windows now uses the same approach as Linux to test file
	  existence and read-only.

2009-10-24 [r2965]  karlo_vdg:

	* changed fields in "edit base entry" and "delete entry" for German
	  language (help file)

2009-10-22 [r2964]  c-273:

	* Fix last commit

2009-10-22 [r2963]  karlo_vdg:

	* changed fields in "edit base entry" and "delete entry" for German
	  language

2009-10-20 [r2962]  c-273:

	* [2881604] Allow edit of base entry of a shortcut via the Edit
	  menu and/or by right-clicking on a shortcut entry.

2009-10-19 [r2961]  ronys:

	* Update French translations from Jean - reported 100% complete

2009-10-18 [r2960]  c-273:

	* Minor tweaks/extra checking

2009-10-18 [r2959]  c-273:

	* Filters containing tests on the entry type now exported to XML
	  correctly.

2009-10-18 [r2958]  c-273:

	* Fix memory leak if XML import of filter fails verification

2009-10-13 [r2957]  ronys:

	* Update to French translation plus fix of English typo - thanks
	  again to Jean

2009-10-13 [r2956]  ronys:

	* Systray+lock on minimize problem - cleanup plus more progress.
	  Still needs some tweaking (mainly upon restore), plus testing.

2009-10-12 [r2955]  ronys:

	* Updated French translation file as received from Jean (still not
	  complete)

2009-10-12 [r2954]  ronys:

	* Systray+lock on minimize problem - almost there...

2009-10-11 [r2951]  ronys:

	* Remove warning on Linux build.

2009-10-11 [r2950]  c-273:

	* Make all WindowProc the same for resetting idle timeouts

2009-10-10 [r2949]  ronys:

	* Fixed timer lock with open edit dbox problem + cleanup +
	  cosmetics

2009-10-10 [r2948]  ronys:

	* Undo of last commit - removed deadlocking semaphore code

2009-10-10 [r2947]  ronys:

	* Commiting deadlocking semaphore approach to add/edit timeout lock
	  problem before trying other approach, for posterity (deadlocking
	  code commented out).

2009-10-10 [r2946]  c-273:

	* Update release notes

2009-10-10 [r2945]  c-273:

	* Stop junk in Notes field in List View caused by CRLF characters.
	  Only show 1st line and indicate more.

2009-10-09 [r2944]  karlo_vdg:

	* translation 3.19.01 German

2009-10-09 [r2943]  ronys:

	* Working on Lock-with-add/edit-dbox-open problem. Still not done:
	  Window-closing mechanism in place, need to refactor code in
	  DboxMain::EditItem s.t. nothing important is done after modal
	  dbox returns.

2009-10-08 [r2941]  ronys:

	* [2873106] Export XML warnings now consistent with Export Text's.
	  (The Right Thing is to factor out a common PWSExportDlg base
	  class. Later perhaps?)

2009-10-07 [r2939]  c-273:

	* Change only a comment and non-executable code

2009-10-07 [r2938]  ronys:

	* [2868278] Minimize via the system menu, SystemTray menu and
	  system control box button now locks the database if the
	  preference 'Lock on Minimize' is set. (dk's fix, with my minor
	  tweaks - if it doesn't work, I broke it...)

2009-10-05 [r2937]  c-273:

	* Fix Duplicate entry fix!

2009-10-05 [r2936]  ronys:

	* [2872829] Duplicate Entry now copies password policy as well.

2009-10-04 [r2934]  c-273:

	* [2872273] Improve Import Text 'Line skipped' message.

2009-09-30 [r2931]  c-273:

	* [] Now no longer complains about WTS service in Windows systems
	  earlier than Windows XP.

2009-09-30 [r2930]  c-273:

	* [2870059] When an entry is highlighted during Find, the Toolbar
	  and menu items now reflect its contents. (Really this time!)

2009-09-30 [r2929]  c-273:

	* Reverse commit 2928

2009-09-30 [r2928]  c-273:

	* [2870059] When an entry is highlighted during Find, the Toolbar
	  and menu items now reflect its contents.

2009-09-28 [r2927]  c-273:

	* [2868278] Minimize now locks the database if the preference 'Lock
	  on Minimize' is set. Can't reproduce same problem user states
	  happens with Autotype + Lock on Minimize

2009-09-28 [r2926]  c-273:

	* Stop unnecessary processing if database locked + comment nit.

2009-09-28 [r2925]  c-273:

	* Bump to 3.19.1

2009-09-27 [r2924]  c-273:

	* Document bug number

2009-09-27 [r2923]  c-273:

	* [] Change font dialogs now work again.

2009-09-27 [r2922]  c-273:

	* Update URL in DLLs

2009-09-27 [r2921]  c-273:

	* Update fields as suggested by Francios for French translation.

2009-09-26 [r2919]  ronys:

	* 3.19 release

2009-09-25 [r2918]  c-273:

	* Tidy up last commit re: DeleteAllItems and Status Bar

2009-09-25 [r2917]  ronys:

	* Commit po files that have been modified but not updated for 3.19

2009-09-25 [r2916]  ronys:

	* Space out radio buttons on VK dialog to better display
	  non-English text.

2009-09-24 [r2915]  c-273:

	* [2865116] Status-Bar message now updated when using the keyboard
	  arrows to transverse entries in Tree and List views.

2009-09-24 [r2914]  c-273:

	* 2 nits (remove unnecessary calls + simplify calls)

2009-09-24 [r2913]  karlo_vdg:

	* help file English 3.19

2009-09-24 [r2912]  karlo_vdg:

	* German for 3.19 text + help file (2)

2009-09-24 [r2910]  ronys:

	* Update to French translation - thanks to Francois

2009-09-23 [r2909]  c-273:

	* Fix idle lockout (again)

2009-09-23 [r2908]  karlo_vdg:

	* German for 3.19 text + help file

2009-09-23 [r2907]  c-273:

	* [2865116] Status-Bar message when doing a "Run Command" now
	  correctly states "Password Copied".

2009-09-23 [r2906]  c-273:

	* Fix idle lockout (again)

2009-09-23 [r2905]  c-273:

	* Remove obsolete preference from Help (made obsolete by Add/Edit
	  property pages in 3.18)

2009-09-23 [r2904]  ronys:

	* More Swedish translation tweaks by Bjorne

2009-09-23 [r2903]  ronys:

	* Updated French & Swedish tranlations - thanks to Francois &
	  Bjorn, resp.

2009-09-22 [r2901-2902]  karlo_vdg:

	* Translations for 3.19

	* Some Italian and Chinese details corrected

2009-09-22 [r2900]  c-273:

	* Fix LockDBOnIdleTimeout usage now that it is DB dependent

2009-09-22 [r2899]  pm_kan:

	* Russian i18n (till rev. 2897)

2009-09-22 [r2898]  ronys:

	* Modified installer to (1) ensure that only one instance of the
	  installer is running, and (2) ensure no instance of pwsafe is
	  running before proceeding with installation. Note that (2)
	  requires the nsProcess plugin, be installed along with NSIS (from
	  http://nsis.sourceforge.net/NsProcess_plugin). Unfortunately, the
	  error messages for these tests can only be displayed in English,
	  since the tests are run before language processing is completed.

2009-09-22 [r2897]  c-273:

	* Update releases notes

2009-09-22 [r2896]  ronys:

	* LockOnIdle preference moved from config file to database in 3.19
	  - update help file accordingly.

2009-09-22 [r2895]  ronys:

	* Added French support for nsis installer (thanks to Francois).

2009-09-21 [r2894]  c-273:

	* Correct LockOnIdleTimeout to be a database preference

2009-09-21 [r2893]  c-273:

	* Add email to DragBar

2009-09-21 [r2892]  c-273:

	* Fix Wordwrap preference management

2009-09-21 [r2891]  ronys:

	* Added French translation - incomplete

2009-09-20 [r2890]  c-273:

	* More secure string copying Consistent coding of "#if (_MSC_VER >=
	  1400)" - with brackets

2009-09-20 [r2889]  c-273:

	* Tweaks - secure clearing of memory where appropriate Set standard
	  for using SecureZeroMemory to use sizeof target

2009-09-20 [r2888]  c-273:

	* Fix memory leak if user not allowing multiple instances Use more
	  "string safe" functions

2009-09-20 [r2887]  ronys:

	* Update documentation for 3.19

2009-09-20 [r2886]  c-273:

	* Now that the SDK is required, simplify configure.vbs. Also,
	  retrieve and current values and use as defaults if re-running.
	  Simplify VS project files based on above changes. It is
	  recommended that developers re-run configure.vbs.

2009-09-17 [r2883-2884]  c-273:

	* Fix [2857641] + minor UI changes

	* Update preferences: DisplayExpandedAddEditDlg obsoleted in 3.18
	  and minor formatting

2009-09-16 [r2882]  ronys:

	* Starting down the road to 3.19 release: UI tweaks and version
	  bump

2009-09-13 [r2879]  c-273:

	* Minor tweak

2009-09-11 [r2878]  c-273:

	* [2856051] Changes to Database preferences are no longer lost over
	  minimize.

2009-09-11 [r2877]  c-273:

	* [2856750] Password Policy now correctly displayed in List View.

2009-09-11 [r2876]  c-273:

	* Murphy

2009-09-10 [r2875]  c-273:

	* [] If a dialog is open (e.g. Add, Edit, Options etc.) and
	  Password Safe is minimized, the Close and Exit options are no
	  longer in the System Tray context menu. The user must first
	  Restore the application and close the dialog before being able to
	  close the database or exit the program.

2009-09-10 [r2874]  c-273:

	* [2832810] Add new email field supporting email headers 'to',
	  'subject', 'cc', 'bcc' and 'body' [see RFC 2368]. [2856410] "Run
	  Command" menu shortcut no longer greyed out for Shortcuts to base
	  entries with a Run Command. [] Support Run Command and
	  Double-Click Action (and email) fields in Filters. [] Tidy up
	  item order in menus Edit menu and right-click context menu.

2009-09-10 [r2873]  ronys:

	* Moved windows-specific clipboard code from corelib to ui/Windows.
	  Thanks to Sauvag for pointing this out.

2009-09-09 [r2872]  c-273:

	* Fix integer filter import

2009-09-08 [r2871]  karlo_vdg:

	* Compiling with SDK 6.1, German translated

2009-09-07 [r2870]  c-273:

	* Fix export to XML of integer filter

2009-09-05 [r2869]  c-273:

	* [2851848] Mouse double-click interval removed from Virtual
	  Keyboard to allow multiple virtual keys to be entered quickly.

2009-09-05 [r2868]  c-273:

	* Change all calls to "Sleep" to "::Sleep" just to be consistent.

2009-09-04 [r2867]  c-273:

	* Correct message and catch user trying to define duplicate
	  shortcuts

2009-09-03 [r2866]  c-273:

	* Fix 2842700 - French keyboard does not have virtual key
	  V_OEM_MINUS (most others do). Change shortcut for Password Subset
	  to Ctrl+B

2009-09-01 [r2864-2865]  ronys:

	* *Very* minor clarification.

	* Fixed logic error in last DboxMain::IsWorkstationLocked()
	  modification, which caused invert of correct value to be returned
	  if we couldn't register for the WTS event.

2009-09-01 [r2863]  c-273:

	* Support latest DCA during XML import

2009-09-01 [r2862]  ronys:

	* wxWidgets: Options propsheet UI ready for implementation

2009-08-31 [r2861]  ronys:

	* wxWidgets - started UI of Options propsheets

2009-08-31 [r2860]  ronys:

	* wxWidgets: First (baby) step towards Options propsheet

2009-08-30 [r2859]  c-273:

	* More menu ASSERT checking

2009-08-30 [r2858]  c-273:

	* Text import no longer overwrites entry's RunCommand with DCA
	  value.

2009-08-28 [r2857]  sauravg:

	* PWScore.h - send the "item erased" notification after the item is
	  erased, not before mainEdit.cpp - only erase the item from the
	  active view

2009-08-27 [r2856]  c-273:

	* [2192490, 2840534] Multiple desktops now handled correctly

2009-08-27 [r2855]  ronys:

	* minor cleanup/refactor

2009-08-27 [r2854]  c-273:

	* Fix sort of shortcuts in Options display and add more menu return
	  code checking. Rename CoolMenuManager routines to prevent
	  confusion with DBoxMain equivalents

2009-08-27 [r2853]  c-273:

	* Add more menu checking

2009-08-26 [r2852]  sauravg:

	* Fixed crash in deleting entry from treeview after switching to
	  gridview and back

2009-08-26 [r2851]  ronys:

	* Edited & upodated developer's README

2009-08-25 [r2850]  pm_kan:

	* Rollback changes in pwsafe_ru.po from rev.2838 because lang.
	  resourses doesn't changed since rev.2830

2009-08-25 [r2849]  sauravg:

	* "Edit->Delete Entry" should not crash pwsafe now

2009-08-24 [r2848]  c-273:

	* Update exception handling and producing mini-dumps

2009-08-24 [r2847]  sauravg:

	* Add the root item if it doesn't exist, before adding other items

2009-08-23 [r2846]  sauravg:

	* Added menubar mnemonics

2009-08-23 [r2845]  sauravg:

	* Set focus to password entry field by default

2009-08-23 [r2844]  sauravg:

	* Use a new GridTable object whenever a new file is loaded or the
	  view changes to "flattened list".

2009-08-22 [r2843]  c-273:

	* Wrong nap updated when moving an alias to a different base

2009-08-20 [r2842]  ronys:

	* wxWidgets: minor cleanups to last commit

2009-08-20 [r2841]  ronys:

	* wxWidgets: Table view implementation by Saurav - as-is

2009-08-19 [r2840]  c-273:

	* Minor source formatting

2009-08-19 [r2839]  ronys:

	* install builds now updated w.r.t. tree re-org

2009-08-18 [r2838]  ronys:

	* Updating Windows Makefiles to match new build tree. WiP
	  (installers still not done)

2009-08-17 [r2837]  ronys:

	* wxWidgets: entry pwpolicy working, sans sanity checks (geometry
	  fixed)

2009-08-16 [r2836]  ronys:

	* wxWidgets: more PasswordPolicy tab control logic (bent geometry?)

2009-08-16 [r2835]  ronys:

	* wxWidgets: started implemented PasswordPolicy tab control logic

2009-08-16 [r2834]  c-273:

	* More tidying up of SVN ! Note to developers: after this update,
	  delete the following directories and their subdirectories if they
	  exist: \src\bin (you may wish to save configuration files from
	  its sub-directories first) \src\lib \src\obj
	  \src\ui\Windows\I18N\tools \src\ui\Windows\Tools

2009-08-16 [r2833]  pm_kan:

	* Russian i18n (till rev. 2830)

2009-08-16 [r2832]  c-273:

	* Browse to URL from an Alias entry now puts the correct password
	  in the clipboard

2009-08-16 [r2831]  c-273:

	* Minor SVN tidy up - delete empty directories

2009-08-16 [r2830]  c-273:

	* Move non-source from under the src directory and tools out of the
	  Windows directory

2009-08-14 [r2829]  c-273:

	* [2836569] Correct password data now copied from Edit dialog using
	  'Smart Labels'.

2009-08-13 [r2828]  ronys:

	* wxWidgets: 'make unicoderelease' now builds correctly.

2009-08-13 [r2826-2827]  ronys:

	* wxWidgets: Look for pwsafe.cfg under /home/ronys/.pwsafe under
	  Linux, based on Saurav's patches

	* wxwidgets: Keep vertical scrollbar correct under resize (fix from
	  Saurav)

2009-08-13 [r2825]  ronys:

	* wxWidgets: started work on entry password policy tab

2009-08-12 [r2824]  c-273:

	* Add version resources to pws_at and pws_osk DLLs

2009-08-12 [r2823]  ronys:

	* wxWidgets: entry expiration setting functional

2009-08-12 [r2822]  ronys:

	* wxWidgets: Almost done with entry password expiration.

2009-08-11 [r2821]  ronys:

	* wxWidgets: inching forward on entry passwd expiration

2009-08-10 [r2820]  ronys:

	* tweak last commit (pdb archiving)

2009-08-10 [r2819]  ronys:

	* Save pdb along with map file when making bin-release.

2009-08-10 [r2818]  c-273:

	* Drag & Drop of entries, that have individual DCA values, between
	  different databases now works. Plus formatting nits.

2009-08-10 [r2817]  ronys:

	* wxWidgets: work on Entry's password expiration (WIP)

2009-08-10 [r2816]  ronys:

	* text export of DCA field now correct.

2009-08-08 [r2815]  ronys:

	* wxWidgets: Display item's mod times

2009-08-08 [r2814]  ronys:

	* Redundant redundancy removal (removed a dup DDX_Text call).

2009-08-07 [r2813]  c-273:

	* Add menu item to copy the Run Command to the clipboard. Refactor
	  copy to clipboard routines

2009-08-07 [r2812]  ronys:

	* Bring release dlls from same directories as zip and nsi
	  distributions.

2009-08-06 [r2811]  c-273:

	* [2832991] Double-click action display in the Status Bar []
	  Duplicate entry now duplicates Double-click action of original as
	  well. [] Double-click on a shortcut entry now executes the action
	  of its base. [] Change group/title/user display using \xab & \xbb

2009-08-06 [r2810]  c-273:

	* Minor format changes and rename of some variables e.g. pointers
	  beginning with 'p'

2009-08-05 [r2809]  c-273:

	* Increase AutoType field width in Edit/View and add entry details
	  to Window title.

2009-08-05 [r2808]  c-273:

	* Fixes for Autotype from Alias entries and fix RunCommand 1st
	  field truncation

2009-08-04 [r2807]  c-273:

	* Tidy up edit/view shortcut processing + the odd nit

2009-08-04 [r2806]  ronys:

	* Updated help file for new \w and \W autotype directives.

2009-08-04 [r2805]  ronys:

	* Fixed problem with viewing a shortcut in read-only mode - thanks
	  to gillum for reporting and helping track this down.

2009-08-03 [r2804]  ronys:

	* wxWidgets - rudimentary add & delete functionality

2009-08-03 [r2803]  c-273:

	* Implement new Autotype special fields (upper & lower case W)

2009-08-03 [r2802]  ronys:

	* Very minor cleanups

2009-08-02 [r2801]  ronys:

	* wxWidgets: nittiest of nits

2009-08-02 [r2800]  c-273:

	* Release build only needs 3 DLLs.

2009-08-02 [r2799]  c-273:

	* For completeness, add last fix in the 2 other possible problem
	  areas. Probably not needed but too many dialogs to check and
	  shouldn't break anything.

2009-08-02 [r2798]  c-273:

	* Enter key again works in initial dialog if user uses browse
	  button to select a database to open

2009-08-01 [r2797]  ronys:

	* wxWidgets: plodding on pwhist processing.

2009-07-31 [r2796]  c-273:

	* Password Verification field now set when editing/viewing an alias
	  entry and the password is hidden.

2009-07-28 [r2795]  c-273:

	* Support minidump production for more faults

2009-07-27 [r2794]  ronys:

	* Finished UpdatePassword refactoring.

2009-07-27 [r2793]  ronys:

	* [2085058] Old (1.x) format databases now closed correctly. (patch
	  from pm_kan)

2009-07-24 [r2792]  c-273:

	* Fix 2818653 and 2820260 (Password Expiry Interval in Edit and XML
	  Export)

2009-07-23 [r2791]  ronys:

	* Refactored password history handling, to share code with
	  wxWidgets. (Still need to retrieve preference when no pwh policy
	  in item)

2009-07-22 [r2790]  c-273:

	* Restore Windows UI as Unicode only

2009-07-22 [r2789]  ronys:

	* wxWidgets - inching forward on item's pwhist display

2009-07-22 [r2788]  ronys:

	* - Use localized strings in fault handler messages - Ignore
	  unknown extended params (patches submitted by pm_kan)

2009-07-20 [r2787]  ronys:

	* wxWidgets: started on add/edit history fields

2009-07-16 [r2786]  ronys:

	* Minor cleanup in pursuit of [2783207] crash

2009-07-14 [r2785]  ronys:

	* wxWidgets: Started on entry's pwhist values

2009-07-14 [r2784]  ronys:

	* wxWidgets: Entry's DCA override logic completed

2009-07-10 [r2783]  ronys:

	* robust++ fault handling

2009-07-08 [r2782]  ronys:

	* Try to bulletproof the autotype function, as we've crashes in the
	  field that we can't duplicate [2783207]

2009-07-08 [r2781]  ronys:

	* Connect the parts of --testdump

2009-07-07 [r2780]  ronys:

	* Added missing break, whos lack caused an assert in debug build,
	  but (luckily) no problem in the release.

2009-07-07 [r2779]  ronys:

	* Murphy.

2009-07-06 [r2778]  ronys:

	* wxWidgets: work on DCA override - WIP

2009-07-06 [r2777]  ronys:

	* wxWidgets: enjoy fuits of last commit

2009-07-06 [r2776]  ronys:

	* Minor refactor, mainly to share code with wxWidgets version

2009-07-05 [r2775]  pm_kan:

	* Russian i18n for 3.18.1 (till rev. 2771)

2009-07-05 [r2774]  karlo_vdg:

	* latest changes in 3.18 for German (4)

2009-07-04 [r2773]  ronys:

	* wxWidgets: autotype + run command fields supported + Started work
	  on double-click action support

2009-07-04 [r2772]  ronys:

	* wxWidgets: generate password now works

2009-07-04 [r2771]  c-273:

	* Provide means to test minidump production. Tell developers how to
	  use it.

2009-07-02 [r2770]  c-273:

	* Provide minidump support for release builds

2009-07-01 [r2769]  c-273:

	* Windows MFC is Unicode!

2009-07-01 [r2768]  c-273:

	* Fix crash error using External Editor on Notes field

2009-07-01 [r2767]  ronys:

	* wxWidgets: edit groups now works

2009-06-30 [r2766]  ronys:

	* wxWidgets: edit works from grid view as well

2009-06-30 [r2765]  ronys:

	* wxWidgets: Can edit basic item fields\!

2009-06-30 [r2764]  karlo_vdg:

	* 'Run command' in help file misc_tab.html (German + English)

2009-06-30 [r2763]  c-273:

	* Add run command to DCA

2009-06-29 [r2762]  pm_kan:

	* Russian i18n for 3.18.1 (till rev. 2761)

2009-06-29 [r2761]  ronys:

	* .po files for next round.

2009-06-29 [r2760]  ronys:

	* restyle last commit.

2009-06-29 [r2759]  ronys:

	* [2813295] SystemTray menu Browse/Browse+AutoType issue fixed,
	  based on patch sent in by Vasily.

2009-06-28 [r2757]  ronys:

	* Prepare for 3.18 formal release

2009-06-27 [r2756]  c-273:

	* Make change virtual keyboard font menu images better. Allow
	  change of fonts even if no database open.

2009-06-27 [r2755]  karlo_vdg:

	* latest changes in 3.18 for German (3)

2009-06-27 [r2754]  ronys:

	* wxWidgets: Edit entry Basic page mostly functional. show/hide
	  logic unfinished - need to workaround wxw's inability to change
	  the PASSWORD text control property.

2009-06-26 [r2753]  ronys:

	* wxWidgets: Add/Edit dbox UI done. Ready for fleshing out.

2009-06-26 [r2752]  ronys:

	* wxWidgets: Started on Add/Edit dbox

2009-06-26 [r2751]  ronys:

	* Tweak English help files

2009-06-26 [r2750]  ronys:

	* Latest (final?) Swedish xlation for 3.18

2009-06-26 [r2749]  ronys:

	* bugfix 2812615 - pwsafe now builds again

2009-06-25 [r2748]  c-273:

	* Improve VK font processing

2009-06-25 [r2747]  karlo_vdg:

	* latest changes in 3.18 for German

2009-06-25 [r2746]  ronys:

	* More Swedish work, plus some clarifications.

2009-06-25 [r2745]  ronys:

	* update pos for 3.18

2009-06-25 [r2743-2744]  ronys:

	* Swedish translations for 3.18 from Bjorne

	* Rephrase of text - thanks to Bjorne for spotting this.

2009-06-24 [r2741-2742]  karlo_vdg:

	* latest changes in 3.18 for German

	* latest changes in 3.18 for German

2009-06-24 [r2740]  c-273:

	* Fix assert in Oriya keyboard

2009-06-24 [r2739]  c-273:

	* Support Lucida Unicode Sans font

2009-06-23 [r2738]  ronys:

	* Added the dont-be-a-nudnik flag (a.k.a. -q)

2009-06-23 [r2737]  ronys:

	* updated .po files for 3.18

2009-06-21 [r2736]  ronys:

	* Don't pester user if OSK keyboard dll can't be loaded - once per
	  session is enough. If that proves too much, we can add a
	  preference for persistence.

2009-06-21 [r2735]  c-273:

	* Implement both OSK font checkers

2009-06-20 [r2734]  c-273:

	* Nit

2009-06-20 [r2733]  ronys:

	* refactor: VKeyBoardDlg is the only class that knows or cares
	  about the osk dll

2009-06-20 [r2732]  ronys:

	* Refactoring vkeyboard code - work-in-progress - merged in last
	  commit.

2009-06-20 [r2731]  c-273:

	* Use different (and NOT the best!) method to see if Arial Unicode
	  MS font is installed. Previous method retained to be re-instated
	  later.

2009-06-19 [r2730]  karlo_vdg:

	* German help file (umlaut)

2009-06-18 [r2729]  c-273:

	* Minor Unicode font tweak.

2009-06-18 [r2728]  karlo_vdg:

	* help file German and English: edit entry, toolbar symbols (2)

2009-06-18 [r2727]  karlo_vdg:

	* help file German and English: edit entry, toolbar symbols

2009-06-18 [r2726]  karlo_vdg:

	* help file German and English: edit entry, toolbar symbols

2009-06-18 [r2725]  karlo_vdg:

	* help file German and English: edit entry, toolbar symbols

2009-06-18 [r2724]  karlo_vdg:

	* help file German and English: edit entry, toolbar symbols

2009-06-18 [r2723]  karlo_vdg:

	* help file German and English: edit entry, toolbar symbols

2009-06-17 [r2722]  c-273:

	* Fix editing aliases in new property pages. Improve Merge
	  reporting.

2009-06-17 [r2721]  ronys:

	* Prevent EnterPassword dbox from showing (even hidden) upon
	  timeout when main window already minimized. No idea what change
	  caused this behavior, but this fixes it. :-/

2009-06-17 [r2720]  c-273:

	* Fix initial status of number of saved passwords edit control

2009-06-17 [r2719]  ronys:

	* Edit->Find... menu entry now has a bitmap.

2009-06-17 [r2717-2718]  ronys:

	* release build process tweak

	* Merge nit, per dk's request.

2009-06-17 [r2716]  ronys:

	* Fixed crash in DboxMain::OnToolBarFindReport() per dk's
	  suggestion.

2009-06-17 [r2715]  ronys:

	* Murphy

2009-06-16 [r2714]  karlo_vdg:

	* German help file toolbar "new"

2009-06-16 [r2713]  c-273:

	* Make defensive programming consistent

2009-06-15 [r2712]  karlo_vdg:

	* A keyboard is a keyboard, and not a beyboard

2009-06-15 [r2711]  c-273:

	* Fix DragBar tooltips - actually not broken but time intervals for
	  them to show was toooo long!

2009-06-15 [r2710]  ronys:

	* Prepare for3.18 pre-release

2009-06-15 [r2709]  ronys:

	* No longer crashes when closing Edit window after unlocked.

2009-06-15 [r2708]  karlo_vdg:

	* reconditioning all 4 tab in 'edit entry' to the same size

2009-06-15 [r2707]  karlo_vdg:

	* German help file for 3.18

2009-06-14 [r2706]  ronys:

	* Don't bother user if hex password generation on, and other
	  checkboxes selected but disabled (& ignored).

2009-06-14 [r2705]  ronys:

	* Minor refactoring.

2009-06-14 [r2704]  ronys:

	* Murphy.

2009-06-14 [r2703]  c-273:

	* Minor tidy up of last commit.

2009-06-14 [r2702]  c-273:

	* Fix Password Policy Page in Add & Edit

2009-06-13 [r2701]  ronys:

	* Finally found where Accelerator table is for Ctrl-F, plus more
	  minor cleanup.

2009-06-13 [r2700]  ronys:

	* Fixed logical bug in preference shortcuts parsing (potential
	  illegal access)

2009-06-13 [r2699]  ronys:

	* Refactored shortcut code (Find... still missing Ctrl-F)

2009-06-13 [r2698]  c-273:

	* Add some defensive programming

2009-06-13 [r2697]  karlo_vdg:

	* German manual with Virtual Keyboard

2009-06-13 [r2696]  ronys:

	* minor stl tweak

2009-06-13 [r2695]  ronys:

	* Put Find... in Edit Menu

2009-06-12 [r2694]  karlo_vdg:

	* Adaption for fields in virtual keyboard for German language

2009-06-12 [r2693]  karlo_vdg:

	* Adaption for fields in virtual keyboard for German language

2009-06-11 [r2692]  c-273:

	* Tweaks and stop infinite wait

2009-06-11 [r2691]  ronys:

	* Linux build links again.

2009-06-10 [r2690]  c-273:

	* Fix new Add entry plus more PWPolicy issues.

2009-06-10 [r2689]  c-273:

	* Correct autotype process id processing + add AT DLL version
	  checking

2009-06-10 [r2688]  ronys:

	* tweak tab order

2009-06-10 [r2687]  c-273:

	* Remove chicken!

2009-06-09 [r2686]  c-273:

	* All dialogs, property pages/sheets, filedialog classes now
	  derived from appropriate PW version, except DboxMain and
	  GeneralMsgBox

2009-06-09 [r2685]  c-273:

	* Remove warnings about skipping non-radio buttons + do tab order

2009-06-09 [r2684]  ronys:

	* Get the ball rolling for 3.18 (mark pre-release version)

2009-06-08 [r2683]  ronys:

	* Non-English user names stored correctly (again) under Windows.
	  Grrr.

2009-06-07 [r2682]  c-273:

	* If create accelerator table, destroy it in exiting

2009-06-07 [r2681]  c-273:

	* Set dialog Add/Edit PWPolicy variables earlier

2009-06-06 [r2680]  ronys:

	* Tweak gui of edit/app property sheets.

2009-06-06 [r2679]  ronys:

	* New import bitmaps are flipped version of corresponding export
	  bitmaps

2009-06-05 [r2678]  c-273:

	* Add and Edit dialogs now Property Pages

2009-05-31 [r2676]  c-273:

	* DragBar now has ToolTips to inform user of its use.

2009-05-31 [r2675]  c-273:

	* Fix crash if renaming an entry to one that already exists.

2009-05-31 [r2674]  ronys:

	* Resource editor no longer crashes Visual Studio (!)

2009-05-28 [r2673]  ronys:

	* Updated README.txt (long overdue)

2009-05-27 [r2672]  c-273:

	* Ensure Unicode font is installed to provide VK

2009-05-27 [r2671]  ronys:

	* Reset font now restores MS San Serif if Calibri not found.

2009-05-26 [r2670]  ronys:

	* Fallback to MS Sans Serif for tree/list font if Calibri not
	  found, rather than ugly System font. This should make the switch
	  to Calibri as the default transparent to those users who don't
	  have the font installed. Also, some minor refactoring.

2009-05-26 [r2669]  ronys:

	* Set default tree/list font to Calibri 10.

2009-05-26 [r2668]  ronys:

	* Nit - Save unneeded calls to copy c'tor.

2009-05-25 [r2667]  c-273:

	* Update toolbars buttons based on content

2009-05-25 [r2666]  c-273:

	* Add Reset to Font change dialog. Tidy it up and add caption.

2009-05-24 [r2665]  c-273:

	* VK bugfix

2009-05-24 [r2664]  c-273:

	* Fix GDI memory leak and background of DragBar bitmaps.

2009-05-23 [r2663]  ronys:

	* Dragbar bitmaps switch between old and new styles along with
	  toolbar.

2009-05-23 [r2662]  ronys:

	* prepare to support both old and new dragbar bitmaps

2009-05-23 [r2661]  ronys:

	* Changed dragbar icons to new style

2009-05-23 [r2660]  ronys:

	* prepare dragbar bitmaps for revamp

2009-05-22 [r2659]  c-273:

	* [2795427] Duplicate of "Display Subset of Password" removed from
	  Context Menu

2009-05-22 [r2658]  c-273:

	* [2795428] Browse+ on Toolbar now inactive if no URL present

2009-05-21 [r2657]  c-273:

	* Run Command now correctly copied via Drag & Drop. Allow all
	  fields to be selected for Compare function. Formatting nits (tabs
	  to spaces)

2009-05-20 [r2655]  c-273:

	* Add XML-only command line argument to Keyboard Data Generator

2009-05-19 [r2654]  c-273:

	* [2793280] Browse+Autotype to added to allowed double click
	  actions

2009-05-19 [r2653]  c-273:

	* Add more comments

2009-05-18 [r2652]  c-273:

	* Add missing files

2009-05-18 [r2651]  c-273:

	* [2789873] Status bar now updated properly after Browse to URL and
	  other actions that copied data to the clipboard.

2009-05-18 [r2650]  c-273:

	* Changing virtual keyboard resets random button

2009-05-17 [r2649]  c-273:

	* Change some naming conventions to reflect actual data. Make
	  Cancel come out of DeadKey mode rather than the whole dialog.
	  Correct some typos. Add more comments.

2009-05-17 [r2648]  c-273:

	* Tweak/nit

2009-05-16 [r2647]  ronys:

	* minor tweaks and typos

2009-05-16 [r2646]  c-273:

	* Add vsprops files. Update configure.vbs. Remove un-needed
	  include.

2009-05-16 [r2645]  ronys:

	* Changed new bitmaps' background to transparent.

2009-05-16 [r2644]  c-273:

	* Update the release notes and bump to 3.17.2

2009-05-15 [r2643]  c-273:

	* Implement Virtual Keyboards

2009-05-14 [r2642]  ronys:

	* first hack at replacing new icon set with famfamfam silk

2009-05-08 [r2641]  ronys:

	* Refactor graphics/toolbar to facilitate possible replacement of
	  icon set.

2009-05-08 [r2640]  ronys:

	* Update Swedish texts

2009-05-06 [r2639]  ronys:

	* Got rid of annoying blank main window on semi-successful timeout
	  lock.

2009-05-05 [r2637]  ronys:

	* wxWidgets: Implemented copy foo to clipboard actions

2009-05-05 [r2636]  ronys:

	* 4got part of last commit

2009-05-05 [r2635]  ronys:

	* list view double-click works, fixed pref write (libc change broke
	  it?), double pref save avoided

2009-05-05 [r2634]  ronys:

	* One less reason to crash - gracefully handle empty preference in
	  cfg file.

2009-05-02 [r2633]  ronys:

	* wxWidgets: doubleclick on tree item now copies password to
	  clipboard - first hack

2009-04-23 [r2632]  ronys:

	* Added missing pws_at.dll to msi build

2009-04-23 [r2631]  ronys:

	* minor tweaks

2009-04-23 [r2630]  c-273:

	* [2779705] Reserved shortcuts (Ctrl+Q, Alt+F4 and F1) now work.
	  (Bump to 3.17.1)

2009-04-20 [r2628]  ronys:

	* Added Russian deliverables to NSIS build

2009-04-19 [r2626-2627]  ronys:

	* murphy

	* tweaks to build + first hack at Swedish installation text from
	  Bjorne

2009-04-19 [r2625]  ronys:

	* Update Italian po against 3.17 pws_base.dll

2009-04-19 [r2624]  ronys:

	* Work on Swedish .po by Bjorne, first version (not for release) of
	  Italian .po by Mauro.

2009-04-18 [r2623]  c-273:

	* Add missing copyright comments

2009-04-18 [r2622]  pm_kan:

	* Fixed locale loading for command line dialogs. Fixed Access
	  violation when calling pwsafe with parameters, that suppress
	  showing of main window.

2009-04-17 [r2621]  pm_kan:

	* translation fixes for encrypt/decrypt dialog

2009-04-16 [r2620]  karlo_vdg:

	* latest changes to the German help file for 3.17

2009-04-16 [r2619]  ronys:

	* Updated zh, es, sv and pl .po files

2009-04-16 [r2618]  ronys:

	* [2664657] Installer now prompts for elevation to administrator
	  rights on Windows Vista.

2009-04-16 [r2617]  ronys:

	* After dk's proofreading

2009-04-16 [r2616]  ronys:

	* 4got a couple of files in last commit

2009-04-15 [r2615]  ronys:

	* Updated English help for 3.17: Edit now describes Run Command,
	  added shortcuts tab description

2009-04-15 [r2614]  pm_kan:

	* updates in Russian locale for rev. 2611

2009-04-14 [r2613]  karlo_vdg:

	* German Ctrl - Alt - Shift

2009-04-14 [r2612]  ronys:

	* Style change, per dk's request.

2009-04-14 [r2611]  c-273:

	* Make menu Ctrl/Alt/Shift i18n compatible,

2009-04-14 [r2610]  ronys:

	* automate help file compilation - thanks to Karlo; prepare for
	  3.17 non-beta

2009-04-14 [r2609]  karlo_vdg:

	* Adaption for German help file : shortcut_keys

2009-04-13 [r2608]  pm_kan:

	* Added the "-showdefault" key. When it's specified with the
	  "apply" command, untranslated items are printed to stderr (for
	  simplicity, duplicates aren't removed)

2009-04-13 [r2607]  pm_kan:

	* update for rev. 2606

2009-04-13 [r2606]  ronys:

	* Unmerged url/autotype/run combobox in add & edit dbox.

2009-04-13 [r2605]  ronys:

	* prepare for beta2 - commit b4 reverting edit/add ui

2009-04-11 [r2604]  pm_kan:

	* update for rev. 2601

2009-04-11 [r2603]  karlo_vdg:

	* last changes as of 11.04.09

2009-04-10 [r2602]  c-273:

	* Fix 2750090 - SaveAs unlocks original DB on successful completion

2009-04-10 [r2601]  c-273:

	* Minor shortcut tweaks

2009-04-09 [r2600]  c-273:

	* More shortcut fixes - including restore missing menu bitmaps.
	  Slight change in approach (PreTranslate rather than OnKeyDown,
	  OnKeyUp & OnChar). Add support for Find and Escape key as per
	  Open Discussion. Draft documentation on working shortcut key
	  combinations.

2009-04-09 [r2599]  pm_kan:

	* update for rev. 2597

2009-04-08 [r2598]  karlo_vdg:

	* latest changes for 3.17 (2597) beta

2009-04-08 [r2597]  ronys:

	* Fixing rename & delete group functionality - this fix is
	  necessary but insufficient (now get "m_UICommandTable is out of
	  date - i18n issue?"). Over to dk?

2009-04-08 [r2596]  ronys:

	* Moved CEditExtn's context menu's text to resource for i18n and
	  rebuilt pos files accordingly

2009-04-08 [r2595]  karlo_vdg:

	* This is the (very) old version [2.17]

2009-04-08 [r2594]  ronys:

	* Hack to get WxWidgets to build with new shortcuts code.

2009-04-08 [r2593]  karlo_vdg:

	* last details for German help file (Verknüpfung -> Schnelltaste)

2009-04-07 [r2592]  karlo_vdg:

	* adaptation for German help because of changed (or new)
	  functionality in 3.17

2009-04-07 [r2591]  karlo_vdg:

	* adaptation in German help file(s) for new / changed functionality
	  in 3.17

2009-04-07 [r2590]  karlo_vdg:

	* implemented several toolbar icons

2009-04-07 [r2589]  c-273:

	* Fix error introduced in last commit

2009-04-07 [r2588]  c-273:

	* Fix menu shortcut assertion. Some special key combinations still
	  not handled but without error.

2009-04-07 [r2587]  karlo_vdg:

	* all languages files (*.DLL + *.chm) like XX and not like XX_YY

2009-04-07 [r2586]  ronys:

	* Entered relevant request IDs.

2009-04-07 [r2585]  ronys:

	* Last changes to Chinese .po file from Freedoctor + cleanup

2009-04-06 [r2584]  c-273:

	* Menu shortcut rewrite + support user changing shortcuts for
	  Delete and Rename

2009-04-06 [r2583]  ronys:

	* typos.

2009-04-06 [r2582]  ronys:

	* Prepare for 3.17 beta

2009-04-05 [r2581]  c-273:

	* Make right-click menu check if Run Cmd is empty

2009-04-05 [r2580]  c-273:

	* Menu shortcut fixes and support extended characters.
	  Delete/Rename still on exclusion list for now.

2009-04-05 [r2579]  ronys:

	* updated pos for 3.17-pre1

2009-04-05 [r2578]  pm_kan:

	* updated translation. Actual for rev. 2574

2009-04-05 [r2576-2577]  karlo_vdg:

	* all CHM file are pwsafeXX_YY.chm (e.g RU_RU, DE_DE, FR_FR, ...)

	* CHM file is pwsafeRU_RU.chm

2009-04-05 [r2575]  ronys:

	* Tweak run_command.html.

2009-04-05 [r2574]  c-273:

	* Update right-click menu

2009-04-05 [r2573]  c-273:

	* Some more shortcut fixes. Needs a rebuild. Old saved shortcuts
	  may be invalid.

2009-04-04 [r2571-2572]  c-273:

	* Add copyright comments

	* Make shortcut list reflect order of menu items in actual Menu.
	  Fix bad warning of shortcut in use when shortcut removed or not
	  set.

2009-04-04 [r2570]  ronys:

	* Fix version SPECIAL_BUILD

2009-04-04 [r2569]  c-273:

	* Allow users to set their own shortcuts - requires a REBUILD as
	  resource IDs changed

2009-04-03 [r2568]  ronys:

	* Setup for 3.17pre1 release

2009-04-02 [r2567]  ronys:

	* Modified Add & Edit Dboxes to unify URL, Autotype and RunCmd
	  fields.

2009-04-02 [r2566]  ronys:

	* tweak Add Entry dbox

2009-04-02 [r2565]  ronys:

	* Added Simplified Chinese help file source and updated po file -
	  thanks to Freedoctor. (Chinese .chm file added as well, as I
	  cannot compile Chinese html source on my machine - see
	  help/pwsafeZH/README.txt)

2009-03-31 [r2564]  ronys:

	* Added Russian po file

2009-03-31 [r2563]  ronys:

	* Fixes to support Russian language localization, thanks to Andrei
	  N. K.

2009-03-28 [r2562]  ronys:

	* Minor refactor - parse notes only when needed

2009-03-28 [r2561]  ronys:

	* 1. Fixed system-tray right-click crash when dbase locked.
	  (introduced by Karlo's change?) 2. Pass '\d' correctly in
	  autotype parser (still not processed correctl in Browse+)

2009-03-26 [r2560]  ronys:

	* organize popup menu entries

2009-03-24 [r2559]  c-273:

	* Include Edit/View, Rename & AddGroup in smarter menus Fix menu
	  issues in List view

2009-03-22 [r2558]  c-273:

	* Less of a nit - more of a half-nit?

2009-03-22 [r2557]  c-273:

	* Move Show Find Toolbar to View Menu with other toolbars Please
	  RE-build as resource IDs have changed

2009-03-21 [r2556]  c-273:

	* Fix Browse & Launch if Autotype DLL not found Add Tooltip to Edit
	  'Go' button Add "Show Find Toolbar", "Find Next" & "Find
	  Previous" to smarter menu processing

2009-03-20 [r2555]  c-273:

	* nit

2009-03-20 [r2554]  karlo_vdg:

	* adaptation for "run command"

2009-03-20 [r2553]  c-273:

	* Make shortcut for Run Command: Ctrl+R; delete shortcut for Backup
	  (Ctrl+B) and Restore (Ctrl+R) Add Ctrl+E for send email (was
	  there but not implemented)

2009-03-18 [r2552]  ronys:

	* Nit.

2009-03-18 [r2551]  c-273:

	* nits + Correct DragBar bitmaps for a New database.

2009-03-17 [r2550]  c-273:

	* Change Execute String to Run Command (sorry Karlo you were too
	  quick - but I think only minor changes for you) Make Menu smarter
	  - only display items if appropriate. Add 'Browse+' == Browse +
	  AutoType

2009-03-17 [r2549]  ronys:

	* wxWidgets About dialog box working Good Enough (for now).

2009-03-17 [r2548]  karlo_vdg:

	* pws_at.dll in NSI, German complete, "Add Entry" ok

2009-03-17 [r2546-2547]  karlo_vdg:

	* minor German corrections

	* minor English corrections

2009-03-17 [r2545]  karlo_vdg:

	* adapted new strings, corrected menu "add entry" for German
	  language

2009-03-17 [r2544]  karlo_vdg:

	* German help, "execute string" implemented

2009-03-16 [r2543]  c-273:

	* [2689144] PWS no longer goes into a loop if menu not set

2009-03-16 [r2542]  ronys:

	* CheckVersion.cpp compiles under Linux - unbelievably stupid name
	  pollution issue\!

2009-03-16 [r2541]  ronys:

	* Moved common version (release) checking code to corelib

2009-03-16 [r2540]  ronys:

	* wxwidgets - more progress on about dbox

2009-03-16 [r2539]  ronys:

	* wxWidgets - added stub about dbox

2009-03-16 [r2538]  ronys:

	* tweak

2009-03-16 [r2537]  karlo_vdg:

	* split EXIT ID for main application and system tray

2009-03-15 [r2536]  ronys:

	* more nits.

2009-03-15 [r2535]  ronys:

	* minor, but quite overdue, cleanup

2009-03-15 [r2534]  karlo_vdg:

	* Help-DE, updated version

2009-03-15 [r2532]  ronys:

	* Updated U3 URL + minor cleanups

2009-03-12 [r2531]  ronys:

	* minor nit

2009-03-12 [r2530]  c-273:

	* Support Find Up (Shift+F3 or click on tool bar button with Shift
	  key pressed)

2009-03-11 [r2529]  c-273:

	* Remove CTime from corelib. Linux needs verifying still OK

2009-03-11 [r2528]  c-273:

	* Nits (nicer looking)

2009-03-11 [r2527]  c-273:

	* Fix autotype with Browse to URL

2009-03-11 [r2526]  ronys:

	* First review of execute string documentation.

2009-03-10 [r2525]  ronys:

	* Builds cleanly on Linux again.

2009-03-09 [r2524]  c-273:

	* Fix load path to pws_at DLL. Fix Linux compile complaints.

2009-03-09 [r2523]  c-273:

	* Nearly completely remove CString from corelib (still in StringX
	  Format Template function?).

2009-03-09 [r2522]  ronys:

	* Moved pws_autotype project from ui/Windows to os/windows, plus
	  associated changes

2009-03-09 [r2521]  c-273:

	* Add extra new files to corelib Makefile, change tabs to spaces
	  and put file names in alphabetical order (easier to see what
	  is/isn't there)

2009-03-09 [r2520]  c-273:

	* Add draft help entry for Execute String and update Browse to URL
	  re: Autotype

2009-03-08 [r2519]  ronys:

	* Refactoring - clean compile, partially tested.

2009-03-08 [r2518]  ronys:

	* Fix last fix :-/

2009-03-08 [r2517]  ronys:

	* Minor cleanups.

2009-03-07 [r2515]  ronys:

	* Murphy.

2009-03-07 [r2514]  ronys:

	* wxWidgets - run stuff builds ok (stubs).

2009-03-07 [r2513]  ronys:

	* Portability (probably a more elegant way to fix this, but life's
	  short).

2009-03-06 [r2510]  c-273:

	* Provide Autotype to Browse to URL and Execute functions. Move
	  debug support to 'os' so that it is available in any build

2009-03-05 [r2509]  c-273:

	* [2664703] Load 'base' locale DLL if can't find a specific
	  sub-locale version

2009-03-03 [r2508]  c-273:

	* [2657132] View Reports no longer causes application crash.

2009-03-02 [r2507]  ronys:

	* execute code support compiles cleanly under Linux, first hack at
	  implementing stubs.

2009-03-02 [r2506]  ronys:

	* Cleanup stuff as a result of answering translator's questions.

2009-03-01 [r2503]  ronys:

	* Credit where credit is due - mention our fine webmaster, per his
	  request.

2009-02-27 [r2500]  c-273:

	* Add run.cpp to os makefile. Update inline comments re-autotype
	  and eecute string

2009-02-26 [r2497]  c-273:

	* Implement Execute Strings (actual function + Text/XML
	  Import/Export support)

2009-02-26 [r2496]  c-273:

	* Nit for unused project

2009-02-26 [r2495]  c-273:

	* Copy password to clipboard when doing a "Browse to URL"

2009-02-23 [r2489]  c-273:

	* Remove all non-Unicode VS builds from project.

2009-02-23 [r2487]  ronys:

	* removed ends calls that shouldn't have been used in the first
	  place.

2009-02-23 [r2486]  ronys:

	* updated pos for 3.16.2, including file dialog box filters

2009-02-23 [r2484-2485]  ronys:

	* Extracted File Dialog filter strings to resource, for i18n

	* Update to Chinese translation

2009-02-22 [r2483]  ronys:

	* wxWidgets - config file works now under unicode, without breaking
	  Windows

2009-02-22 [r2482]  ronys:

	* First commit of Simplified Chinese version, thanks to Freedoctor

2009-02-22 [r2481]  c-273:

	* Word wrap nits

2009-02-21 [r2480]  c-273:

	* Word Wrap of notes field in Add & Edit + preference; Show Notes
	  override in Edit, bump to 3.16.2

2009-02-21 [r2479]  ronys:

	* wxWidgets Murphy

2009-02-21 [r2478]  c-273:

	* More I18N menu entries plus a few nits

2009-02-20 [r2477]  c-273:

	* Remove unnecessary call to CS_local_strings()

2009-02-19 [r2476]  c-273:

	* Remove unnecessary/incorrect changes via rev. 2472.

2009-02-19 [r2475]  ronys:

	* Edited password subset description

2009-02-19 [r2473-2474]  karlo_vdg:

	* password subset, edit menu for entry / group additional "right
	  click edit"

	* password subset, edit menu for entry / group additional "right
	  click edit"

2009-02-19 [r2472]  karlo_vdg:

	* Small corrections for German translation

2009-02-19 [r2471]  karlo_vdg:

	* Small corrections for German translation

2009-02-19 [r2470]  karlo_vdg:

	* Included Italian

2009-02-17 [r2469]  c-273:

	* Make PasswordSubset dialog understand monitors

2009-02-17 [r2468]  c-273:

	* Remember Password Subset dialog position

2009-02-17 [r2467]  ronys:

	* wxWidgets - another silly off-by-one error - lock files now named
	  correctly

2009-02-17 [r2466]  c-273:

	* 2 nits

2009-02-16 [r2465]  ronys:

	* wxWidgets - off-by-one bug fixed - unicode can now read
	  preferences. Can't write them correctly, though.

2009-02-16 [r2464]  ronys:

	* wxWidgets unicode build no longer crashes on database load.

2009-02-16 [r2462]  ronys:

	* wxWidgets unicode builds cleanly, hits assert when loading sample
	  file

2009-02-16 [r2461]  ronys:

	* wxWidgets - another small step towards unicode build

2009-02-15 [r2460]  ronys:

	* wxWidgets - progress on unicode build - still not done.
	  Checkpoint and verify Windows build not broken

2009-02-15 [r2459]  c-273:

	* [2599930] All fields, buttons, checknoxes that could change an
	  entry's data are disabled if the database is in read-pnly mode.

2009-02-15 [r2458]  c-273:

	* Right-click context menu now correct when user hides toolbars.

2009-02-14 [r2457]  c-273:

	* Ctrl+F sets focus to the Find string edit control.

2009-02-14 [r2456]  c-273:

	* Don't ask if user wants to Cancel edit in R/O mode - that is all
	  they can do!

2009-02-14 [r2455]  ronys:

	* Reverted DboxMain::IsWorkstationLocked() to use OpenDesktop()
	  instead of OpenInputDesktop(), as the latter doesn't seem to be
	  useful for detecting locked desktops :-( Bumped rev to 3.16.01.

2009-02-14 [r2454]  ronys:

	* Create a map file for the release build, save a compressed copy
	  of it as part of the release process

2009-02-12 [r2453]  ronys:

	* linux build - toplevel make works, plus auto dependency
	  generation added to all makes

2009-02-12 [r2452]  karlo_vdg:

	* IDS_SHORTCUTEXPLANATION ' & ' ==> ' && '

2009-02-12 [r2450-2451]  karlo_vdg:

	* changed last translation of 'Tastenkuerzel' (German)

	* Correction for dialog box 'shortcut create' (German)

2009-02-12 [r2449]  karlo_vdg:

	* Corrected some words (e.g. 'Tastenkuerzel' to 'Verknuepfung')

2009-02-12 [r2446-2447]  karlo_vdg:

	* corrected dialog box edit, passwordentry

	* Correction of a few docu details

2009-02-12 [r2445]  ronys:

	* Prepare toplevel make for Linux support

2009-02-12 [r2444]  karlo_vdg:

	* Including "shortcut" entry

2009-02-12 [r2443]  karlo_vdg:

	* menu edit: shortcut added

2009-02-12 [r2441]  karlo_vdg:

	* dir 'options': JPG missing, 'classic' + 'new' moved

2009-02-12 [r2440]  ronys:

	* Final (?) tweak for new source tree arrangement.

2009-02-11 [r2438]  ronys:

	* enable installer support for Spanish, Swedish and Polish, even
	  though support for these is incomplete. Hopefully, this will
	  encourage others to update these.

2009-02-10 [r2437]  karlo_vdg:

	* Translation file for ES_ES, PL_PL and SV_SE

2009-02-10 [r2436]  ronys:

	* Added documentation describing shortcuts.

2009-02-10 [r2435]  karlo_vdg:

	* Translation for German languages 3.16

2009-02-10 [r2434]  ronys:

	* wxWidgets - implemented Change Password dialog box - app still
	  doesn't save, though.

2009-02-10 [r2432-2433]  karlo_vdg:

	* Translation for other languages, local strings

	* Translation for German languages 3.16

2009-02-10 [r2429]  ronys:

	* tweak pre_build.cmd to give right svn revision number

2009-02-09 [r2428]  ronys:

	* Make dependencies the modern way

2009-02-09 [r2426-2427]  karlo_vdg:

	* adapting the home page to pwsafe.org

	* adapting the home page to pwsafe.org

2009-02-09 [r2425]  karlo_vdg:

	* installation without Win98

2009-02-09 [r2424]  ronys:

	* Start rolling 3.16 update links to pwsafe.org

2009-02-07 [r2423]  ronys:

	* Added stub pwsafe.hhk file for German help file project

2009-02-07 [r2422]  karlo_vdg:

	* Is not necesarry

2009-02-07 [r2421]  karlo_vdg:

	* Adapted for new structure, only English + German No Other
	  languages (commented out with ';')

2009-02-06 [r2420]  karlo_vdg:

	* Translation for German languages

2009-02-06 [r2418-2419]  karlo_vdg:

	* Adaption for German language after translation

	* Adaption for German language after translation

2009-02-05 [r2415]  ronys:

	* Set wxWidgets source tree to a user-independant location (this is
	  where the Makefile assumes the wxWidgets source will be found).

2009-02-04 [r2414]  ronys:

	* wxWidgets - added version info

2009-02-04 [r2413]  ronys:

	* wxWidgets - 4got to commit xpm version of graphics

2009-02-03 [r2411]  c-273:

	* [Open Discussion] Ctrl+F no longer toggles Find Toolbar.

2009-02-03 [r2409]  ronys:

	* wxWidgets - added Properties dialog box

2009-02-02 [r2408]  ronys:

	* wxWidgets - File->Open functional

2009-02-02 [r2407]  ronys:

	* wxWidgets - work on File->Open - WIP

2009-02-01 [r2405]  c-273:

	* Better error string allocation using Xerces XML File import.

2009-02-01 [r2404]  c-273:

	* [] Can now process filters based on 'username' field ("user" in
	  the XML file).

2009-01-31 [r2403]  ronys:

	* wxWidgets - close works, bitmaps no longer loaded from files at
	  runtime.

2009-01-30 [r2402]  ronys:

	* wxWidget tree/list preference persistence works

2009-01-29 [r2401]  ronys:

	* wx Widgets - started foldind preferences in.

2009-01-28 [r2400]  ronys:

	* wxWidgets - tree view start to look like one...

2009-01-28 [r2399]  ronys:

	* wxWidgets - got rid of row titles

2009-01-27 [r2398]  ronys:

	* wxWidgets minor refactor, started playing with tree view

2009-01-27 [r2397]  ronys:

	* a little progress on wxWidgets

2009-01-26 [r2396]  ronys:

	* slow progress on wxWidgets - tree and list (grid) classes added

2009-01-25 [r2392]  ronys:

	* Updated description of password generation feature, thanks to
	  Karlo!

2009-01-25 [r2391]  c-273:

	* Do not include URL and AutoType data when copying Notes field to
	  clipboard

2009-01-24 [r2389]  ronys:

	* Display entries in list view - first hack (works, but that's all)

2009-01-23 [r2388]  ronys:

	* Registered DialogBlocks

2009-01-23 [r2387]  ronys:

	* wxWidgets Menus + nit on Windows Edit Menu

2009-01-22 [r2386]  c-273:

	* [2529736] Validate now corrects all Password History errors

2009-01-22 [r2385]  c-273:

	* Support new Autotype fields from Edit magic static labels

2009-01-22 [r2384]  ronys:

	* Started work on wxWidgets menus

2009-01-21 [r2383]  ronys:

	* More wxWidgets work - Initial dialog functional.

2009-01-21 [r2382]  ronys:

	* progress on first dialog in wxWidgets

2009-01-18 [r2381]  ronys:

	* First baby steps with wxWidgets

2009-01-18 [r2380]  ronys:

	* Update ignores property.

2009-01-18 [r2379]  ronys:

	* - Updated autotype description to refelect dk's additions. -
	  Simplify alias description based on (confused) user feedback.

2009-01-17 [r2378]  ronys:

	* Split language-specific install messages to separate file, add
	  credit where credit is due.

2009-01-17 [r2377]  ronys:

	* Mulilingual NSIS installation - German also supported, with
	  comments for supporting more languages. Thanks to Karlo for this.

2009-01-16 [r2376]  c-273:

	* [2509817] Control characters no longer sent via Autotype.
	  [2509821] Support Group (\g), Title (\i) and Notes (\o, \onnn)
	  fields via Autotype.

2009-01-16 [r2375]  c-273:

	* Stop Expat XML File import asking for the schema

2009-01-16 [r2374]  ronys:

	* moved bitmaps and icons from ui/Windows/res to ui/graphics, so
	  that they can be re-used by other ui frameworks.

2009-01-15 [r2373]  c-273:

	* Make Expat DebugE static again after merge/re-arrangement

2009-01-14 [r2372]  c-273:

	* Ensure VS project 'pwsafe' is dependent on project 'os',
	  otherwise link may not work.

2009-01-14 [r2371]  c-273:

	* Stop Expat asking for schema if filters in database Minor comment
	  tidy up and #if order

2009-01-14 [r2370]  c-273:

	* Tidy up project files and make Expat & Xerces XML compile.

2009-01-14 [r2369]  ronys:

	* A blank password never passes check.

2009-01-14 [r2368]  ronys:

	* Automate build of I18N tools - make sure they're updated before
	  generated pos/dlls

2009-01-13 [r2367]  c-273:

	* Delete more V6 files

2009-01-13 [r2366]  c-273:

	* More ignores and fix POT creation cmd file

2009-01-13 [r2365]  ronys:

	* Minor improvement to organization & svn:ignored, as suggested by
	  dk.

2009-01-13 [r2364]  ronys:

	* trivial cleanups after Big Bang (rearrangement)

2009-01-13 [r2363]  ronys:

	* First hack at rearranging trunk, based on experience from
	  branches/rearrangement. Not a straightforward merge,
	  unfortunately. - corelibtest broken - Linux (cli) build untested.

2009-01-10 [r2358]  ronys:

	* Karlo's modifications for German support

2009-01-10 [r2357]  ronys:

	* Karlo's work on the German version for 3.15.1

2009-01-09 [r2356]  ronys:

	* update pos + fix to I18N Makefile

2009-01-09 [r2355]  ronys:

	* Added initial Polish support

2009-01-09 [r2354]  ronys:

	* Update help index.

2009-01-09 [r2353]  ronys:

	* Integrated DK's XML branch into main trunk.

2009-01-04 [r2347]  ronys:

	* Linux builds passes again (still w/o XML)

2009-01-04 [r2346]  c-273:

	* Update comment of ResText level

2009-01-03 [r2345]  c-273:

	* Minor Release Notes text update.

2009-01-03 [r2344]  c-273:

	* Fix 2481370 (right mouse dragging to create short-cut) - also
	  Format issue. Bump to 3.15.03 as some users have 3.15.02

2009-01-03 [r2343]  ronys:

	* - Update I18N Makefile to point to the right executables. -
	  Update Spanish .po file - 4got a copyright notice from last
	  commit.

2009-01-03 [r2342]  c-273:

	* Bring ResText up-to-date (SecureZeroMemory and initialise
	  variables) - still VS2005 Add command file to create pot file.

2009-01-03 [r2341]  ronys:

	* Updated Help index for Filters, Dragbar and Change Fonts.

2009-01-02 [r2339]  c-273:

	* Update ResText and ResPWSL projects to put output in correct
	  obj/bin directories

2009-01-01 [r2338]  ronys:

	* it's 2009 - update copyright notices accordingly

2008-12-24 [r2334]  ronys:

	* Interoperate with tools that access edit control text by setting
	  PWS_PW_MODE environment variable to "NORMAL". Also fixed an
	  embarrassing bug in pws_os::getenv()

2008-12-24 [r2333]  ronys:

	* Credit where credit is due...

2008-12-21 [r2332]  c-273:

	* Complete bump to 3.15.2 and remove duplicate pre-build processing

2008-12-21 [r2331]  c-273:

	* Can't assume newly defined variable is zero.

2008-12-21 [r2330]  c-273:

	* Message nit

2008-12-20 [r2328]  ronys:

	* tweak I18N Makefile to reflect build tree.

2008-12-19 [r2327]  c-273:

	* Fix for 2423397, New features: 2450841, 2450827, 2425045,
	  2415952. Version now 3.15.02

2008-12-15 [r2326]  ronys:

	* MFC lib linked in statically once more. Bumped version to 3.15.1.

2008-12-15 [r2325]  ronys:

	* tweak release process to follow SF infrastructure changes, plus
	  remove Java version from latest.xml, as it's now a separate
	  project.

2008-12-13 [r2322]  ronys:

	* Mark field reserved for Yubico branch in format document + nit.

2008-12-13 [r2319]  ronys:

	* Added minor sanity check.

2008-12-11 [r2318]  thedavecollins:

	* Correct case so it compiles on linux

2008-12-10 [r2317]  ronys:

	* [2407325] Prevent creation of a group name with '.', which
	  confuses PasswordSafe.

2008-12-09 [r2316]  c-273:

	* Use Configuration name for resource DLL

2008-12-09 [r2315]  c-273:

	* Fix Visual Studio build/rebuild/clean processes

2008-12-09 [r2314]  ronys:

	* [2407346] "Open Another" and "Create New" actions in "Incorrect
	  Passkey" dialog box working again.

2008-12-09 [r2313]  ronys:

	* [2407072] Can now tab to read-only checkbox in password entry
	  form via File->Open or recently used list.

2008-12-07 [r2312]  ronys:

	* Playing around with STL

2008-12-07 [r2311]  ronys:

	* Non-Unicode build handles locales properly (at last!) - esp.
	  non-English filenames.

2008-12-07 [r2310]  ronys:

	* Fixed broken compilation under DEBUG configuration.

2008-12-07 [r2309]  c-273:

	* Tidy up dealing with no schema found for both XML file import and
	  filters

2008-12-06 [r2308]  ronys:

	* Preparations for 3.15 release: update deliverable directories per
	  dk's reorg, lose Beta suffix.

2008-12-06 [r2307]  c-273:

	* correct solution entry

2008-12-06 [r2306]  c-273:

	* Tell user if schema not present Remove duplicate definitions in
	  corelib.h

2008-12-04 [r2305]  ronys:

	* semi-automatic merge of dk-xml branch up to & including 2304.
	  Release build mechanism still needs to be fixed. Minimal testing.

2008-12-02 [r2301]  c-273:

	* Change tabs to spaces

2008-12-02 [r2300]  ronys:

	* Make pwsafe among the first apps to close in case of shutdown -
	  increase chances of memory being wiped properly.

2008-11-30 [r2297]  c-273:

	* Minor typo

2008-11-29 [r2295]  ronys:

	* - Added support for extra info in version description - Prepare
	  for beta release.

2008-11-27 [r2291]  ronys:

	* Murphy (Format) strikes again!

2008-11-18 [r2283]  thedavecollins:

	* Now using os FileExists and it compiles

2008-11-16 [r2282]  c-273:

	* Minor tidy up

2008-11-15 [r2281]  c-273:

	* Correct recent change to checking XML Schema presence

2008-11-13 [r2280]  c-273:

	* Password subset - remove beep, split error messages

2008-11-13 [r2279]  ronys:

	* [2269930] Track write permission of file in opening dialog: If
	  the user chooses a file with different permission than the
	  original, then the r-o status is updated accordingly. (Also some
	  minor refactoring)

2008-11-13 [r2278]  ronys:

	* Show 1234567... in Confirm Password edit box when password is
	  exposed, to help "subset" password authentication (in addition to
	  the subset dialog box).

2008-11-12 [r2277]  c-273:

	* [Open Discussion] Add feature to display a subset of the
	  password.

2008-11-03 [r2271]  c-273:

	* More Format String issues

2008-10-30 [r2270]  c-273:

	* Remove old include reference which now picks up internal Windows
	  file

2008-10-29 [r2268]  ronys:

	* Mark header tag values used by mpwpol branch as 'Reserved', to
	  avoid future incompatability issues.

2008-10-28 [r2267]  c-273:

	* [2203438] Remove "[alt]", "[ssh]" and "{alt}" special keywords
	  from URL when copying to the clipboard.

2008-10-24 [r2265]  c-273:

	* Correct schemas for uuid hex pattern matching

2008-10-23 [r2264]  ronys:

	* Tweaked tab order

2008-10-23 [r2263]  c-273:

	* Final update to Edit magic labels.

2008-10-22 [r2258]  c-273:

	* Minor Murphy

2008-10-22 [r2257]  c-273:

	* Improve 'magic labels" and other enhancements requested by RS for
	  new feature

2008-10-21 [r2253]  c-273:

	* [2144489] Click on the text next to edit fields to copy the field
	  to the clipboard. Ctrl+Click on the URL will launch the browser.

2008-10-21 [r2252]  c-273:

	* Implement support for the CF_CLIPBOARD_VIEWER_IGNORE function

2008-10-21 [r2251]  c-273:

	* Make DragBar more responsive to smaller mouse drag

2008-10-21 [r2250]  ronys:

	* Linux: can read and print a database

2008-10-21 [r2249]  ronys:

	* Linux: Start testing corelib

2008-10-21 [r2248]  ronys:

	* Minimal linux build env.

2008-10-21 [r2247]  ronys:

	* Linux: first link

2008-10-20 [r2246]  ronys:

	* Linux: ported time-related stuff

2008-10-19 [r2245]  ronys:

	* Linux: more porting

2008-10-19 [r2244]  ronys:

	* Undo over-ambitious porting (fix broken ofstream creation, break
	  Linux Unicode build, which won't happen anytime soon).

2008-10-19 [r2243]  c-273:

	* More string format woes + minor source formatting

2008-10-19 [r2242]  ronys:

	* Linux: added os/inux/rand.cpp

2008-10-16 [r2241]  ronys:

	* Linux: more porting

2008-10-16 [r2240]  c-273:

	* Asker should use MB_ICONQUESTION and not MB_ICONINFORMATION

2008-10-15 [r2236]  ronys:

	* Linux: added dir.cpp

2008-10-15 [r2235]  ronys:

	* Linux: switch to non-Unicode build

2008-10-15 [r2234]  ronys:

	* Linux - gcc 4.3.1

2008-10-15 [r2233]  ronys:

	* Started adding missing Linux functions.

2008-10-15 [r2232]  ronys:

	* More porting (moved CFileFinder to os/windows/file.cpp

2008-10-14 [r2231]  ronys:

	* More porting

2008-10-13 [r2230]  c-273:

	* Ensure Dragbar shows correct bitmaps on open

2008-10-12 [r2229]  ronys:

	* More porting (PWScore - cont.)

2008-10-12 [r2228]  ronys:

	* More porting (PWScore - not done yet)

2008-10-11 [r2227]  ronys:

	* More porting (Linux only)

2008-10-11 [r2226]  ronys:

	* Porting and other nits (with a little help from my friends).

2008-10-11 [r2225]  ronys:

	* Porting XMLprefs - no more UI in corelib!

2008-10-11 [r2224]  ronys:

	* Make gcc 4.3.1 happy

2008-10-11 [r2223]  ronys:

	* Murphy (thanks to dk).

2008-10-10 [r2222]  ronys:

	* More porting - stricter compiler + tinyxml

2008-10-10 [r2221]  c-273:

	* Make VS2008 compliant - "winable.h" now in "winuser.h";
	  depreciated compiler option re: 64-bit portability

2008-10-10 [r2220]  ronys:

	* Porting - tinyxml's turn...

2008-10-10 [r2219]  ronys:

	* Porting Report.cpp done.

2008-10-09 [r2218]  ronys:

	* Porting, cleanup and a couple of new bugs fixed. Report.cpp still
	  WIP.

2008-10-09 [r2217]  ronys:

	* more porting

2008-10-09 [r2216]  ronys:

	* port & cleanup of Verify.cpp - part 2 & last.

2008-10-08 [r2215]  ronys:

	* Cleanup & portability - WIP checkpoint

2008-10-07 [r2214]  ronys:

	* nits

2008-10-07 [r2213]  ronys:

	* More porting...

2008-10-07 [r2212]  ronys:

	* Porting - ask questions via an abstract Asker instead of calling
	  GUI from corelib.

2008-10-06 [r2211]  c-273:

	* Murphy

2008-10-06 [r2210]  ronys:

	* More Linux tweaks

2008-10-06 [r2209]  ronys:

	* FILE * related porting.

2008-10-06 [r2208]  c-273:

	* Ensure XML Import correctly processes normal entries with a
	  password field that is in alias or shortcut form and petty code
	  formatting changes

2008-10-06 [r2207]  ronys:

	* minor tweaks

2008-10-06 [r2206]  ronys:

	* Move 'posix' implementation of file locking from #ifdef to
	  separate file.

2008-10-06 [r2205]  ronys:

	* Fixed NU build.

2008-10-05 [r2204]  c-273:

	* Fix more StringX/Format woes and colon counting!

2008-10-05 [r2203]  ronys:

	* Work on PWSfile portability.

2008-10-05 [r2202]  ronys:

	* inching towards portability

